(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    375274,       9975]
NotebookOptionsPosition[    360983,       9492]
NotebookOutlinePosition[    361362,       9509]
CellTagsIndexPosition[    361319,       9506]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Exit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.516871159789518*^9, 3.516871161063948*^9}, 
   3.536813706335648*^9}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["counter example --> scalar field in two dimensions", \
"Section"]], "Subsubsection",
 CellChangeTimes->{{3.530168135878552*^9, 3.5301681396537733`*^9}, {
   3.530418524595909*^9, 3.530418533459165*^9}, 3.536813546307568*^9}],

Cell[CellGroupData[{

Cell["\<\
definition of the third order principal part matrix (A3, A3full)\
\>", "Subsection",
 CellChangeTimes->{{3.5304184935038958`*^9, 3.5304185381454372`*^9}, {
  3.5368137760633087`*^9, 3.5368137795272713`*^9}, {3.53681407976788*^9, 
  3.536814083794262*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu1", ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu11", ",", "avv1", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu111", ",", "awv11", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu2", ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu12", ",", "avv1", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv11", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu12", ",", "avv2", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv12", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu22", ",", "avv2", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv12", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "1", ",", "2", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu11", ",", "avv1", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu111", ",", "awv11", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "1", ",", "2", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu12", ",", "avv1", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv11", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "1", ",", "2", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu1", ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu12", ",", "avv2", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv12", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "1", ",", "2", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu2", ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu22", ",", "avv2", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv12", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "2", ",", "1", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu111", ",", "awv11", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "2", ",", "1", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv11", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "2", ",", "1", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv12", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "2", ",", "1", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv12", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "2", ",", "2", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu111", ",", "awv11", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "2", ",", "2", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv11", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"1", ",", "2", ",", "2", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv12", ",", "aww1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"A3", "[", 
     RowBox[{"1", ",", "2", ",", "2", ",", "2", ",", "2"}], "]"}], "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"awu122", ",", "awv12", ",", "aww1"}], "}"}]}], "}"}]}], ";"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "2", ",", "1", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu1", ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu11", ",", "avv1", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv12", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "2", ",", "1", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu2", ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu12", ",", "avv1", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv12", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "2", ",", "1", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu12", ",", "avv2", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv22", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "2", ",", "1", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu22", ",", "avv2", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu222", ",", "awv22", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "2", ",", "2", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu11", ",", "avv1", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv12", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "2", ",", "2", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu12", ",", "avv1", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv12", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu1", ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu12", ",", "avv2", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv22", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu2", ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu22", ",", "avv2", ",", "avw"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu222", ",", "awv22", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "1", ",", "1", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv12", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "1", ",", "1", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv12", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "1", ",", "1", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv22", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "1", ",", "1", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu222", ",", "awv22", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "1", ",", "2", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", "awv12", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "1", ",", "2", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv12", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "1", ",", "2", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu122", ",", "awv22", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A3", "[", 
    RowBox[{"2", ",", "1", ",", "2", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu222", ",", "awv22", ",", "aww2"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.530168154753475*^9, 3.53016815523002*^9}, {
  3.530168187039298*^9, 3.530168194279389*^9}, {3.530168225755556*^9, 
  3.530169084512238*^9}, {3.530169120367833*^9, 3.530169129823512*^9}, {
  3.5301692106873426`*^9, 3.5301694737917356`*^9}, {3.530414742256728*^9, 
  3.530414747832683*^9}, {3.5304147850773897`*^9, 3.530415571687326*^9}, {
  3.53041685782377*^9, 3.530417087682355*^9}, {3.530417716034423*^9, 
  3.530417716186557*^9}, {3.53041803041054*^9, 3.530418030543742*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"A3full", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"ArrayFlatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "1", ",", "1", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "1", ",", "1", ",", "1", ",", "2"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "1", ",", "1", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "1", ",", "1", ",", "2", ",", "2"}], "]"}]}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "1", ",", "2", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "1", ",", "2", ",", "1", ",", "2"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "1", ",", "2", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "1", ",", "2", ",", "2", ",", "2"}], "]"}]}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "2", ",", "1", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "2", ",", "1", ",", "1", ",", "2"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "2", ",", "1", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "2", ",", "1", ",", "2", ",", "2"}], "]"}]}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "2", ",", "2", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "2", ",", "2", ",", "1", ",", "2"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "2", ",", "2", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"A3", "[", 
          RowBox[{"i", ",", "2", ",", "2", ",", "2", ",", "2"}], "]"}]}], 
        "}"}]}], "}"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "1", ",", "4", ",", "7", ",", "10", ",", "2", ",", "8", ",", "3"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "4", ",", "7", ",", "10", ",", "2", ",", "8", ",", "3"}], 
       "}"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"A3full", "[", "1", "]"}], ",", 
    RowBox[{"A3full", "[", "2", "]"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.5313082695532207`*^9, 3.5313083731591053`*^9}, {
  3.5313803470554237`*^9, 3.531380359158801*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"auu1", "auu2", "0", "0", "auv", "0", "0"},
       {"0", "0", "auu1", "auu2", "0", "auv", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu11", "avu12", "avu12", "avu22", "avv1", "avv2", "avw"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"awu111", "awu112", "awu112", "awu122", "awv11", "awv12", "aww1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"auu1", "auu2", "0", "0", "auv", "0", "0"},
       {"0", "0", "auu1", "auu2", "0", "auv", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu11", "avu12", "avu12", "avu22", "avv1", "avv2", "avw"},
       {"awu112", "awu122", "awu122", "awu222", "awv12", "awv22", "aww2"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{{3.5313083409864283`*^9, 3.531308373847364*^9}, 
   3.531377864584087*^9, 3.531380359604156*^9, 3.531584430197102*^9, 
   3.53188334204182*^9, 3.532266932387512*^9, 3.53681348465001*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["definition of a third order candidate symmetrizer \
(H3, H3full)", "Subsection"]], "Subsubsection",
 CellChangeTimes->{{3.5304186313093777`*^9, 3.530418639997714*^9}, {
  3.5368137920157537`*^9, 3.536813799737358*^9}, {3.5368140603968363`*^9, 
  3.536814063911277*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1111", ",", "huv111", ",", "huw11"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv111", ",", "hvv11", ",", "hvw1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw11", ",", "hvw1", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"1", ",", "1", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1112", ",", "huv111", ",", "huw11"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv121", ",", "hvv11", ",", "hvw1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw12", ",", "hvw1", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"1", ",", "2", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1112", ",", "huv121", ",", "huw12"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv111", ",", "hvv11", ",", "hvw1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw11", ",", "hvw1", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"1", ",", "1", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1121", ",", "huv112", ",", "huw11"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv211", ",", "hvv12", ",", "hvw1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw21", ",", "hvw2", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"2", ",", "1", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1121", ",", "huv211", ",", "huw21"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv112", ",", "hvv12", ",", "hvw2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw11", ",", "hvw1", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1122", ",", "huv112", ",", "huw11"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv221", ",", "hvv12", ",", "hvw1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw22", ",", "hvw2", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"2", ",", "2", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1122", ",", "huv221", ",", "huw22"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv112", ",", "hvv12", ",", "hvw2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw11", ",", "hvw1", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"1", ",", "2", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1212", ",", "huv121", ",", "huw12"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv121", ",", "hvv11", ",", "hvw1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw12", ",", "hvw1", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"1", ",", "2", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1221", ",", "huv122", ",", "huw12"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv211", ",", "hvv12", ",", "hvw1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw21", ",", "hvw2", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"2", ",", "1", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1221", ",", "huv211", ",", "huw21"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv122", ",", "hvv12", ",", "hvw2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw12", ",", "hvw1", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"1", ",", "2", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1222", ",", "huv122", ",", "huw12"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv221", ",", "hvv12", ",", "hvw1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw22", ",", "hvw2", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"2", ",", "2", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1222", ",", "huv221", ",", "huw22"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv122", ",", "hvv12", ",", "hvw2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw12", ",", "hvw1", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"2", ",", "1", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu2121", ",", "huv212", ",", "huw21"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv212", ",", "hvv22", ",", "hvw2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw21", ",", "hvw2", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"2", ",", "1", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu2122", ",", "huv212", ",", "huw21"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv222", ",", "hvv22", ",", "hvw2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw22", ",", "hvw2", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"2", ",", "2", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu2122", ",", "huv222", ",", "huw22"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv212", ",", "hvv22", ",", "hvw2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw21", ",", "hvw2", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H3", "[", 
    RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu2222", ",", "huv222", ",", "huw22"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv222", ",", "hvv22", ",", "hvw2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw22", ",", "hvw2", ",", "hww"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.530415593746171*^9, 3.530415764220442*^9}, {
  3.530415829742955*^9, 3.530416266041732*^9}, {3.530416300774167*^9, 
  3.530416316393168*^9}, {3.530416355322328*^9, 3.5304165787117643`*^9}, {
  3.530416656522888*^9, 3.5304166569110394`*^9}, {3.53041670449522*^9, 
  3.530416713826519*^9}, {3.530417093438205*^9, 3.530417202092306*^9}, {
  3.530423683363504*^9, 3.530423684807226*^9}},
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"1", ",", "1", ",", "1", ",", "2"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"1", ",", "2", ",", "1", ",", "1"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"1", ",", "1", ",", "2", ",", "1"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"2", ",", "1", ",", "1", ",", "1"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"2", ",", "2", ",", "1", ",", "1"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"1", ",", "2", ",", "1", ",", "2"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"1", ",", "2", ",", "1", ",", "2"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"1", ",", "2", ",", "2", ",", "1"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"2", ",", "1", ",", "1", ",", "2"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"1", ",", "2", ",", "2", ",", "2"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"2", ",", "2", ",", "1", ",", "2"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"2", ",", "1", ",", "2", ",", "1"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"2", ",", "1", ",", "2", ",", "1"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"2", ",", "1", ",", "2", ",", "2"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"2", ",", "2", ",", "2", ",", "1"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H3", "[", 
       RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "]"}], "]"}]}], "//", 
    "Simplify"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.53041576891361*^9, 3.530415808753787*^9}, {
  3.5304160123808413`*^9, 3.5304160187912073`*^9}, {3.530416118241488*^9, 
  3.5304161233308687`*^9}, {3.530416320385583*^9, 3.530416343775489*^9}, {
  3.530416429099729*^9, 3.530416435285029*^9}, {3.530416583919423*^9, 
  3.530416608181363*^9}, {3.5304167192263193`*^9, 3.530416723943413*^9}, {
  3.5304172068401747`*^9, 3.530417307781296*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.536813484773452*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.536813484775034*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.536813484776298*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.536813484778157*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.53681348477983*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.536813484780591*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.536813484781763*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.536813484783164*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.53681348478443*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.5304173089741173`*^9, 3.530418033065394*^9, 
  3.530423692221434*^9, 3.530423841392481*^9, 3.5313778558482533`*^9, 
  3.531584431227091*^9, 3.531883342239148*^9, 3.532266932926033*^9, 
  3.536813484786454*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"H3full", "=", 
   RowBox[{
    RowBox[{"ArrayFlatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"H3", "[", 
          RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"1", ",", "1", ",", "1", ",", "2"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"1", ",", "1", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"H3", "[", 
          RowBox[{"1", ",", "2", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"1", ",", "2", ",", "1", ",", "2"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"1", ",", "2", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"1", ",", "2", ",", "2", ",", "2"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"H3", "[", 
          RowBox[{"2", ",", "1", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"2", ",", "1", ",", "1", ",", "2"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"2", ",", "1", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"2", ",", "1", ",", "2", ",", "2"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"H3", "[", 
          RowBox[{"2", ",", "2", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"2", ",", "2", ",", "1", ",", "2"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"2", ",", "2", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"H3", "[", 
          RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "]"}]}], "}"}]}], 
      "}"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "1", ",", "4", ",", "7", ",", "10", ",", "2", ",", "8", ",", "3"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "4", ",", "7", ",", "10", ",", "2", ",", "8", ",", "3"}], 
       "}"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"H3full", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530783797843274*^9, 3.530783846182912*^9}, {
  3.530784011047812*^9, 3.530784071584611*^9}, {3.530786091029895*^9, 
  3.53078610977171*^9}, {3.531307945263329*^9, 3.5313079848930197`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"huu1111", "huu1112", "huu1121", "huu1122", "huv111", "huv112", "huw11"},
     {"huu1112", "huu1212", "huu1221", "huu1222", "huv121", "huv122", "huw12"},
     {"huu1121", "huu1221", "huu2121", "huu2122", "huv211", "huv212", "huw21"},
     {"huu1122", "huu1222", "huu2122", "huu2222", "huv221", "huv222", "huw22"},
     {"huv111", "huv121", "huv211", "huv221", "hvv11", "hvv12", "hvw1"},
     {"huv112", "huv122", "huv212", "huv222", "hvv12", "hvv22", "hvw2"},
     {"huw11", "huw12", "huw21", "huw22", "hvw1", "hvw2", "hww"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.530783831369121*^9, 3.5307838466143093`*^9}, 
   3.530784072198839*^9, 3.5307844490221987`*^9, {3.530786095965106*^9, 
   3.530786110309493*^9}, 3.530787897282977*^9, 3.530791732562646*^9, 
   3.531307985693462*^9, 3.531377860426721*^9, 3.5315844313499537`*^9, 
   3.5318833424614077`*^9, 3.53226693303998*^9, 3.536813484801815*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{"H3full", "-", 
    RowBox[{"Transpose", "[", "H3full", "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.530783854279415*^9, 3.530783858128046*^9}, {
  3.5307860973090897`*^9, 3.5307861203949757`*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.5307838587901707`*^9, 3.530784073480109*^9, 3.530784450134416*^9, {
   3.53078610237193*^9, 3.5307861209776497`*^9}, 3.5307878973041487`*^9, 
   3.530791735105485*^9, 3.5313079904001637`*^9, 3.531377861379108*^9, 
   3.531584431471827*^9, 3.531883342722863*^9, 3.5322669330544*^9, 
   3.536813484810005*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["In the 3rd order definitions of symmetric \
hyperbolicity we work with 3x3 matrices --> define a function to select the \
appropriate 3x3 sub-matrices from the full 7x7 matrices (SubMatrix3)", \
"Subsection"]], "Subsubsection",
 CellChangeTimes->{{3.531380390931972*^9, 3.5313804169857693`*^9}, {
  3.536813843910777*^9, 3.536813912805005*^9}, {3.536814039906405*^9, 
  3.536814044208384*^9}, {3.5368141728444767`*^9, 3.536814173156549*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SubMatrix3", "[", 
     RowBox[{"X_", "?", "MatrixQ"}], "]"}], "[", 
    RowBox[{"i_", ",", "j_", ",", "k_", ",", "l_"}], "]"}], ":=", 
   RowBox[{"X", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "i"}], "+", "j", "-", "2"}], ",", 
        RowBox[{"4", "+", "i"}], ",", "7"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "k"}], "+", "l", "-", "2"}], ",", 
        RowBox[{"4", "+", "k"}], ",", "7"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.531379957259757*^9, 3.53138000216749*^9}, {
   3.531380101375744*^9, 3.531380109293026*^9}, 3.5313806365569067`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"SubMatrix3", "[", "H3full", "]"}], "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], "-", 
      RowBox[{"H3", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], ")"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", "1", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.531380005994611*^9, 3.5313800297022142`*^9}, {
   3.531380432528852*^9, 3.531380577753745*^9}, 3.5313806401056356`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5313800158332987`*^9, 3.531380030067772*^9}, 
   3.53138011045892*^9, {3.531380481914364*^9, 3.531380492849266*^9}, {
   3.531380525937109*^9, 3.531380532034717*^9}, 3.5313805782768717`*^9, 
   3.531380640965516*^9, 3.531388399033279*^9, 3.531584431829632*^9, 
   3.531883343250291*^9, 3.53226693327308*^9, 3.53681348490734*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"SubMatrix3", "[", 
        RowBox[{"A3full", "[", "1", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], "-", 
      RowBox[{"A3", "[", 
       RowBox[{"1", ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], ")"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", "1", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.531380005994611*^9, 3.5313800297022142`*^9}, {
   3.531380432528852*^9, 3.531380599211376*^9}, 3.531380642514792*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5313800158332987`*^9, 3.531380030067772*^9}, 
   3.53138011045892*^9, {3.531380481914364*^9, 3.531380492849266*^9}, {
   3.531380525937109*^9, 3.531380532034717*^9}, {3.5313805782768717`*^9, 
   3.531380600648102*^9}, 3.5313806433155403`*^9, 3.531388400210945*^9, 
   3.531584431929675*^9, 3.5318833432769537`*^9, 3.532266933453952*^9, 
   3.536813484977045*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"SubMatrix3", "[", 
        RowBox[{"A3full", "[", "2", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], "-", 
      RowBox[{"A3", "[", 
       RowBox[{"2", ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], ")"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", "1", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.531380005994611*^9, 3.5313800297022142`*^9}, {
   3.531380432528852*^9, 3.531380608401188*^9}, 3.531380644825791*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5313800158332987`*^9, 3.531380030067772*^9}, 
   3.53138011045892*^9, {3.531380481914364*^9, 3.531380492849266*^9}, {
   3.531380525937109*^9, 3.531380532034717*^9}, {3.5313805782768717`*^9, 
   3.531380608916098*^9}, 3.531380645747916*^9, 3.5313884011550493`*^9, 
   3.531584432023754*^9, 3.531883343293742*^9, 3.532266933758617*^9, 
   3.5368134849951687`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Definition of the 3rd order conservation equations \
--> at most 12 are independent in the general case (HA3eqnLHSmod)", \
"Subsection"]], "Subsubsection",
 CellChangeTimes->{{3.530418672093931*^9, 3.530418680785034*^9}, {
  3.531971055732657*^9, 3.531971065239963*^9}, {3.531971104577883*^9, 
  3.531971163347282*^9}, {3.536813967045987*^9, 3.536814031442484*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA3eq1", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix3", "[", 
            RowBox[{"H3full", ".", 
             RowBox[{"A3full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "5", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], 
          "]"}]}], ")"}]}], ")"}]}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA3eq1", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380736758799*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"auv", " ", "huu1111"}], "-", 
       RowBox[{"auu1", " ", "huv111"}], "+", 
       RowBox[{"avv1", " ", "huv111"}], "+", 
       RowBox[{"awv11", " ", "huw11"}], "-", 
       RowBox[{"avu11", " ", "hvv11"}], "-", 
       RowBox[{"awu111", " ", "hvw1"}]}], 
      RowBox[{
       RowBox[{"avw", " ", "huv111"}], "-", 
       RowBox[{"auu1", " ", "huw11"}], "+", 
       RowBox[{"aww1", " ", "huw11"}], "-", 
       RowBox[{"avu11", " ", "hvw1"}], "-", 
       RowBox[{"awu111", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huu1111"}], "+", 
       RowBox[{"auu1", " ", "huv111"}], "-", 
       RowBox[{"avv1", " ", "huv111"}], "-", 
       RowBox[{"awv11", " ", "huw11"}], "+", 
       RowBox[{"avu11", " ", "hvv11"}], "+", 
       RowBox[{"awu111", " ", "hvw1"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huw11"}], "+", 
       RowBox[{"avw", " ", "hvv11"}], "-", 
       RowBox[{"avv1", " ", "hvw1"}], "+", 
       RowBox[{"aww1", " ", "hvw1"}], "-", 
       RowBox[{"awv11", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", "huv111"}], "+", 
       RowBox[{"auu1", " ", "huw11"}], "-", 
       RowBox[{"aww1", " ", "huw11"}], "+", 
       RowBox[{"avu11", " ", "hvw1"}], "+", 
       RowBox[{"awu111", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", "huw11"}], "-", 
       RowBox[{"avw", " ", "hvv11"}], "+", 
       RowBox[{"avv1", " ", "hvw1"}], "-", 
       RowBox[{"aww1", " ", "hvw1"}], "+", 
       RowBox[{"awv11", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, 3.5313807377752857`*^9, 
   3.531388441178335*^9, 3.5315844322369967`*^9, 3.5318833433928137`*^9, 
   3.532266934277426*^9, 3.536813485110572*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA3eq2", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix3", "[", 
            RowBox[{"H3full", ".", 
             RowBox[{"A3full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "5", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "2"}], "}"}], 
          "]"}]}], ")"}]}], ")"}]}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA3eq2", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380736758799*^9}, {3.531380777482876*^9, 
  3.531380780982587*^9}, {3.531388438854575*^9, 3.531388438924363*^9}, {
  3.531388474855541*^9, 3.531388474950224*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{"huu1111", "+", 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"huu1112", "+", "huu1121"}], ")"}]}]}], ")"}]}], "-", 
       RowBox[{"auu2", " ", "huv111"}], "+", 
       RowBox[{"avv1", " ", "huv111"}], "+", 
       RowBox[{"avv2", " ", "huv111"}], "+", 
       RowBox[{"avv1", " ", "huv112"}], "+", 
       RowBox[{"avv1", " ", "huv121"}], "+", 
       RowBox[{"avv1", " ", "huv211"}], "-", 
       RowBox[{"auu1", " ", 
        RowBox[{"(", 
         RowBox[{"huv111", "+", "huv112", "+", "huv121", "+", "huv211"}], 
         ")"}]}], "+", 
       RowBox[{"awv11", " ", "huw11"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw11"}], "+", 
       RowBox[{"awv11", " ", "huw12"}], "+", 
       RowBox[{"awv11", " ", "huw21"}], "-", 
       RowBox[{"avu11", " ", "hvv11"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvv11"}], "-", 
       RowBox[{"2", " ", "avu11", " ", "hvv12"}], "-", 
       RowBox[{"awu111", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "awu112", " ", "hvw1"}], "-", 
       RowBox[{"awu111", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huv111"}], "+", "huv112", "+", "huv121", "+", 
          "huv211"}], ")"}]}], "-", 
       RowBox[{"auu2", " ", "huw11"}], "+", 
       RowBox[{"2", " ", "aww1", " ", "huw11"}], "+", 
       RowBox[{"aww2", " ", "huw11"}], "+", 
       RowBox[{"aww1", " ", "huw12"}], "+", 
       RowBox[{"aww1", " ", "huw21"}], "-", 
       RowBox[{"auu1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huw11"}], "+", "huw12", "+", "huw21"}], ")"}]}], 
       "-", 
       RowBox[{"2", " ", "avu11", " ", "hvw1"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvw1"}], "-", 
       RowBox[{"avu11", " ", "hvw2"}], "-", 
       RowBox[{"2", " ", "awu111", " ", "hww"}], "-", 
       RowBox[{"3", " ", "awu112", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{"huu1111", "+", 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"huu1112", "+", "huu1121"}], ")"}]}]}], ")"}]}], "+", 
       RowBox[{"auu2", " ", "huv111"}], "-", 
       RowBox[{"avv1", " ", "huv111"}], "-", 
       RowBox[{"avv2", " ", "huv111"}], "-", 
       RowBox[{"avv1", " ", "huv112"}], "-", 
       RowBox[{"avv1", " ", "huv121"}], "-", 
       RowBox[{"avv1", " ", "huv211"}], "+", 
       RowBox[{"auu1", " ", 
        RowBox[{"(", 
         RowBox[{"huv111", "+", "huv112", "+", "huv121", "+", "huv211"}], 
         ")"}]}], "-", 
       RowBox[{"awv11", " ", "huw11"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw11"}], "-", 
       RowBox[{"awv11", " ", "huw12"}], "-", 
       RowBox[{"awv11", " ", "huw21"}], "+", 
       RowBox[{"avu11", " ", "hvv11"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvv11"}], "+", 
       RowBox[{"2", " ", "avu11", " ", "hvv12"}], "+", 
       RowBox[{"awu111", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "awu112", " ", "hvw1"}], "+", 
       RowBox[{"awu111", " ", "hvw2"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", "huw11"}], "+", "huw12", "+", "huw21"}], ")"}]}], 
       "+", 
       RowBox[{"3", " ", "avw", " ", "hvv11"}], "+", 
       RowBox[{"2", " ", "avw", " ", "hvv12"}], "-", 
       RowBox[{"3", " ", "avv1", " ", "hvw1"}], "-", 
       RowBox[{"avv2", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "aww1", " ", "hvw1"}], "+", 
       RowBox[{"aww2", " ", "hvw1"}], "-", 
       RowBox[{"avv1", " ", "hvw2"}], "+", 
       RowBox[{"aww1", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "awv11", " ", "hww"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huv111"}], "+", "huv112", "+", "huv121", "+", 
          "huv211"}], ")"}]}], "+", 
       RowBox[{"auu2", " ", "huw11"}], "-", 
       RowBox[{"2", " ", "aww1", " ", "huw11"}], "-", 
       RowBox[{"aww2", " ", "huw11"}], "-", 
       RowBox[{"aww1", " ", "huw12"}], "-", 
       RowBox[{"aww1", " ", "huw21"}], "+", 
       RowBox[{"auu1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huw11"}], "+", "huw12", "+", "huw21"}], ")"}]}], 
       "+", 
       RowBox[{"2", " ", "avu11", " ", "hvw1"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvw1"}], "+", 
       RowBox[{"avu11", " ", "hvw2"}], "+", 
       RowBox[{"2", " ", "awu111", " ", "hww"}], "+", 
       RowBox[{"3", " ", "awu112", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", "huw11"}], "+", "huw12", "+", "huw21"}], ")"}]}], 
       "-", 
       RowBox[{"3", " ", "avw", " ", "hvv11"}], "-", 
       RowBox[{"2", " ", "avw", " ", "hvv12"}], "+", 
       RowBox[{"3", " ", "avv1", " ", "hvw1"}], "+", 
       RowBox[{"avv2", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "aww1", " ", "hvw1"}], "-", 
       RowBox[{"aww2", " ", "hvw1"}], "+", 
       RowBox[{"avv1", " ", "hvw2"}], "-", 
       RowBox[{"aww1", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "awv11", " ", "hww"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, 3.5313807377752857`*^9, {
   3.531380778565439*^9, 3.531380781496861*^9}, 3.531388441639166*^9, 
   3.531388475357645*^9, 3.53158443235445*^9, 3.531883343829461*^9, 
   3.532266934929357*^9, 3.53681348533997*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA3eq3", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix3", "[", 
            RowBox[{"H3full", ".", 
             RowBox[{"A3full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "5", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "2"}], "}"}], 
          "]"}]}], ")"}]}], ")"}]}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA3eq3", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380736758799*^9}, {3.53138077242344*^9, 
  3.5313807730145884`*^9}, {3.531388445265201*^9, 3.531388471533506*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huu1112"}], "+", 
          RowBox[{"2", " ", "huu1121"}], "+", 
          RowBox[{"2", " ", "huu1122"}], "+", "huu1212", "+", 
          RowBox[{"2", " ", "huu1221"}], "+", "huu2121"}], ")"}]}], "+", 
       RowBox[{"avv2", " ", "huv111"}], "-", 
       RowBox[{"auu1", " ", "huv112"}], "+", 
       RowBox[{"avv1", " ", "huv112"}], "+", 
       RowBox[{"avv2", " ", "huv112"}], "-", 
       RowBox[{"auu1", " ", "huv121"}], "+", 
       RowBox[{"avv1", " ", "huv121"}], "+", 
       RowBox[{"avv2", " ", "huv121"}], "-", 
       RowBox[{"auu1", " ", "huv122"}], "+", 
       RowBox[{"avv1", " ", "huv122"}], "-", 
       RowBox[{"auu1", " ", "huv211"}], "+", 
       RowBox[{"avv1", " ", "huv211"}], "+", 
       RowBox[{"avv2", " ", "huv211"}], "-", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huv111", "+", "huv112", "+", "huv121", "+", "huv211"}], 
         ")"}]}], "-", 
       RowBox[{"auu1", " ", "huv212"}], "+", 
       RowBox[{"avv1", " ", "huv212"}], "-", 
       RowBox[{"auu1", " ", "huv221"}], "+", 
       RowBox[{"avv1", " ", "huv221"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw11"}], "+", 
       RowBox[{"awv22", " ", "huw11"}], "+", 
       RowBox[{"awv11", " ", "huw12"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw12"}], "+", 
       RowBox[{"awv11", " ", "huw21"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw21"}], "+", 
       RowBox[{"awv11", " ", "huw22"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvv11"}], "-", 
       RowBox[{"avu22", " ", "hvv11"}], "-", 
       RowBox[{"2", " ", "avu11", " ", "hvv12"}], "-", 
       RowBox[{"4", " ", "avu12", " ", "hvv12"}], "-", 
       RowBox[{"avu11", " ", "hvv22"}], "-", 
       RowBox[{"3", " ", "awu112", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "awu122", " ", "hvw1"}], "-", 
       RowBox[{"awu111", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "awu112", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"huv111", "+", 
          RowBox[{"2", " ", "huv112"}], "+", 
          RowBox[{"2", " ", "huv121"}], "+", "huv122", "+", 
          RowBox[{"2", " ", "huv211"}], "+", "huv212", "+", "huv221"}], 
         ")"}]}], "-", 
       RowBox[{"auu1", " ", "huw11"}], "-", 
       RowBox[{"2", " ", "auu2", " ", "huw11"}], "+", 
       RowBox[{"aww1", " ", "huw11"}], "+", 
       RowBox[{"2", " ", "aww2", " ", "huw11"}], "-", 
       RowBox[{"2", " ", "auu1", " ", "huw12"}], "-", 
       RowBox[{"auu2", " ", "huw12"}], "+", 
       RowBox[{"2", " ", "aww1", " ", "huw12"}], "+", 
       RowBox[{"aww2", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "auu1", " ", "huw21"}], "-", 
       RowBox[{"auu2", " ", "huw21"}], "+", 
       RowBox[{"2", " ", "aww1", " ", "huw21"}], "+", 
       RowBox[{"aww2", " ", "huw21"}], "-", 
       RowBox[{"auu1", " ", "huw22"}], "+", 
       RowBox[{"aww1", " ", "huw22"}], "-", 
       RowBox[{"avu11", " ", "hvw1"}], "-", 
       RowBox[{"4", " ", "avu12", " ", "hvw1"}], "-", 
       RowBox[{"avu22", " ", "hvw1"}], "-", 
       RowBox[{"2", " ", "avu11", " ", "hvw2"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvw2"}], "-", 
       RowBox[{"awu111", " ", "hww"}], "-", 
       RowBox[{"6", " ", "awu112", " ", "hww"}], "-", 
       RowBox[{"3", " ", "awu122", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huu1112"}], "+", 
          RowBox[{"2", " ", "huu1121"}], "+", 
          RowBox[{"2", " ", "huu1122"}], "+", "huu1212", "+", 
          RowBox[{"2", " ", "huu1221"}], "+", "huu2121"}], ")"}]}], "-", 
       RowBox[{"avv2", " ", "huv111"}], "+", 
       RowBox[{"auu1", " ", "huv112"}], "-", 
       RowBox[{"avv1", " ", "huv112"}], "-", 
       RowBox[{"avv2", " ", "huv112"}], "+", 
       RowBox[{"auu1", " ", "huv121"}], "-", 
       RowBox[{"avv1", " ", "huv121"}], "-", 
       RowBox[{"avv2", " ", "huv121"}], "+", 
       RowBox[{"auu1", " ", "huv122"}], "-", 
       RowBox[{"avv1", " ", "huv122"}], "+", 
       RowBox[{"auu1", " ", "huv211"}], "-", 
       RowBox[{"avv1", " ", "huv211"}], "-", 
       RowBox[{"avv2", " ", "huv211"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huv111", "+", "huv112", "+", "huv121", "+", "huv211"}], 
         ")"}]}], "+", 
       RowBox[{"auu1", " ", "huv212"}], "-", 
       RowBox[{"avv1", " ", "huv212"}], "+", 
       RowBox[{"auu1", " ", "huv221"}], "-", 
       RowBox[{"avv1", " ", "huv221"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw11"}], "-", 
       RowBox[{"awv22", " ", "huw11"}], "-", 
       RowBox[{"awv11", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw12"}], "-", 
       RowBox[{"awv11", " ", "huw21"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw21"}], "-", 
       RowBox[{"awv11", " ", "huw22"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvv11"}], "+", 
       RowBox[{"avu22", " ", "hvv11"}], "+", 
       RowBox[{"2", " ", "avu11", " ", "hvv12"}], "+", 
       RowBox[{"4", " ", "avu12", " ", "hvv12"}], "+", 
       RowBox[{"avu11", " ", "hvv22"}], "+", 
       RowBox[{"3", " ", "awu112", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "awu122", " ", "hvw1"}], "+", 
       RowBox[{"awu111", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "awu112", " ", "hvw2"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", "huw11"}], "+", 
          RowBox[{"3", " ", "huw12"}], "+", 
          RowBox[{"3", " ", "huw21"}], "+", "huw22"}], ")"}]}], "+", 
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", "hvv11"}], "+", 
          RowBox[{"6", " ", "hvv12"}], "+", "hvv22"}], ")"}]}], "-", 
       RowBox[{"3", " ", "avv1", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "avv2", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "aww1", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "aww2", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "avv1", " ", "hvw2"}], "-", 
       RowBox[{"avv2", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "aww1", " ", "hvw2"}], "+", 
       RowBox[{"aww2", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "awv11", " ", "hww"}], "-", 
       RowBox[{"6", " ", "awv12", " ", "hww"}], "-", 
       RowBox[{"awv22", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", 
        RowBox[{"(", 
         RowBox[{"huv111", "+", 
          RowBox[{"2", " ", "huv112"}], "+", 
          RowBox[{"2", " ", "huv121"}], "+", "huv122", "+", 
          RowBox[{"2", " ", "huv211"}], "+", "huv212", "+", "huv221"}], 
         ")"}]}], "+", 
       RowBox[{"2", " ", "auu2", " ", "huw11"}], "-", 
       RowBox[{"aww1", " ", "huw11"}], "-", 
       RowBox[{"2", " ", "aww2", " ", "huw11"}], "+", 
       RowBox[{"auu2", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "aww1", " ", "huw12"}], "-", 
       RowBox[{"aww2", " ", "huw12"}], "+", 
       RowBox[{"auu2", " ", "huw21"}], "-", 
       RowBox[{"2", " ", "aww1", " ", "huw21"}], "-", 
       RowBox[{"aww2", " ", "huw21"}], "-", 
       RowBox[{"aww1", " ", "huw22"}], "+", 
       RowBox[{"auu1", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", 
          RowBox[{"2", " ", "huw12"}], "+", 
          RowBox[{"2", " ", "huw21"}], "+", "huw22"}], ")"}]}], "+", 
       RowBox[{"avu11", " ", "hvw1"}], "+", 
       RowBox[{"4", " ", "avu12", " ", "hvw1"}], "+", 
       RowBox[{"avu22", " ", "hvw1"}], "+", 
       RowBox[{"2", " ", "avu11", " ", "hvw2"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvw2"}], "+", 
       RowBox[{"awu111", " ", "hww"}], "+", 
       RowBox[{"6", " ", "awu112", " ", "hww"}], "+", 
       RowBox[{"3", " ", "awu122", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", "huw11"}], "+", 
          RowBox[{"3", " ", "huw12"}], "+", 
          RowBox[{"3", " ", "huw21"}], "+", "huw22"}], ")"}]}], "-", 
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", "hvv11"}], "+", 
          RowBox[{"6", " ", "hvv12"}], "+", "hvv22"}], ")"}]}], "+", 
       RowBox[{"3", " ", "avv1", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "avv2", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "aww1", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "aww2", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "avv1", " ", "hvw2"}], "+", 
       RowBox[{"avv2", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "aww1", " ", "hvw2"}], "-", 
       RowBox[{"aww2", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "awv11", " ", "hww"}], "+", 
       RowBox[{"6", " ", "awv12", " ", "hww"}], "+", 
       RowBox[{"awv22", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, 3.5313807377752857`*^9, 
   3.5313807736364107`*^9, {3.531388445821744*^9, 3.531388472076606*^9}, 
   3.531584432440999*^9, 3.531883345061714*^9, 3.532266935691896*^9, 
   3.536813485706641*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA3eq4", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix3", "[", 
            RowBox[{"H3full", ".", 
             RowBox[{"A3full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "5", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "2", ",", "2", ",", "2"}], "}"}], 
          "]"}]}], ")"}]}], ")"}]}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA3eq4", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380736758799*^9}, {3.531380767671773*^9, 
  3.531380768632147*^9}, {3.5313884482391376`*^9, 3.5313884684719553`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huu1122"}], "+", "huu1212", "+", 
          RowBox[{"2", " ", "huu1221"}], "+", 
          RowBox[{"2", " ", "huu1222"}], "+", "huu2121", "+", 
          RowBox[{"2", " ", "huu2122"}]}], ")"}]}], "+", 
       RowBox[{"avv2", " ", "huv112"}], "+", 
       RowBox[{"avv2", " ", "huv121"}], "-", 
       RowBox[{"auu1", " ", "huv122"}], "+", 
       RowBox[{"avv1", " ", "huv122"}], "+", 
       RowBox[{"avv2", " ", "huv122"}], "+", 
       RowBox[{"avv2", " ", "huv211"}], "-", 
       RowBox[{"auu1", " ", "huv212"}], "+", 
       RowBox[{"avv1", " ", "huv212"}], "+", 
       RowBox[{"avv2", " ", "huv212"}], "-", 
       RowBox[{"auu1", " ", "huv221"}], "+", 
       RowBox[{"avv1", " ", "huv221"}], "+", 
       RowBox[{"avv2", " ", "huv221"}], "-", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{
         "huv112", "+", "huv121", "+", "huv122", "+", "huv211", "+", "huv212",
           "+", "huv221"}], ")"}]}], "-", 
       RowBox[{"auu1", " ", "huv222"}], "+", 
       RowBox[{"avv1", " ", "huv222"}], "+", 
       RowBox[{"awv22", " ", "huw11"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw12"}], "+", 
       RowBox[{"awv22", " ", "huw12"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw21"}], "+", 
       RowBox[{"awv22", " ", "huw21"}], "+", 
       RowBox[{"awv11", " ", "huw22"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw22"}], "-", 
       RowBox[{"avu22", " ", "hvv11"}], "-", 
       RowBox[{"4", " ", "avu12", " ", "hvv12"}], "-", 
       RowBox[{"2", " ", "avu22", " ", "hvv12"}], "-", 
       RowBox[{"avu11", " ", "hvv22"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvv22"}], "-", 
       RowBox[{"3", " ", "awu122", " ", "hvw1"}], "-", 
       RowBox[{"awu222", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "awu112", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "awu122", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"huv112", "+", "huv121", "+", 
          RowBox[{"2", " ", "huv122"}], "+", "huv211", "+", 
          RowBox[{"2", " ", "huv212"}], "+", 
          RowBox[{"2", " ", "huv221"}], "+", "huv222"}], ")"}]}], "-", 
       RowBox[{"auu2", " ", "huw11"}], "+", 
       RowBox[{"aww2", " ", "huw11"}], "-", 
       RowBox[{"auu1", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "auu2", " ", "huw12"}], "+", 
       RowBox[{"aww1", " ", "huw12"}], "+", 
       RowBox[{"2", " ", "aww2", " ", "huw12"}], "-", 
       RowBox[{"auu1", " ", "huw21"}], "-", 
       RowBox[{"2", " ", "auu2", " ", "huw21"}], "+", 
       RowBox[{"aww1", " ", "huw21"}], "+", 
       RowBox[{"2", " ", "aww2", " ", "huw21"}], "-", 
       RowBox[{"2", " ", "auu1", " ", "huw22"}], "-", 
       RowBox[{"auu2", " ", "huw22"}], "+", 
       RowBox[{"2", " ", "aww1", " ", "huw22"}], "+", 
       RowBox[{"aww2", " ", "huw22"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvw1"}], "-", 
       RowBox[{"2", " ", "avu22", " ", "hvw1"}], "-", 
       RowBox[{"avu11", " ", "hvw2"}], "-", 
       RowBox[{"4", " ", "avu12", " ", "hvw2"}], "-", 
       RowBox[{"avu22", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "awu112", " ", "hww"}], "-", 
       RowBox[{"6", " ", "awu122", " ", "hww"}], "-", 
       RowBox[{"awu222", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huu1122"}], "+", "huu1212", "+", 
          RowBox[{"2", " ", "huu1221"}], "+", 
          RowBox[{"2", " ", "huu1222"}], "+", "huu2121", "+", 
          RowBox[{"2", " ", "huu2122"}]}], ")"}]}], "-", 
       RowBox[{"avv2", " ", "huv112"}], "-", 
       RowBox[{"avv2", " ", "huv121"}], "+", 
       RowBox[{"auu1", " ", "huv122"}], "-", 
       RowBox[{"avv1", " ", "huv122"}], "-", 
       RowBox[{"avv2", " ", "huv122"}], "-", 
       RowBox[{"avv2", " ", "huv211"}], "+", 
       RowBox[{"auu1", " ", "huv212"}], "-", 
       RowBox[{"avv1", " ", "huv212"}], "-", 
       RowBox[{"avv2", " ", "huv212"}], "+", 
       RowBox[{"auu1", " ", "huv221"}], "-", 
       RowBox[{"avv1", " ", "huv221"}], "-", 
       RowBox[{"avv2", " ", "huv221"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{
         "huv112", "+", "huv121", "+", "huv122", "+", "huv211", "+", "huv212",
           "+", "huv221"}], ")"}]}], "+", 
       RowBox[{"auu1", " ", "huv222"}], "-", 
       RowBox[{"avv1", " ", "huv222"}], "-", 
       RowBox[{"awv22", " ", "huw11"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw12"}], "-", 
       RowBox[{"awv22", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw21"}], "-", 
       RowBox[{"awv22", " ", "huw21"}], "-", 
       RowBox[{"awv11", " ", "huw22"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw22"}], "+", 
       RowBox[{"avu22", " ", "hvv11"}], "+", 
       RowBox[{"4", " ", "avu12", " ", "hvv12"}], "+", 
       RowBox[{"2", " ", "avu22", " ", "hvv12"}], "+", 
       RowBox[{"avu11", " ", "hvv22"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvv22"}], "+", 
       RowBox[{"3", " ", "awu122", " ", "hvw1"}], "+", 
       RowBox[{"awu222", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "awu112", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "awu122", " ", "hvw2"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{"huw12", "+", "huw21", "+", "huw22"}], ")"}]}]}], ")"}]}],
        "+", 
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"hvv11", "+", 
          RowBox[{"6", " ", "hvv12"}], "+", 
          RowBox[{"3", " ", "hvv22"}]}], ")"}]}], "-", 
       RowBox[{"avv1", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "avv2", " ", "hvw1"}], "+", 
       RowBox[{"aww1", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "aww2", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "avv1", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "avv2", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "aww1", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "aww2", " ", "hvw2"}], "-", 
       RowBox[{"awv11", " ", "hww"}], "-", 
       RowBox[{"6", " ", "awv12", " ", "hww"}], "-", 
       RowBox[{"3", " ", "awv22", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", 
        RowBox[{"(", 
         RowBox[{"huv112", "+", "huv121", "+", 
          RowBox[{"2", " ", "huv122"}], "+", "huv211", "+", 
          RowBox[{"2", " ", "huv212"}], "+", 
          RowBox[{"2", " ", "huv221"}], "+", "huv222"}], ")"}]}], "-", 
       RowBox[{"aww2", " ", "huw11"}], "+", 
       RowBox[{"auu1", " ", "huw12"}], "-", 
       RowBox[{"aww1", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "aww2", " ", "huw12"}], "+", 
       RowBox[{"auu1", " ", "huw21"}], "-", 
       RowBox[{"aww1", " ", "huw21"}], "-", 
       RowBox[{"2", " ", "aww2", " ", "huw21"}], "+", 
       RowBox[{"2", " ", "auu1", " ", "huw22"}], "-", 
       RowBox[{"2", " ", "aww1", " ", "huw22"}], "-", 
       RowBox[{"aww2", " ", "huw22"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", 
          RowBox[{"2", " ", "huw12"}], "+", 
          RowBox[{"2", " ", "huw21"}], "+", "huw22"}], ")"}]}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvw1"}], "+", 
       RowBox[{"2", " ", "avu22", " ", "hvw1"}], "+", 
       RowBox[{"avu11", " ", "hvw2"}], "+", 
       RowBox[{"4", " ", "avu12", " ", "hvw2"}], "+", 
       RowBox[{"avu22", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "awu112", " ", "hww"}], "+", 
       RowBox[{"6", " ", "awu122", " ", "hww"}], "+", 
       RowBox[{"awu222", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{"huw12", "+", "huw21", "+", "huw22"}], ")"}]}]}], ")"}]}],
        "-", 
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"hvv11", "+", 
          RowBox[{"6", " ", "hvv12"}], "+", 
          RowBox[{"3", " ", "hvv22"}]}], ")"}]}], "+", 
       RowBox[{"avv1", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "avv2", " ", "hvw1"}], "-", 
       RowBox[{"aww1", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "aww2", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "avv1", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "avv2", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "aww1", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "aww2", " ", "hvw2"}], "+", 
       RowBox[{"awv11", " ", "hww"}], "+", 
       RowBox[{"6", " ", "awv12", " ", "hww"}], "+", 
       RowBox[{"3", " ", "awv22", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, 3.5313807377752857`*^9, 
   3.531380769281907*^9, {3.531388448827574*^9, 3.5313884688981247`*^9}, 
   3.531584432539748*^9, 3.53188334580429*^9, 3.532266936301133*^9, 
   3.536813486115938*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA3eq5", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix3", "[", 
            RowBox[{"H3full", ".", 
             RowBox[{"A3full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "5", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}], 
          "]"}]}], ")"}]}], ")"}]}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA3eq5", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380760187957*^9}, {3.531388451392671*^9, 
  3.531388465010828*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huu1222"}], "+", 
          RowBox[{"2", " ", "huu2122"}], "+", "huu2222"}], ")"}]}], "+", 
       RowBox[{"avv2", " ", "huv122"}], "+", 
       RowBox[{"avv2", " ", "huv212"}], "+", 
       RowBox[{"avv2", " ", "huv221"}], "-", 
       RowBox[{"auu1", " ", "huv222"}], "+", 
       RowBox[{"avv1", " ", "huv222"}], "+", 
       RowBox[{"avv2", " ", "huv222"}], "-", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huv122", "+", "huv212", "+", "huv221", "+", "huv222"}], 
         ")"}]}], "+", 
       RowBox[{"awv22", " ", "huw12"}], "+", 
       RowBox[{"awv22", " ", "huw21"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw22"}], "+", 
       RowBox[{"awv22", " ", "huw22"}], "-", 
       RowBox[{"2", " ", "avu22", " ", "hvv12"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvv22"}], "-", 
       RowBox[{"avu22", " ", "hvv22"}], "-", 
       RowBox[{"awu222", " ", "hvw1"}], "-", 
       RowBox[{"3", " ", "awu122", " ", "hvw2"}], "-", 
       RowBox[{"awu222", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"huv122", "+", "huv212", "+", "huv221", "+", 
          RowBox[{"2", " ", "huv222"}]}], ")"}]}], "+", 
       RowBox[{"aww2", " ", "huw12"}], "+", 
       RowBox[{"aww2", " ", "huw21"}], "-", 
       RowBox[{"auu1", " ", "huw22"}], "+", 
       RowBox[{"aww1", " ", "huw22"}], "+", 
       RowBox[{"2", " ", "aww2", " ", "huw22"}], "-", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huw12", "+", "huw21", "+", 
          RowBox[{"2", " ", "huw22"}]}], ")"}]}], "-", 
       RowBox[{"avu22", " ", "hvw1"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvw2"}], "-", 
       RowBox[{"2", " ", "avu22", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "awu122", " ", "hww"}], "-", 
       RowBox[{"2", " ", "awu222", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huu1222"}], "+", 
          RowBox[{"2", " ", "huu2122"}], "+", "huu2222"}], ")"}]}], "-", 
       RowBox[{"avv2", " ", "huv122"}], "-", 
       RowBox[{"avv2", " ", "huv212"}], "-", 
       RowBox[{"avv2", " ", "huv221"}], "+", 
       RowBox[{"auu1", " ", "huv222"}], "-", 
       RowBox[{"avv1", " ", "huv222"}], "-", 
       RowBox[{"avv2", " ", "huv222"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huv122", "+", "huv212", "+", "huv221", "+", "huv222"}], 
         ")"}]}], "-", 
       RowBox[{"awv22", " ", "huw12"}], "-", 
       RowBox[{"awv22", " ", "huw21"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw22"}], "-", 
       RowBox[{"awv22", " ", "huw22"}], "+", 
       RowBox[{"2", " ", "avu22", " ", "hvv12"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvv22"}], "+", 
       RowBox[{"avu22", " ", "hvv22"}], "+", 
       RowBox[{"awu222", " ", "hvw1"}], "+", 
       RowBox[{"3", " ", "awu122", " ", "hvw2"}], "+", 
       RowBox[{"awu222", " ", "hvw2"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{"huw12", "+", "huw21", "+", 
          RowBox[{"3", " ", "huw22"}]}], ")"}]}], "+", 
       RowBox[{"2", " ", "avw", " ", "hvv12"}], "+", 
       RowBox[{"3", " ", "avw", " ", "hvv22"}], "-", 
       RowBox[{"avv2", " ", "hvw1"}], "+", 
       RowBox[{"aww2", " ", "hvw1"}], "-", 
       RowBox[{"avv1", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "avv2", " ", "hvw2"}], "+", 
       RowBox[{"aww1", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "aww2", " ", "hvw2"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "hww"}], "-", 
       RowBox[{"3", " ", "awv22", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", 
        RowBox[{"(", 
         RowBox[{"huv122", "+", "huv212", "+", "huv221", "+", 
          RowBox[{"2", " ", "huv222"}]}], ")"}]}], "-", 
       RowBox[{"aww2", " ", "huw12"}], "-", 
       RowBox[{"aww2", " ", "huw21"}], "+", 
       RowBox[{"auu1", " ", "huw22"}], "-", 
       RowBox[{"aww1", " ", "huw22"}], "-", 
       RowBox[{"2", " ", "aww2", " ", "huw22"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huw12", "+", "huw21", "+", 
          RowBox[{"2", " ", "huw22"}]}], ")"}]}], "+", 
       RowBox[{"avu22", " ", "hvw1"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvw2"}], "+", 
       RowBox[{"2", " ", "avu22", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "awu122", " ", "hww"}], "+", 
       RowBox[{"2", " ", "awu222", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{"huw12", "+", "huw21", "+", 
          RowBox[{"3", " ", "huw22"}]}], ")"}]}], "-", 
       RowBox[{"2", " ", "avw", " ", "hvv12"}], "-", 
       RowBox[{"3", " ", "avw", " ", "hvv22"}], "+", 
       RowBox[{"avv2", " ", "hvw1"}], "-", 
       RowBox[{"aww2", " ", "hvw1"}], "+", 
       RowBox[{"avv1", " ", "hvw2"}], "+", 
       RowBox[{"3", " ", "avv2", " ", "hvw2"}], "-", 
       RowBox[{"aww1", " ", "hvw2"}], "-", 
       RowBox[{"3", " ", "aww2", " ", "hvw2"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "hww"}], "+", 
       RowBox[{"3", " ", "awv22", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, {3.5313807377752857`*^9, 
   3.531380760766273*^9}, {3.531388452007391*^9, 3.53138846561819*^9}, 
   3.531584432642959*^9, 3.531883346930748*^9, 3.532266936581489*^9, 
   3.536813486339778*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA3eq6", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix3", "[", 
            RowBox[{"H3full", ".", 
             RowBox[{"A3full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "5", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}], 
          "]"}]}], ")"}]}], ")"}]}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA3eq6", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.5313807556416283`*^9}, {3.5313884561962337`*^9, 
  3.531388460218602*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"auv", " ", "huu2222"}], "-", 
       RowBox[{"auu2", " ", "huv222"}], "+", 
       RowBox[{"avv2", " ", "huv222"}], "+", 
       RowBox[{"awv22", " ", "huw22"}], "-", 
       RowBox[{"avu22", " ", "hvv22"}], "-", 
       RowBox[{"awu222", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", "huv222"}], "-", 
       RowBox[{"auu2", " ", "huw22"}], "+", 
       RowBox[{"aww2", " ", "huw22"}], "-", 
       RowBox[{"avu22", " ", "hvw2"}], "-", 
       RowBox[{"awu222", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huu2222"}], "+", 
       RowBox[{"auu2", " ", "huv222"}], "-", 
       RowBox[{"avv2", " ", "huv222"}], "-", 
       RowBox[{"awv22", " ", "huw22"}], "+", 
       RowBox[{"avu22", " ", "hvv22"}], "+", 
       RowBox[{"awu222", " ", "hvw2"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huw22"}], "+", 
       RowBox[{"avw", " ", "hvv22"}], "-", 
       RowBox[{"avv2", " ", "hvw2"}], "+", 
       RowBox[{"aww2", " ", "hvw2"}], "-", 
       RowBox[{"awv22", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", "huv222"}], "+", 
       RowBox[{"auu2", " ", "huw22"}], "-", 
       RowBox[{"aww2", " ", "huw22"}], "+", 
       RowBox[{"avu22", " ", "hvw2"}], "+", 
       RowBox[{"awu222", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", "huw22"}], "-", 
       RowBox[{"avw", " ", "hvv22"}], "+", 
       RowBox[{"avv2", " ", "hvw2"}], "-", 
       RowBox[{"aww2", " ", "hvw2"}], "+", 
       RowBox[{"awv22", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, {3.5313807377752857`*^9, 
   3.53138075604079*^9}, {3.5313884569779587`*^9, 3.53138846162341*^9}, 
   3.531584432733885*^9, 3.5318833472348747`*^9, 3.532266936679323*^9, 
   3.5368134864149523`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"HA3eqnLHS", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "3"}], "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "3"}], "]"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{
       "HA3eq1", ",", "HA3eq2", ",", "HA3eq3", ",", "HA3eq4", ",", "HA3eq5", 
        ",", "HA3eq6"}], "}"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.531389928351982*^9, 3.531390002124044*^9}, 
   3.531390083979018*^9, {3.531584226902402*^9, 3.531584270420026*^9}, {
   3.531584378628498*^9, 3.531584382858758*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"HA3eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#", "\[Equal]", "0"}], ")"}], "&"}], "/@", "HA3eqnLHS"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.531389928351982*^9, 3.531390002124044*^9}, 
   3.531390083979018*^9, {3.531584226902402*^9, 3.531584270420026*^9}, {
   3.531584387798698*^9, 3.531584393459784*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{
        "auu1", ",", "auu2", ",", "auv", ",", "avu11", ",", "avu12", ",", 
         "avu22", ",", "avv1", ",", "avv2", ",", "avw", ",", "awu111", ",", 
         "awu112", ",", "awu122", ",", "awu222", ",", "awv11", ",", "awv12", 
         ",", "awv22", ",", "aww1", ",", "aww2"}], "}"}]}], "]"}], "&"}], "/@",
     "HA3eqnLHS"}], "//", "Simplify"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.531914164773828*^9, 3.531914170556168*^9}, {
  3.531916476013546*^9, 3.531916501413319*^9}, {3.531916678658457*^9, 
  3.531916680979135*^9}, {3.531916764358778*^9, 3.531916784058405*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "huv111"}], "0", "huu1111", 
      RowBox[{"-", "hvv11"}], "0", "0", "huv111", "0", "0", 
      RowBox[{"-", "hvw1"}], "0", "0", "0", "huw11", "0", "0", "0", "0"},
     {
      RowBox[{
       RowBox[{"-", "huv111"}], "-", "huv112", "-", "huv121", "-", "huv211"}], 
      RowBox[{"-", "huv111"}], 
      RowBox[{"huu1111", "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"huu1112", "+", "huu1121"}], ")"}]}]}], 
      RowBox[{
       RowBox[{"-", "hvv11"}], "-", 
       RowBox[{"2", " ", "hvv12"}]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hvv11"}], "0", 
      RowBox[{"huv111", "+", "huv112", "+", "huv121", "+", "huv211"}], 
      "huv111", "0", 
      RowBox[{
       RowBox[{"-", "hvw1"}], "-", "hvw2"}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hvw1"}], "0", "0", 
      RowBox[{"huw11", "+", "huw12", "+", "huw21"}], 
      RowBox[{"2", " ", "huw11"}], "0", "0", "0"},
     {
      RowBox[{
       RowBox[{"-", "huv112"}], "-", "huv121", "-", "huv122", "-", "huv211", 
       "-", "huv212", "-", "huv221"}], 
      RowBox[{
       RowBox[{"-", "huv111"}], "-", "huv112", "-", "huv121", "-", "huv211"}], 
      RowBox[{
       RowBox[{"2", " ", "huu1112"}], "+", 
       RowBox[{"2", " ", "huu1121"}], "+", 
       RowBox[{"2", " ", "huu1122"}], "+", "huu1212", "+", 
       RowBox[{"2", " ", "huu1221"}], "+", "huu2121"}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "hvv12"}], "-", "hvv22"}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{"hvv11", "+", 
         RowBox[{"2", " ", "hvv12"}]}], ")"}]}], 
      RowBox[{"-", "hvv11"}], 
      RowBox[{
      "huv112", "+", "huv121", "+", "huv122", "+", "huv211", "+", "huv212", 
       "+", "huv221"}], 
      RowBox[{"huv111", "+", "huv112", "+", "huv121", "+", "huv211"}], "0", 
      RowBox[{"-", "hvw2"}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", 
       RowBox[{"(", 
        RowBox[{"hvw1", "+", "hvw2"}], ")"}]}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hvw1"}], "0", 
      RowBox[{"huw12", "+", "huw21", "+", "huw22"}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "huw11", "0", 
      "0"},
     {
      RowBox[{
       RowBox[{"-", "huv122"}], "-", "huv212", "-", "huv221", "-", "huv222"}], 
      RowBox[{
       RowBox[{"-", "huv112"}], "-", "huv121", "-", "huv122", "-", "huv211", 
       "-", "huv212", "-", "huv221"}], 
      RowBox[{
       RowBox[{"2", " ", "huu1122"}], "+", "huu1212", "+", 
       RowBox[{"2", " ", "huu1221"}], "+", 
       RowBox[{"2", " ", "huu1222"}], "+", "huu2121", "+", 
       RowBox[{"2", " ", "huu2122"}]}], 
      RowBox[{"-", "hvv22"}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "hvv12"}], "+", "hvv22"}], ")"}]}], 
      RowBox[{
       RowBox[{"-", "hvv11"}], "-", 
       RowBox[{"2", " ", "hvv12"}]}], 
      RowBox[{"huv122", "+", "huv212", "+", "huv221", "+", "huv222"}], 
      RowBox[{
      "huv112", "+", "huv121", "+", "huv122", "+", "huv211", "+", "huv212", 
       "+", "huv221"}], "0", "0", 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hvw2"}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", 
       RowBox[{"(", 
        RowBox[{"hvw1", "+", "hvw2"}], ")"}]}], 
      RowBox[{"-", "hvw1"}], "huw22", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"huw12", "+", "huw21", "+", "huw22"}], ")"}]}], 
      RowBox[{"huw11", "+", "huw12", "+", "huw21"}], "0", "0"},
     {"0", 
      RowBox[{"-", "huv222"}], "huu2222", "0", "0", 
      RowBox[{"-", "hvv22"}], "0", "huv222", "0", "0", "0", "0", 
      RowBox[{"-", "hvw2"}], "0", "0", "huw22", "0", "0"},
     {
      RowBox[{"-", "huv222"}], 
      RowBox[{
       RowBox[{"-", "huv122"}], "-", "huv212", "-", "huv221", "-", "huv222"}], 
      RowBox[{
       RowBox[{"2", " ", "huu1222"}], "+", 
       RowBox[{"2", " ", "huu2122"}], "+", "huu2222"}], "0", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hvv22"}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "hvv12"}], "-", "hvv22"}], "huv222", 
      RowBox[{"huv122", "+", "huv212", "+", "huv221", "+", "huv222"}], "0", 
      "0", "0", 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hvw2"}], 
      RowBox[{
       RowBox[{"-", "hvw1"}], "-", "hvw2"}], "0", 
      RowBox[{"2", " ", "huw22"}], 
      RowBox[{"huw12", "+", "huw21", "+", "huw22"}], "0", "0"},
     {
      RowBox[{"-", "huw11"}], "0", "0", 
      RowBox[{"-", "hvw1"}], "0", "0", "0", "0", "huv111", 
      RowBox[{"-", "hww"}], "0", "0", "0", "0", "0", "0", "huw11", "0"},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "huw11"}], "-", "huw12", "-", "huw21"}], 
      RowBox[{"-", "huw11"}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "hvw1"}], "-", "hvw2"}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hvw1"}], "0", "0", "0", 
      RowBox[{
       RowBox[{"2", " ", "huv111"}], "+", "huv112", "+", "huv121", "+", 
       "huv211"}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hww"}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hww"}], "0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"2", " ", "huw11"}], "+", "huw12", "+", "huw21"}], "huw11"},
     {
      RowBox[{
       RowBox[{"-", "huw11"}], "-", 
       RowBox[{"2", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "huw21"}], "-", "huw22"}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "huw11"}], "-", "huw12", "-", "huw21"}], "0", 
      RowBox[{
       RowBox[{"-", "hvw1"}], "-", 
       RowBox[{"2", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "hvw1"}], "+", "hvw2"}], ")"}]}], 
      RowBox[{"-", "hvw1"}], "0", "0", 
      RowBox[{"huv111", "+", 
       RowBox[{"2", " ", "huv112"}], "+", 
       RowBox[{"2", " ", "huv121"}], "+", "huv122", "+", 
       RowBox[{"2", " ", "huv211"}], "+", "huv212", "+", "huv221"}], 
      RowBox[{"-", "hww"}], 
      RowBox[{
       RowBox[{"-", "6"}], " ", "hww"}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hww"}], "0", "0", "0", "0", 
      RowBox[{"huw11", "+", 
       RowBox[{"2", " ", "huw12"}], "+", 
       RowBox[{"2", " ", "huw21"}], "+", "huw22"}], 
      RowBox[{
       RowBox[{"2", " ", "huw11"}], "+", "huw12", "+", "huw21"}]},
     {
      RowBox[{"-", "huw22"}], 
      RowBox[{
       RowBox[{"-", "huw12"}], "-", "huw21", "-", 
       RowBox[{"2", " ", "huw22"}]}], "0", "0", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hvw2"}], 
      RowBox[{
       RowBox[{"-", "hvw1"}], "-", 
       RowBox[{"2", " ", "hvw2"}]}], "0", "0", 
      RowBox[{"huv122", "+", "huv212", "+", "huv221", "+", 
       RowBox[{"2", " ", "huv222"}]}], "0", "0", 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hww"}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hww"}], "0", "0", "0", "huw22", 
      RowBox[{"huw12", "+", "huw21", "+", 
       RowBox[{"2", " ", "huw22"}]}]},
     {"0", 
      RowBox[{"-", "huw22"}], "0", "0", "0", 
      RowBox[{"-", "hvw2"}], "0", "0", "huv222", "0", "0", "0", 
      RowBox[{"-", "hww"}], "0", "0", "0", "0", "huw22"},
     {
      RowBox[{
       RowBox[{"-", "huw12"}], "-", "huw21", "-", 
       RowBox[{"2", " ", "huw22"}]}], 
      RowBox[{
       RowBox[{"-", "huw11"}], "-", 
       RowBox[{"2", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "huw21"}], "-", "huw22"}], "0", 
      RowBox[{"-", "hvw2"}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{"hvw1", "+", 
         RowBox[{"2", " ", "hvw2"}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "hvw1"}], "-", "hvw2"}], "0", "0", 
      RowBox[{"huv112", "+", "huv121", "+", 
       RowBox[{"2", " ", "huv122"}], "+", "huv211", "+", 
       RowBox[{"2", " ", "huv212"}], "+", 
       RowBox[{"2", " ", "huv221"}], "+", "huv222"}], "0", 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hww"}], 
      RowBox[{
       RowBox[{"-", "6"}], " ", "hww"}], 
      RowBox[{"-", "hww"}], "0", "0", "0", 
      RowBox[{"huw12", "+", "huw21", "+", 
       RowBox[{"2", " ", "huw22"}]}], 
      RowBox[{"huw11", "+", 
       RowBox[{"2", " ", "huw12"}], "+", 
       RowBox[{"2", " ", "huw21"}], "+", "huw22"}]},
     {"0", "0", 
      RowBox[{"-", "huw11"}], "0", "0", "0", 
      RowBox[{"-", "hvw1"}], "0", "hvv11", "0", "0", "0", "0", 
      RowBox[{"-", "hww"}], "0", "0", "hvw1", "0"},
     {"0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], " ", "huw11"}], "-", "huw12", "-", "huw21"}], "0",
       "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], " ", "hvw1"}], "-", "hvw2"}], 
      RowBox[{"-", "hvw1"}], 
      RowBox[{
       RowBox[{"3", " ", "hvv11"}], "+", 
       RowBox[{"2", " ", "hvv12"}]}], "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hww"}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hww"}], "0", 
      RowBox[{
       RowBox[{"3", " ", "hvw1"}], "+", "hvw2"}], "hvw1"},
     {"0", "0", 
      RowBox[{
       RowBox[{"-", "huw11"}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{"huw12", "+", "huw21", "+", "huw22"}], ")"}]}]}], "0", "0", 
      "0", 
      RowBox[{
       RowBox[{"-", "hvw1"}], "-", 
       RowBox[{"3", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", 
       RowBox[{"(", 
        RowBox[{"hvw1", "+", "hvw2"}], ")"}]}], 
      RowBox[{"hvv11", "+", 
       RowBox[{"6", " ", "hvv12"}], "+", 
       RowBox[{"3", " ", "hvv22"}]}], "0", "0", "0", "0", 
      RowBox[{"-", "hww"}], 
      RowBox[{
       RowBox[{"-", "6"}], " ", "hww"}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hww"}], 
      RowBox[{"hvw1", "+", 
       RowBox[{"3", " ", "hvw2"}]}], 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"hvw1", "+", "hvw2"}], ")"}]}]},
     {"0", "0", 
      RowBox[{
       RowBox[{"-", "huw12"}], "-", "huw21", "-", 
       RowBox[{"3", " ", "huw22"}]}], "0", "0", "0", 
      RowBox[{"-", "hvw2"}], 
      RowBox[{
       RowBox[{"-", "hvw1"}], "-", 
       RowBox[{"3", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"2", " ", "hvv12"}], "+", 
       RowBox[{"3", " ", "hvv22"}]}], "0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hww"}], 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hww"}], "hvw2", 
      RowBox[{"hvw1", "+", 
       RowBox[{"3", " ", "hvw2"}]}]},
     {"0", "0", 
      RowBox[{"-", "huw22"}], "0", "0", "0", "0", 
      RowBox[{"-", "hvw2"}], "hvv22", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "hww"}], "0", "hvw2"},
     {"0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], " ", "huw11"}], "-", 
       RowBox[{"3", " ", "huw12"}], "-", 
       RowBox[{"3", " ", "huw21"}], "-", "huw22"}], "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "3"}], " ", 
       RowBox[{"(", 
        RowBox[{"hvw1", "+", "hvw2"}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], " ", "hvw1"}], "-", "hvw2"}], 
      RowBox[{
       RowBox[{"3", " ", "hvv11"}], "+", 
       RowBox[{"6", " ", "hvv12"}], "+", "hvv22"}], "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "3"}], " ", "hww"}], 
      RowBox[{
       RowBox[{"-", "6"}], " ", "hww"}], 
      RowBox[{"-", "hww"}], 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"hvw1", "+", "hvw2"}], ")"}]}], 
      RowBox[{
       RowBox[{"3", " ", "hvw1"}], "+", "hvw2"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.531916482623468*^9, 3.531916502303585*^9}, {
   3.531916772725559*^9, 3.531916784811611*^9}, 3.531968924990995*^9, 
   3.531970949087401*^9, 3.531970996961135*^9, 3.5322669368987103`*^9, 
   3.536813486521751*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixRank", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.53196893088232*^9, 3.531968933755947*^9}}],

Cell[BoxData["12"], "Output",
 CellChangeTimes->{3.5319689421847067`*^9, 3.53197096092491*^9, 
  3.5319710036318493`*^9, 3.532266947877513*^9, 3.5368134934621143`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixRank", "[", 
  RowBox[{"%%", "[", 
   RowBox[{"[", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "2", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", ",", 
      "10", ",", "12", ",", "13", ",", "14", ",", "17"}], "}"}], "]"}], "]"}],
   "]"}]], "Input",
 CellChangeTimes->{{3.531969605406172*^9, 3.531969627527128*^9}, {
  3.5319696759109087`*^9, 3.53196967656505*^9}, {3.53196984920697*^9, 
  3.531969849501178*^9}, {3.531969920285253*^9, 3.531969927312849*^9}, {
  3.531969969826796*^9, 3.5319699818143663`*^9}, {3.531970107797962*^9, 
  3.531970108302088*^9}, {3.5319706744952927`*^9, 3.531970678298624*^9}, {
  3.531970899310624*^9, 3.5319709457035007`*^9}, {3.531970992150693*^9, 
  3.5319709924690866`*^9}}],

Cell[BoxData["12"], "Output",
 CellChangeTimes->{
  3.531969628056468*^9, 3.5319696773310757`*^9, 3.53196985002991*^9, 
   3.531969929307502*^9, {3.53196997330802*^9, 3.531969983139222*^9}, 
   3.5319701109682817`*^9, 3.53197068311619*^9, {3.5319709352905684`*^9, 
   3.531970962426916*^9}, {3.531970993982006*^9, 3.53197100478863*^9}, 
   3.5322669501567907`*^9, 3.5368134946061172`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "9", "]"}], "]"}], "+", 
   RowBox[{
    RowBox[{"5", "/", "3"}], " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "7", "]"}], "]"}]}], "-", 
   RowBox[{
    RowBox[{"4", "/", "3"}], " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "8", "]"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"1", "/", "3"}], " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "10", "]"}], "]"}]}], "-", 
   RowBox[{
    RowBox[{"2", "/", "3"}], " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "12", "]"}], "]"}]}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.5319686679388523`*^9, 3.531968687365293*^9}, {
  3.531968725204331*^9, 3.531968867895645*^9}, {3.5319700669813128`*^9, 
  3.531970084196192*^9}, {3.53197013767771*^9, 3.531970160716675*^9}, {
  3.531970238175715*^9, 3.531970267729026*^9}, {3.531970327055739*^9, 
  3.531970438030212*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531968748882165*^9, 3.531968754031168*^9}, {
   3.5319687879454947`*^9, 3.5319688686719217`*^9}, 3.53196890185026*^9, 
   3.531970193206703*^9, {3.531970252170507*^9, 3.5319702798522263`*^9}, 
   3.531970372926358*^9, {3.531970410992755*^9, 3.531970439427723*^9}, 
   3.531970962766478*^9, 3.532266950298223*^9, 3.5368134946309032`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "11", "]"}], "]"}], "+", 
   RowBox[{
    RowBox[{"2", "/", "3"}], " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "7", "]"}], "]"}]}], "-", 
   RowBox[{
    RowBox[{"1", "/", "3"}], " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "8", "]"}], "]"}]}], "-", 
   RowBox[{
    RowBox[{"2", "/", "3"}], " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "10", "]"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"1", "/", "3"}], " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "12", "]"}], "]"}]}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.5319686679388523`*^9, 3.531968687365293*^9}, {
  3.531968725204331*^9, 3.531968867895645*^9}, {3.5319700669813128`*^9, 
  3.531970084196192*^9}, {3.53197013767771*^9, 3.531970160716675*^9}, {
  3.531970238175715*^9, 3.531970267729026*^9}, {3.531970327055739*^9, 
  3.531970467456028*^9}, {3.531970557192442*^9, 3.531970558511938*^9}, {
  3.5319705949922953`*^9, 3.53197062550982*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531968748882165*^9, 3.531968754031168*^9}, {
   3.5319687879454947`*^9, 3.5319688686719217`*^9}, 3.53196890185026*^9, 
   3.531970193206703*^9, {3.531970252170507*^9, 3.5319702798522263`*^9}, 
   3.531970372926358*^9, {3.531970410992755*^9, 3.531970439427723*^9}, {
   3.5319705478279037`*^9, 3.531970626243515*^9}, 3.531970963211132*^9, 
   3.53226695031511*^9, 3.536813494641708*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "18", "]"}], "]"}], "-", " ", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "17", "]"}], "]"}], "-", 
   RowBox[{"3", " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "14", "]"}], "]"}]}], "+", 
   RowBox[{"6", " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "13", "]"}], "]"}]}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.5319686679388523`*^9, 3.531968687365293*^9}, {
   3.531968725204331*^9, 3.531968867895645*^9}, {3.531969088418181*^9, 
   3.531969124998786*^9}, {3.531969177316378*^9, 3.5319692458508472`*^9}, {
   3.531969312116968*^9, 3.531969314438406*^9}, 3.5319693460647783`*^9, {
   3.531969387030899*^9, 3.531969411503721*^9}, {3.531969447395433*^9, 
   3.531969453968432*^9}, {3.531969716077635*^9, 3.531969834484836*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531968748882165*^9, 3.531968754031168*^9}, {
   3.5319687879454947`*^9, 3.5319688686719217`*^9}, 3.53196890185026*^9, {
   3.5319691272937107`*^9, 3.531969247857716*^9}, 3.531969412391509*^9, 
   3.5319694546426697`*^9, {3.531969778373192*^9, 3.531969835126342*^9}, 
   3.5319709635095*^9, 3.532266950335972*^9, 3.536813494694317*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "16", "]"}], "]"}], "-", 
    RowBox[{"3", " ", 
     RowBox[{"HA3eqnLHS", "[", 
      RowBox[{"[", "17", "]"}], "]"}]}], "-", " ", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "14", "]"}], "]"}], "+", 
    RowBox[{"3", " ", 
     RowBox[{"HA3eqnLHS", "[", 
      RowBox[{"[", "13", "]"}], "]"}]}]}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.5319686679388523`*^9, 3.531968687365293*^9}, {
   3.531968725204331*^9, 3.531968867895645*^9}, {3.531969088418181*^9, 
   3.531969124998786*^9}, {3.531969177316378*^9, 3.5319692458508472`*^9}, {
   3.531969312116968*^9, 3.531969314438406*^9}, 3.5319693460647783`*^9, {
   3.531969387030899*^9, 3.531969411503721*^9}, {3.531969447395433*^9, 
   3.531969490957749*^9}, {3.531969545431231*^9, 3.531969570439745*^9}, {
   3.531969644702425*^9, 3.531969665020959*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531968748882165*^9, 3.531968754031168*^9}, {
   3.5319687879454947`*^9, 3.5319688686719217`*^9}, 3.53196890185026*^9, {
   3.5319691272937107`*^9, 3.531969247857716*^9}, 3.531969412391509*^9, 
   3.5319694546426697`*^9, 3.5319694927772713`*^9, {3.531969546311455*^9, 
   3.531969570985243*^9}, {3.531969657861628*^9, 3.5319696676799183`*^9}, 
   3.531969837104426*^9, 3.531970963865883*^9, 3.5322669504438667`*^9, 
   3.536813494706562*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "15", "]"}], "]"}], "-", 
    RowBox[{"3", " ", 
     RowBox[{"HA3eqnLHS", "[", 
      RowBox[{"[", "17", "]"}], "]"}]}], "-", 
    RowBox[{"3", " ", 
     RowBox[{"HA3eqnLHS", "[", 
      RowBox[{"[", "14", "]"}], "]"}]}], "+", 
    RowBox[{"8", " ", 
     RowBox[{"HA3eqnLHS", "[", 
      RowBox[{"[", "13", "]"}], "]"}]}]}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.5319686679388523`*^9, 3.531968687365293*^9}, {
   3.531968725204331*^9, 3.531968867895645*^9}, {3.531969088418181*^9, 
   3.531969124998786*^9}, {3.531969177316378*^9, 3.5319692458508472`*^9}, {
   3.531969312116968*^9, 3.531969314438406*^9}, 3.5319693460647783`*^9, {
   3.531969387030899*^9, 3.531969411503721*^9}, {3.531969447395433*^9, 
   3.531969490957749*^9}, {3.531969545431231*^9, 3.531969570439745*^9}, {
   3.531969644702425*^9, 3.531969665020959*^9}, {3.531969855339443*^9, 
   3.531969898925696*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531968748882165*^9, 3.531968754031168*^9}, {
   3.5319687879454947`*^9, 3.5319688686719217`*^9}, 3.53196890185026*^9, {
   3.5319691272937107`*^9, 3.531969247857716*^9}, 3.531969412391509*^9, 
   3.5319694546426697`*^9, 3.5319694927772713`*^9, {3.531969546311455*^9, 
   3.531969570985243*^9}, {3.531969657861628*^9, 3.5319696676799183`*^9}, 
   3.531969837104426*^9, {3.531969867878561*^9, 3.531969899677739*^9}, 
   3.5319709640246696`*^9, 3.532266950460286*^9, 3.536813494717235*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "+", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "-", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "-", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "4", "]"}], "]"}], "-", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "5", "]"}], "]"}], "+", 
    RowBox[{"HA3eqnLHS", "[", 
     RowBox[{"[", "6", "]"}], "]"}]}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.5319686679388523`*^9, 3.531968687365293*^9}, {
   3.531968725204331*^9, 3.531968867895645*^9}, {3.531969088418181*^9, 
   3.531969124998786*^9}, {3.531969177316378*^9, 3.5319692458508472`*^9}, {
   3.531969312116968*^9, 3.531969314438406*^9}, 3.5319693460647783`*^9, {
   3.531969387030899*^9, 3.531969411503721*^9}, {3.531969447395433*^9, 
   3.531969490957749*^9}, {3.531969545431231*^9, 3.531969570439745*^9}, {
   3.531969644702425*^9, 3.531969665020959*^9}, {3.531969855339443*^9, 
   3.531969898925696*^9}, {3.5319707044479847`*^9, 3.5319707449315033`*^9}, {
   3.5319708044123907`*^9, 3.5319708057660713`*^9}, {3.531970851114702*^9, 
   3.531970889966268*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531968748882165*^9, 3.531968754031168*^9}, {
   3.5319687879454947`*^9, 3.5319688686719217`*^9}, 3.53196890185026*^9, {
   3.5319691272937107`*^9, 3.531969247857716*^9}, 3.531969412391509*^9, 
   3.5319694546426697`*^9, 3.5319694927772713`*^9, {3.531969546311455*^9, 
   3.531969570985243*^9}, {3.531969657861628*^9, 3.5319696676799183`*^9}, 
   3.531969837104426*^9, {3.531969867878561*^9, 3.531969899677739*^9}, 
   3.53197078495389*^9, {3.531970835334256*^9, 3.531970890571937*^9}, 
   3.531970964329227*^9, 3.532266950477921*^9, 3.5368134947271147`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"HA3eqnLHSmod", "=", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", ",", 
       "10", ",", "12", ",", "13", ",", "14", ",", "17"}], "}"}], "]"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5319710151449738`*^9, 3.531971032729167*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["definition of the second order principal part matrix \
(A2, A2full)", "Subsection"]], "Subsubsection",
 CellChangeTimes->{{3.530418706255247*^9, 3.530418714280862*^9}, {
  3.536814110814728*^9, 3.536814119680202*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"A2", "[", 
    RowBox[{"1", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu1", ",", 
       RowBox[{"auu2", "+", "dbar112"}], ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "dbar212", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu11", ",", 
       RowBox[{"avu12", "+", "dbarv12"}], ",", "avv1", ",", "avw"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu111", ",", 
       RowBox[{"awu112", "+", "dbarw112"}], ",", "awv11", ",", "aww1"}], 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A2", "[", 
    RowBox[{"1", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "dbar112"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"auu1", "-", "dbar212"}], ",", "auu2", ",", "auv", ",", "0"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"avu12", "-", "dbarv12"}], ",", "avu22", ",", "avv2", ",", 
       "avw"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"awu112", "-", "dbarw112"}], ",", "awu122", ",", "awv12", ",", 
       "aww1"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A2", "[", 
    RowBox[{"1", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu111", ",", 
       RowBox[{"awu112", "+", "dbarw112"}], ",", "awv11", ",", "aww1"}], 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A2", "[", 
    RowBox[{"1", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"awu112", "-", "dbarw112"}], ",", "awu122", ",", "awv12", ",", 
       "aww1"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A2", "[", 
    RowBox[{"2", ",", "1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", 
       RowBox[{"awu122", "+", "dbarw212"}], ",", "awv12", ",", "aww2"}], 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A2", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"awu122", "-", "dbarw212"}], ",", "awu222", ",", "awv22", ",", 
       "aww2"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A2", "[", 
    RowBox[{"2", ",", "2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auu1", ",", 
       RowBox[{"auu2", "+", "dbar112"}], ",", "auv", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "dbar212", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"avu11", ",", 
       RowBox[{"avu12", "+", "dbarv12"}], ",", "avv1", ",", "avw"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"awu112", ",", 
       RowBox[{"awu122", "+", "dbarw212"}], ",", "awv12", ",", "aww2"}], 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A2", "[", 
    RowBox[{"2", ",", "2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "dbar112"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"auu1", "-", "dbar212"}], ",", "auu2", ",", "auv", ",", "0"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"avu12", "-", "dbarv12"}], ",", "avu22", ",", "avv2", ",", 
       "avw"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"awu122", "-", "dbarw212"}], ",", "awu222", ",", "awv22", ",", 
       "aww2"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.530168154753475*^9, 3.53016815523002*^9}, {
  3.530168187039298*^9, 3.530168194279389*^9}, {3.530168225755556*^9, 
  3.530169084512238*^9}, {3.530169120367833*^9, 3.530169129823512*^9}, {
  3.5301692106873426`*^9, 3.5301694737917356`*^9}, {3.530418072192938*^9, 
  3.530418119330089*^9}, {3.530784399473893*^9, 3.530784413302723*^9}, {
  3.530787775359393*^9, 3.530787775471827*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"A3", "[", 
         RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4", ",", "#5"}], "]"}], 
        "-", 
        RowBox[{
         RowBox[{"A2", "[", 
          RowBox[{"#1", ",", "#2", ",", "#4"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"#3", ",", "3", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"#5", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
       "&"}], ",", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], "]"}], 
      ",", "1"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dbar112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbar212", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarv12", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw212", "\[Rule]", "0"}]}], "}"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.5304234992356052`*^9}, {3.530787797250354*^9, 3.530787842900638*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.5304234996845093`*^9}, 
   3.530423871644084*^9, 3.530787779063176*^9, {3.530787828167665*^9, 
   3.530787843541297*^9}, 3.531377858476145*^9, 3.531584432865796*^9, 
   3.531883347273608*^9, 3.53226695064093*^9, 3.53681349481395*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"A3", "[", 
         RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4", ",", "#5"}], "]"}], 
        "-", 
        RowBox[{
         RowBox[{"A2", "[", 
          RowBox[{"#1", ",", "#2", ",", "#4"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"#3", ",", "3", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"#5", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
       "&"}], ",", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "2"}], "}"}], "]"}], 
      ",", "1"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dbar112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbar212", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarv12", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw212", "\[Rule]", "0"}]}], "}"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423504751491*^9}, {3.530787829611821*^9, 3.530787850591844*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.5304235052459507`*^9}, 
   3.5304238716599283`*^9, 3.5307877801885843`*^9, {3.5307878301793203`*^9, 
   3.530787851200539*^9}, 3.531377858488957*^9, 3.531584432874413*^9, 
   3.531883347388256*^9, 3.532266950664384*^9, 3.53681349482549*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"A3", "[", 
         RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4", ",", "#5"}], "]"}], 
        "-", 
        RowBox[{
         RowBox[{"A2", "[", 
          RowBox[{"#1", ",", "#2", ",", "#4"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"#3", ",", "3", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"#5", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
       "&"}], ",", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "2"}], "}"}], "]"}], 
      ",", "1"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dbar112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbar212", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarv12", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw212", "\[Rule]", "0"}]}], "}"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423511405105*^9}, {3.530787832579609*^9, 3.5307878578108063`*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.530423511994522*^9}, 
   3.530423871673133*^9, 3.5307877809526653`*^9, 3.5307878585854187`*^9, 
   3.531377858505307*^9, 3.531584432952692*^9, 3.531883347436206*^9, 
   3.532266950771821*^9, 3.5368134948370533`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"A3", "[", 
         RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4", ",", "#5"}], "]"}], 
        "-", 
        RowBox[{
         RowBox[{"A2", "[", 
          RowBox[{"#1", ",", "#2", ",", "#4"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"#3", ",", "3", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"#5", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
       "&"}], ",", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}], 
      ",", "1"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dbar112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbar212", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarv12", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw212", "\[Rule]", "0"}]}], "}"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423518991654*^9}, {3.53078786023954*^9, 3.530787870006977*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{3.5307878705746603`*^9, 3.531377858582692*^9, 
  3.531584433032897*^9, 3.531883347495529*^9, 3.532266950806696*^9, 
  3.5368134948905067`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"A3", "[", 
         RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4", ",", "#5"}], "]"}], 
        "-", 
        RowBox[{
         RowBox[{"A2", "[", 
          RowBox[{"#1", ",", "#2", ",", "#4"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"#3", ",", "3", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"#5", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
       "&"}], ",", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}], 
      ",", "1"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dbar112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbar212", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarv12", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw212", "\[Rule]", "0"}]}], "}"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423527854766*^9}, {3.530787872226602*^9, 3.530787877828017*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.530423528376542*^9}, 
   3.5304238718222713`*^9, 3.530787784999049*^9, 3.530787878454193*^9, 
   3.531377858596261*^9, 3.53158443310714*^9, 3.531883347533267*^9, 
   3.532266950835136*^9, 3.536813494904743*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"A3", "[", 
         RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4", ",", "#5"}], "]"}], 
        "-", 
        RowBox[{
         RowBox[{"A2", "[", 
          RowBox[{"#1", ",", "#2", ",", "#4"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"#3", ",", "3", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"#5", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
       "&"}], ",", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}], 
      ",", "1"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dbar112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbar212", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarv12", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw112", "\[Rule]", "0"}], ",", 
      RowBox[{"dbarw212", "\[Rule]", "0"}]}], "}"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423533346285*^9}, {3.530787880132621*^9, 3.530787884982081*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.530423534262847*^9}, 
   3.530423871837913*^9, 3.530787787765963*^9, 3.530787885466515*^9, 
   3.53137785860684*^9, 3.531584433206407*^9, 3.531883347671444*^9, 
   3.532266950959724*^9, 3.536813494916254*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"A2full", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"ArrayFlatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"A2", "[", 
          RowBox[{"i", ",", "1", ",", "1"}], "]"}], ",", 
         RowBox[{"A2", "[", 
          RowBox[{"i", ",", "1", ",", "2"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"A2", "[", 
          RowBox[{"i", ",", "2", ",", "1"}], "]"}], ",", 
         RowBox[{"A2", "[", 
          RowBox[{"i", ",", "2", ",", "2"}], "]"}]}], "}"}]}], "}"}], "]"}], 
    "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "1", ",", "2", ",", "5", ",", "6", ",", "3", ",", "7", ",", "4"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "2", ",", "5", ",", "6", ",", "3", ",", "7", ",", "4"}], 
       "}"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"A2full", "[", "1", "]"}], ",", 
    RowBox[{"A2full", "[", "2", "]"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.530783797843274*^9, 3.530783846182912*^9}, {
  3.530786132806652*^9, 3.530786138566339*^9}, {3.531307997222389*^9, 
  3.531308038610406*^9}, {3.531388671636764*^9, 3.5313887165450706`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"auu1", 
        RowBox[{"auu2", "+", "dbar112"}], 
        RowBox[{"-", "dbar112"}], "0", "auv", "0", "0"},
       {"0", "dbar212", 
        RowBox[{"auu1", "-", "dbar212"}], "auu2", "0", "auv", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu11", 
        RowBox[{"avu12", "+", "dbarv12"}], 
        RowBox[{"avu12", "-", "dbarv12"}], "avu22", "avv1", "avv2", "avw"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"awu111", 
        RowBox[{"awu112", "+", "dbarw112"}], 
        RowBox[{"awu112", "-", "dbarw112"}], "awu122", "awv11", "awv12", 
        "aww1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"auu1", 
        RowBox[{"auu2", "+", "dbar112"}], 
        RowBox[{"-", "dbar112"}], "0", "auv", "0", "0"},
       {"0", "dbar212", 
        RowBox[{"auu1", "-", "dbar212"}], "auu2", "0", "auv", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu11", 
        RowBox[{"avu12", "+", "dbarv12"}], 
        RowBox[{"avu12", "-", "dbarv12"}], "avu22", "avv1", "avv2", "avw"},
       {"awu112", 
        RowBox[{"awu122", "+", "dbarw212"}], 
        RowBox[{"awu122", "-", "dbarw212"}], "awu222", "awv12", "awv22", 
        "aww2"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{{3.530783831369121*^9, 3.5307838466143093`*^9}, 
   3.530784148540362*^9, 3.5307844516892776`*^9, 3.530786139191598*^9, 
   3.5307868869182158`*^9, 3.5307878973466187`*^9, 3.530791744815507*^9, {
   3.531308019187046*^9, 3.531308039185194*^9}, 3.5313778620346327`*^9, 
   3.5313886388968678`*^9, 3.5313887172781267`*^9, 3.5315844332220793`*^9, 
   3.5318833477088213`*^9, 3.532266950983317*^9, 3.5368134949313097`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"A2full", "[", "1", "]"}], "-", 
       RowBox[{"A3full", "[", "1", "]"}]}], ",", 
      RowBox[{
       RowBox[{"A2full", "[", "2", "]"}], "-", 
       RowBox[{"A3full", "[", "2", "]"}]}]}], "}"}], "//", "Simplify"}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.531388746644401*^9, 3.531388761039481*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "dbar112", 
        RowBox[{"-", "dbar112"}], "0", "0", "0", "0"},
       {"0", "dbar212", 
        RowBox[{"-", "dbar212"}], "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "dbarv12", 
        RowBox[{"-", "dbarv12"}], "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "dbarw112", 
        RowBox[{"-", "dbarw112"}], "0", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "dbar112", 
        RowBox[{"-", "dbar112"}], "0", "0", "0", "0"},
       {"0", "dbar212", 
        RowBox[{"-", "dbar212"}], "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "dbarv12", 
        RowBox[{"-", "dbarv12"}], "0", "0", "0", "0"},
       {"0", "dbarw212", 
        RowBox[{"-", "dbarw212"}], "0", "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.5313887614236403`*^9, 3.531584433298092*^9, 
  3.531883347724517*^9, 3.532266951014679*^9, 3.536813494985694*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["definition of the second order candidate symmetrizer \
(H2, H2full)", "Subsection"]], "Subsubsection",
 CellChangeTimes->{{3.530418812105549*^9, 3.530418818468567*^9}, {
  3.5368141311821747`*^9, 3.536814139644452*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"H2", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1111", ",", "huu1112", ",", "huv111", ",", "huw11"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huu1112", ",", "huu1212", ",", "huv121", ",", "huw12"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv111", ",", "huv121", ",", "hvv11", ",", "hvw1"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw11", ",", "huw12", ",", "hvw1", ",", "hww"}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H2", "[", 
    RowBox[{"2", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu2121", ",", "huu2122", ",", "huv212", ",", "huw21"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huu2122", ",", "huu2222", ",", "huv222", ",", "huw22"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv212", ",", "huv222", ",", "hvv22", ",", "hvw2"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw21", ",", "huw22", ",", "hvw2", ",", "hww"}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H2", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1121", ",", "huu1122", ",", "huv112", ",", "huw11"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huu1221", ",", "huu1222", ",", "huv122", ",", "huw12"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv211", ",", "huv221", ",", "hvv12", ",", "hvw1"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw21", ",", "huw22", ",", "hvw2", ",", "hww"}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H2", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"huu1121", ",", "huu1221", ",", "huv211", ",", "huw21"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huu1122", ",", "huu1222", ",", "huv221", ",", "huw22"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huv112", ",", "huv122", ",", "hvv12", ",", "hvw2"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"huw11", ",", "huw12", ",", "hvw1", ",", "hww"}], "}"}]}], 
    "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.530169760494816*^9, 3.530169838442739*^9}, {
  3.5301699179116077`*^9, 3.530170084505815*^9}, {3.530170170748205*^9, 
  3.530170324515486*^9}, {3.530170375212624*^9, 3.530170513436326*^9}, {
  3.530418123003438*^9, 3.53041814287606*^9}, {3.530423799354347*^9, 
  3.530423804747931*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H2", "[", 
      RowBox[{"1", ",", "1"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H2", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "//", "Simplify"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H2", "[", 
      RowBox[{"2", ",", "1"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H2", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "//", "Simplify"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"H2", "[", 
      RowBox[{"2", ",", "2"}], "]"}], "-", 
     RowBox[{"Transpose", "[", 
      RowBox[{"H2", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "//", "Simplify"}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5301700933208637`*^9, 3.530170107590329*^9}, {
  3.5301703276920967`*^9, 3.530170340476737*^9}, {3.530418145938511*^9, 
  3.530418176289134*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.530418172095694*^9, 3.530418176842547*^9}, 
   3.5304238110333652`*^9, 3.530423872425829*^9, 3.5307844456815357`*^9, 
   3.5307878896346493`*^9, 3.5313778587340193`*^9, 3.531584433465036*^9, 
   3.531883347795793*^9, 3.532266951149765*^9, 3.536813495013695*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.530418172095694*^9, 3.530418176842547*^9}, 
   3.5304238110333652`*^9, 3.530423872425829*^9, 3.5307844456815357`*^9, 
   3.5307878896346493`*^9, 3.5313778587340193`*^9, 3.531584433465036*^9, 
   3.531883347795793*^9, 3.532266951149765*^9, 3.536813495015223*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.530418172095694*^9, 3.530418176842547*^9}, 
   3.5304238110333652`*^9, 3.530423872425829*^9, 3.5307844456815357`*^9, 
   3.5307878896346493`*^9, 3.5313778587340193`*^9, 3.531584433465036*^9, 
   3.531883347795793*^9, 3.532266951149765*^9, 3.5368134950164623`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4"}], "]"}], "-", 
     RowBox[{
      RowBox[{"H2", "[", 
       RowBox[{"#1", ",", "#3"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#2", ",", "3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"#4", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], "&"}], 
   ",", 
   RowBox[{"Permutations", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], "]"}], ",", "1"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423511405105*^9}, {3.5304235639736032`*^9, 3.530423584046422*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.530423511994522*^9}, 
   3.530423584804006*^9, 3.5304236986991997`*^9, 3.530423812163103*^9, 
   3.5304238725570383`*^9, 3.530784445801667*^9, 3.530787890685264*^9, 
   3.531377858750938*^9, 3.531584433597919*^9, 3.531883347817894*^9, 
   3.532266951175124*^9, 3.536813495026183*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4"}], "]"}], "-", 
     RowBox[{
      RowBox[{"H2", "[", 
       RowBox[{"#1", ",", "#3"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#2", ",", "3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"#4", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], "&"}], 
   ",", 
   RowBox[{"Permutations", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1", ",", "2"}], "}"}], "]"}], ",", "1"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423511405105*^9}, {3.5304235639736032`*^9, 3.5304235932905197`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.530423511994522*^9}, {
   3.530423584804006*^9, 3.530423593825821*^9}, 3.53042369935369*^9, 
   3.5304238128322*^9, 3.5304238725746098`*^9, 3.530784445939108*^9, 
   3.53078789144634*^9, 3.531377858838397*^9, 3.531584433683919*^9, 
   3.5318833478284388`*^9, 3.5322669511979017`*^9, 3.5368134950765676`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4"}], "]"}], "-", 
     RowBox[{
      RowBox[{"H2", "[", 
       RowBox[{"#1", ",", "#3"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#2", ",", "3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"#4", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], "&"}], 
   ",", 
   RowBox[{"Permutations", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "}"}], "]"}], ",", "1"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423511405105*^9}, {3.5304235639736032`*^9, 3.5304235970459957`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.530423511994522*^9}, {
   3.530423584804006*^9, 3.530423597506863*^9}, 3.530423699907188*^9, 
   3.530423813777298*^9, 3.530423872588129*^9, 3.530784446064541*^9, 
   3.530787892194118*^9, 3.531377858851801*^9, 3.531584433796328*^9, 
   3.5318833478400784`*^9, 3.532266951307604*^9, 3.536813495089884*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4"}], "]"}], "-", 
     RowBox[{
      RowBox[{"H2", "[", 
       RowBox[{"#1", ",", "#3"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#2", ",", "3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"#4", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], "&"}], 
   ",", 
   RowBox[{"Permutations", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}], ",", "1"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423511405105*^9}, {3.5304235639736032`*^9, 3.53042360295958*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.530423511994522*^9}, {
   3.530423584804006*^9, 3.530423603414735*^9}, 3.530423814825642*^9, 
   3.530423872600922*^9, 3.5307844461812077`*^9, 3.530787893063048*^9, 
   3.531377858865828*^9, 3.531584433874216*^9, 3.53188334790441*^9, 
   3.53226695136001*^9, 3.5368134951037893`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"H3", "[", 
      RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4"}], "]"}], "-", 
     RowBox[{
      RowBox[{"H2", "[", 
       RowBox[{"#1", ",", "#3"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#2", ",", "3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"#4", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], "&"}], 
   ",", 
   RowBox[{"Permutations", "[", 
    RowBox[{"{", 
     RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "}"}], "]"}], ",", "1"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.530418760084064*^9, 3.5304187725067472`*^9}, {
  3.530418891263567*^9, 3.53041892074607*^9}, {3.530423349466659*^9, 
  3.530423511405105*^9}, {3.5304235639736032`*^9, 3.530423607219439*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.530418773137084*^9, 3.530418921486968*^9, {3.5304233523940277`*^9, 
   3.530423379899879*^9}, {3.53042343222361*^9, 3.530423511994522*^9}, {
   3.530423584804006*^9, 3.530423607724761*^9}, 3.530423815356433*^9, 
   3.530423872610393*^9, 3.5307844463116207`*^9, 3.530787893758189*^9, 
   3.531377858961029*^9, 3.5315844338862267`*^9, 3.5318833479166183`*^9, 
   3.532266951466364*^9, 3.536813495113851*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"H2full", "=", 
   RowBox[{
    RowBox[{"ArrayFlatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"H2", "[", 
          RowBox[{"1", ",", "1"}], "]"}], ",", 
         RowBox[{"H2", "[", 
          RowBox[{"1", ",", "2"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"H2", "[", 
          RowBox[{"2", ",", "1"}], "]"}], ",", 
         RowBox[{"H2", "[", 
          RowBox[{"2", ",", "2"}], "]"}]}], "}"}]}], "}"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "1", ",", "2", ",", "5", ",", "6", ",", "3", ",", "7", ",", "4"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "2", ",", "5", ",", "6", ",", "3", ",", "7", ",", "4"}], 
       "}"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"H2full", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530783797843274*^9, 3.530783846182912*^9}, {
  3.530786132806652*^9, 3.530786138566339*^9}, {3.531307997222389*^9, 
  3.531308038610406*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"huu1111", "huu1112", "huu1121", "huu1122", "huv111", "huv112", "huw11"},
     {"huu1112", "huu1212", "huu1221", "huu1222", "huv121", "huv122", "huw12"},
     {"huu1121", "huu1221", "huu2121", "huu2122", "huv211", "huv212", "huw21"},
     {"huu1122", "huu1222", "huu2122", "huu2222", "huv221", "huv222", "huw22"},
     {"huv111", "huv121", "huv211", "huv221", "hvv11", "hvv12", "hvw1"},
     {"huv112", "huv122", "huv212", "huv222", "hvv12", "hvv22", "hvw2"},
     {"huw11", "huw12", "huw21", "huw22", "hvw1", "hvw2", "hww"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.530783831369121*^9, 3.5307838466143093`*^9}, 
   3.530784148540362*^9, 3.5307844516892776`*^9, 3.530786139191598*^9, 
   3.5307868869182158`*^9, 3.5307878973466187`*^9, 3.530791744815507*^9, {
   3.531308019187046*^9, 3.531308039185194*^9}, 3.5313778620346327`*^9, 
   3.5313886388968678`*^9, 3.531584433896669*^9, 3.531883347928656*^9, 
   3.532266951493548*^9, 3.536813495163374*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{"H2full", "-", 
    RowBox[{"Transpose", "[", "H2full", "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.530783854279415*^9, 3.530783858128046*^9}, {
  3.5307861409017878`*^9, 3.530786151150712*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.5307838587901707`*^9, 3.5307841521488447`*^9, 3.5307844530250807`*^9, 
   3.530786153017013*^9, 3.530786887719857*^9, 3.53078789757524*^9, 
   3.530791748112464*^9, {3.5313080266649103`*^9, 3.53130804012179*^9}, 
   3.531377862923851*^9, 3.531388639570717*^9, 3.53158443398212*^9, 
   3.531883347938601*^9, 3.532266951510612*^9, 3.5368134951730537`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{"H2full", "-", "H3full"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.530783903039505*^9, 3.5307839213788157`*^9}, {
  3.530784159422061*^9, 3.5307841743693857`*^9}, {3.5307861542508497`*^9, 
  3.530786156253154*^9}, {3.53078688935525*^9, 3.530786891072649*^9}, {
  3.531308045665369*^9, 3.531308054502839*^9}, {3.531388644824997*^9, 
  3.531388649261229*^9}}],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.530783921774646*^9, 3.530784175235252*^9, 3.530784453635847*^9, 
   3.530786156894411*^9, 3.5307868919066772`*^9, 3.5307878978297*^9, 
   3.5307917487008533`*^9, {3.53130805095721*^9, 3.5313080548732758`*^9}, 
   3.531377863851191*^9, {3.531388640395343*^9, 3.531388649725341*^9}, 
   3.531584434059691*^9, 3.531883348004096*^9, 3.53226695153255*^9, 
   3.536813495184079*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
In the 2nd order definitions of symmetric hyperbolicity we work with 4x4 \
matrices --> define a function to select the appropriate 4x4 sub-matrices \
from the full 7x7 matrices (SubMatrix2)\
\>", "Subsection",
 CellChangeTimes->{{3.5368141682193947`*^9, 3.536814209236855*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SubMatrix2", "[", 
     RowBox[{"X_", "?", "MatrixQ"}], "]"}], "[", 
    RowBox[{"i_", ",", "k_"}], "]"}], ":=", 
   RowBox[{"X", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "i"}], "-", "1"}], ",", 
        RowBox[{"2", "i"}], ",", 
        RowBox[{"4", "+", "i"}], ",", "7"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "k"}], "-", "1"}], ",", 
        RowBox[{"2", "k"}], ",", 
        RowBox[{"4", "+", "k"}], ",", "7"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.531379957259757*^9, 3.53138000216749*^9}, {
   3.531380101375744*^9, 3.531380109293026*^9}, 3.5313806365569067`*^9, {
   3.531388830684548*^9, 3.531388904066546*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"SubMatrix2", "[", "H2full", "]"}], "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "-", 
      RowBox[{"H2", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ")"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}], "]"}]}]}], "}"}], ",", 
   RowBox[{"{", "1", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.531380005994611*^9, 3.5313800297022142`*^9}, {
   3.531380432528852*^9, 3.531380577753745*^9}, 3.5313806401056356`*^9, {
   3.531388910342698*^9, 3.531388943021132*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.5313800158332987`*^9, 3.531380030067772*^9}, 
   3.53138011045892*^9, {3.531380481914364*^9, 3.531380492849266*^9}, {
   3.531380525937109*^9, 3.531380532034717*^9}, 3.5313805782768717`*^9, 
   3.531380640965516*^9, 3.531388399033279*^9, 3.5313889441714287`*^9, 
   3.5315844343091*^9, 3.531883348046777*^9, 3.532266951662294*^9, 
   3.536813495247986*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"SubMatrix2", "[", 
        RowBox[{"A2full", "[", "1", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "-", 
      RowBox[{"A2", "[", 
       RowBox[{"1", ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ")"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}], "]"}]}]}], "}"}], ",", 
   RowBox[{"{", "1", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.531380005994611*^9, 3.5313800297022142`*^9}, {
   3.531380432528852*^9, 3.531380599211376*^9}, 3.531380642514792*^9, {
   3.531388948413888*^9, 3.531388976076963*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.5313800158332987`*^9, 3.531380030067772*^9}, 
   3.53138011045892*^9, {3.531380481914364*^9, 3.531380492849266*^9}, {
   3.531380525937109*^9, 3.531380532034717*^9}, {3.5313805782768717`*^9, 
   3.531380600648102*^9}, 3.5313806433155403`*^9, 3.531388400210945*^9, 
   3.531388977008225*^9, 3.531584434427837*^9, 3.53188334812035*^9, 
   3.532266951695084*^9, 3.536813495263804*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"SubMatrix2", "[", 
        RowBox[{"A2full", "[", "2", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "-", 
      RowBox[{"A2", "[", 
       RowBox[{"2", ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ")"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], "]"}]}], ",", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Permutations", "[", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}], "]"}]}]}], "}"}], ",", 
   RowBox[{"{", "1", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.531380005994611*^9, 3.5313800297022142`*^9}, {
   3.531380432528852*^9, 3.531380599211376*^9}, 3.531380642514792*^9, {
   3.531388948413888*^9, 3.531388985497414*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.5313800158332987`*^9, 3.531380030067772*^9}, 
   3.53138011045892*^9, {3.531380481914364*^9, 3.531380492849266*^9}, {
   3.531380525937109*^9, 3.531380532034717*^9}, {3.5313805782768717`*^9, 
   3.531380600648102*^9}, 3.5313806433155403`*^9, 3.531388400210945*^9, {
   3.531388977008225*^9, 3.531388986081254*^9}, 3.5315844345097513`*^9, 
   3.5318833481354513`*^9, 3.53226695180401*^9, 3.53681349527607*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Definition of the 2nd order conservation equations \
(HA2eqnLHS)", "Subsection"]], "Subsubsection",
 CellChangeTimes->{{3.530418833782707*^9, 3.53041884097855*^9}, {
  3.5368142410433283`*^9, 3.536814268916213*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA2eq1", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix2", "[", 
            RowBox[{"H2full", ".", 
             RowBox[{"A2full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1"}], "}"}], "]"}]}], ")"}]}], 
      ")"}]}], "//", "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA2eq1", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380736758799*^9}, {3.531389022215795*^9, 
  3.531389045887706*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huu1111"}], "-", 
       RowBox[{"auu1", " ", "huu1112"}], "+", 
       RowBox[{"dbar212", " ", "huu1112"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "huv111"}], "-", 
       RowBox[{"avu11", " ", "huv121"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "huw11"}], "-", 
       RowBox[{"awu111", " ", "huw12"}]}], 
      RowBox[{
       RowBox[{"auv", " ", "huu1111"}], "-", 
       RowBox[{"auu1", " ", "huv111"}], "+", 
       RowBox[{"avv1", " ", "huv111"}], "+", 
       RowBox[{"awv11", " ", "huw11"}], "-", 
       RowBox[{"avu11", " ", "hvv11"}], "-", 
       RowBox[{"awu111", " ", "hvw1"}]}], 
      RowBox[{
       RowBox[{"avw", " ", "huv111"}], "-", 
       RowBox[{"auu1", " ", "huw11"}], "+", 
       RowBox[{"aww1", " ", "huw11"}], "-", 
       RowBox[{"avu11", " ", "hvw1"}], "-", 
       RowBox[{"awu111", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"auu2", "+", "dbar112"}], ")"}]}], " ", "huu1111"}], "+", 
       RowBox[{"auu1", " ", "huu1112"}], "-", 
       RowBox[{"dbar212", " ", "huu1112"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "huv111"}], "+", 
       RowBox[{"avu11", " ", "huv121"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "huw11"}], "+", 
       RowBox[{"awu111", " ", "huw12"}]}], "0", 
      RowBox[{
       RowBox[{"auv", " ", "huu1112"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huv111"}], "+", 
       RowBox[{"avv1", " ", "huv121"}], "-", 
       RowBox[{"dbar212", " ", "huv121"}], "+", 
       RowBox[{"awv11", " ", "huw12"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvv11"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "hvw1"}]}], 
      RowBox[{
       RowBox[{"avw", " ", "huv121"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huw11"}], "+", 
       RowBox[{"aww1", " ", "huw12"}], "-", 
       RowBox[{"dbar212", " ", "huw12"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvw1"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huu1111"}], "+", 
       RowBox[{"auu1", " ", "huv111"}], "-", 
       RowBox[{"avv1", " ", "huv111"}], "-", 
       RowBox[{"awv11", " ", "huw11"}], "+", 
       RowBox[{"avu11", " ", "hvv11"}], "+", 
       RowBox[{"awu111", " ", "hvw1"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huu1112"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huv111"}], "-", 
       RowBox[{"avv1", " ", "huv121"}], "+", 
       RowBox[{"dbar212", " ", "huv121"}], "-", 
       RowBox[{"awv11", " ", "huw12"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvv11"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "hvw1"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huw11"}], "+", 
       RowBox[{"avw", " ", "hvv11"}], "-", 
       RowBox[{"avv1", " ", "hvw1"}], "+", 
       RowBox[{"aww1", " ", "hvw1"}], "-", 
       RowBox[{"awv11", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", "huv111"}], "+", 
       RowBox[{"auu1", " ", "huw11"}], "-", 
       RowBox[{"aww1", " ", "huw11"}], "+", 
       RowBox[{"avu11", " ", "hvw1"}], "+", 
       RowBox[{"awu111", " ", "hww"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", "huv121"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huw11"}], "-", 
       RowBox[{"aww1", " ", "huw12"}], "+", 
       RowBox[{"dbar212", " ", "huw12"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvw1"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", "huw11"}], "-", 
       RowBox[{"avw", " ", "hvv11"}], "+", 
       RowBox[{"avv1", " ", "hvw1"}], "-", 
       RowBox[{"aww1", " ", "hvw1"}], "+", 
       RowBox[{"awv11", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, 3.5313807377752857`*^9, 
   3.531388441178335*^9, 3.531389046555541*^9, 3.531584434662669*^9, 
   3.531883348246723*^9, 3.532266952025058*^9, 3.536813495385871*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA2eq2", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix2", "[", 
            RowBox[{"H2full", ".", 
             RowBox[{"A2full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "2"}], "}"}], "]"}]}], ")"}]}], 
      ")"}]}], "//", "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA2eq2", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380736758799*^9}, {3.531389022215795*^9, 
  3.531389069240384*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huu1112", "+", 
          RowBox[{"2", " ", "huu1121"}]}], ")"}]}], "+", 
       RowBox[{"dbar112", " ", 
        RowBox[{"(", 
         RowBox[{"huu1112", "+", 
          RowBox[{"2", " ", "huu1121"}]}], ")"}]}], "-", 
       RowBox[{"auu1", " ", "huu1122"}], "+", 
       RowBox[{"dbar212", " ", "huu1122"}], "-", 
       RowBox[{"auu1", " ", "huu1212"}], "+", 
       RowBox[{"dbar212", " ", "huu1212"}], "-", 
       RowBox[{"auu1", " ", "huu1221"}], "+", 
       RowBox[{"dbar212", " ", "huu1221"}], "+", 
       RowBox[{"avu22", " ", "huv111"}], "+", 
       RowBox[{"avu12", " ", "huv112"}], "+", 
       RowBox[{"dbarv12", " ", "huv112"}], "-", 
       RowBox[{"avu12", " ", "huv121"}], "+", 
       RowBox[{"dbarv12", " ", "huv121"}], "-", 
       RowBox[{"avu11", " ", "huv122"}], "+", 
       RowBox[{"avu12", " ", "huv211"}], "+", 
       RowBox[{"dbarv12", " ", "huv211"}], "-", 
       RowBox[{"avu11", " ", "huv221"}], "+", 
       RowBox[{"2", " ", "awu122", " ", "huw11"}], "+", 
       RowBox[{"dbarw212", " ", "huw11"}], "-", 
       RowBox[{"2", " ", "awu112", " ", "huw12"}], "+", 
       RowBox[{"dbarw112", " ", "huw12"}], "+", 
       RowBox[{"awu112", " ", "huw21"}], "+", 
       RowBox[{"dbarw112", " ", "huw21"}], "-", 
       RowBox[{"awu111", " ", "huw22"}]}], 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{"huu1112", "+", 
          RowBox[{"2", " ", "huu1121"}]}], ")"}]}], "+", 
       RowBox[{"avv2", " ", "huv111"}], "+", 
       RowBox[{"dbar112", " ", "huv111"}], "-", 
       RowBox[{"auu1", " ", "huv112"}], "+", 
       RowBox[{"avv1", " ", "huv112"}], "-", 
       RowBox[{"auu1", " ", "huv121"}], "+", 
       RowBox[{"dbar212", " ", "huv121"}], "-", 
       RowBox[{"auu1", " ", "huv211"}], "+", 
       RowBox[{"avv1", " ", "huv211"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw11"}], "+", 
       RowBox[{"awv11", " ", "huw21"}], "-", 
       RowBox[{"avu12", " ", "hvv11"}], "+", 
       RowBox[{"dbarv12", " ", "hvv11"}], "-", 
       RowBox[{"2", " ", "avu11", " ", "hvv12"}], "-", 
       RowBox[{"2", " ", "awu112", " ", "hvw1"}], "+", 
       RowBox[{"dbarw112", " ", "hvw1"}], "-", 
       RowBox[{"awu111", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"huv111", "+", "huv112", "+", "huv211"}], ")"}]}], "+", 
       RowBox[{"aww1", " ", "huw11"}], "+", 
       RowBox[{"aww2", " ", "huw11"}], "+", 
       RowBox[{"dbar112", " ", "huw11"}], "+", 
       RowBox[{"dbar212", " ", "huw12"}], "+", 
       RowBox[{"aww1", " ", "huw21"}], "-", 
       RowBox[{"auu1", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "-", 
       RowBox[{"avu11", " ", "hvw1"}], "-", 
       RowBox[{"avu12", " ", "hvw1"}], "+", 
       RowBox[{"dbarv12", " ", "hvw1"}], "-", 
       RowBox[{"avu11", " ", "hvw2"}], "-", 
       RowBox[{"awu111", " ", "hww"}], "-", 
       RowBox[{"2", " ", "awu112", " ", "hww"}], "+", 
       RowBox[{"dbarw112", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auu2"}], " ", "huu1112"}], "-", 
       RowBox[{"dbar112", " ", "huu1112"}], "-", 
       RowBox[{"2", " ", "auu2", " ", "huu1121"}], "-", 
       RowBox[{"2", " ", "dbar112", " ", "huu1121"}], "+", 
       RowBox[{"auu1", " ", "huu1122"}], "-", 
       RowBox[{"dbar212", " ", "huu1122"}], "+", 
       RowBox[{"auu1", " ", "huu1212"}], "-", 
       RowBox[{"dbar212", " ", "huu1212"}], "+", 
       RowBox[{"auu1", " ", "huu1221"}], "-", 
       RowBox[{"dbar212", " ", "huu1221"}], "-", 
       RowBox[{"avu22", " ", "huv111"}], "-", 
       RowBox[{"avu12", " ", "huv112"}], "-", 
       RowBox[{"dbarv12", " ", "huv112"}], "+", 
       RowBox[{"avu12", " ", "huv121"}], "-", 
       RowBox[{"dbarv12", " ", "huv121"}], "+", 
       RowBox[{"avu11", " ", "huv122"}], "-", 
       RowBox[{"avu12", " ", "huv211"}], "-", 
       RowBox[{"dbarv12", " ", "huv211"}], "+", 
       RowBox[{"avu11", " ", "huv221"}], "-", 
       RowBox[{"2", " ", "awu122", " ", "huw11"}], "-", 
       RowBox[{"dbarw212", " ", "huw11"}], "+", 
       RowBox[{"2", " ", "awu112", " ", "huw12"}], "-", 
       RowBox[{"dbarw112", " ", "huw12"}], "-", 
       RowBox[{"awu112", " ", "huw21"}], "-", 
       RowBox[{"dbarw112", " ", "huw21"}], "+", 
       RowBox[{"awu111", " ", "huw22"}]}], "0", 
      RowBox[{
       RowBox[{"auv", " ", "huu1122"}], "+", 
       RowBox[{"auv", " ", "huu1212"}], "+", 
       RowBox[{"auv", " ", "huu1221"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huv112"}], "-", 
       RowBox[{"auu2", " ", "huv121"}], "+", 
       RowBox[{"avv2", " ", "huv121"}], "+", 
       RowBox[{"avv1", " ", "huv122"}], "-", 
       RowBox[{"dbar212", " ", "huv122"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huv211"}], "+", 
       RowBox[{"avv1", " ", "huv221"}], "-", 
       RowBox[{"dbar212", " ", "huv221"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw12"}], "+", 
       RowBox[{"awv11", " ", "huw22"}], "-", 
       RowBox[{"avu22", " ", "hvv11"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvv12"}], "-", 
       RowBox[{"awu122", " ", "hvw1"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu122", "+", "dbarw212"}], ")"}], " ", "hvw1"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", "huv121"}], "+", 
       RowBox[{"avw", " ", "huv122"}], "+", 
       RowBox[{"avw", " ", "huv221"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huw11"}], "-", 
       RowBox[{"auu2", " ", "huw12"}], "+", 
       RowBox[{"aww1", " ", "huw12"}], "+", 
       RowBox[{"aww2", " ", "huw12"}], "-", 
       RowBox[{"dbar212", " ", "huw12"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huw21"}], "+", 
       RowBox[{"aww1", " ", "huw22"}], "-", 
       RowBox[{"dbar212", " ", "huw22"}], "-", 
       RowBox[{"avu22", " ", "hvw1"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvw1"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvw2"}], "-", 
       RowBox[{"awu122", " ", "hww"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "hww"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu122", "+", "dbarw212"}], ")"}], " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huu1112"}], "-", 
       RowBox[{"2", " ", "auv", " ", "huu1121"}], "-", 
       RowBox[{"avv2", " ", "huv111"}], "-", 
       RowBox[{"dbar112", " ", "huv111"}], "+", 
       RowBox[{"auu1", " ", "huv112"}], "-", 
       RowBox[{"avv1", " ", "huv112"}], "+", 
       RowBox[{"auu1", " ", "huv121"}], "-", 
       RowBox[{"dbar212", " ", "huv121"}], "+", 
       RowBox[{"auu1", " ", "huv211"}], "-", 
       RowBox[{"avv1", " ", "huv211"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw11"}], "-", 
       RowBox[{"awv11", " ", "huw21"}], "+", 
       RowBox[{"avu12", " ", "hvv11"}], "-", 
       RowBox[{"dbarv12", " ", "hvv11"}], "+", 
       RowBox[{"2", " ", "avu11", " ", "hvv12"}], "+", 
       RowBox[{"2", " ", "awu112", " ", "hvw1"}], "-", 
       RowBox[{"dbarw112", " ", "hvw1"}], "+", 
       RowBox[{"awu111", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{"huu1122", "+", "huu1212", "+", "huu1221"}], ")"}]}], "+", 
       RowBox[{"dbar112", " ", "huv112"}], "-", 
       RowBox[{"avv2", " ", "huv121"}], "-", 
       RowBox[{"avv1", " ", "huv122"}], "+", 
       RowBox[{"dbar212", " ", "huv122"}], "+", 
       RowBox[{"dbar112", " ", "huv211"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huv112", "+", "huv121", "+", "huv211"}], ")"}]}], "-", 
       RowBox[{"avv1", " ", "huv221"}], "+", 
       RowBox[{"dbar212", " ", "huv221"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw12"}], "-", 
       RowBox[{"awv11", " ", "huw22"}], "+", 
       RowBox[{"avu22", " ", "hvv11"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvv12"}], "+", 
       RowBox[{"2", " ", "dbarv12", " ", "hvv12"}], "+", 
       RowBox[{"2", " ", "awu122", " ", "hvw1"}], "+", 
       RowBox[{"dbarw212", " ", "hvw1"}], "+", 
       RowBox[{"awu112", " ", "hvw2"}], "+", 
       RowBox[{"dbarw112", " ", "hvw2"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "+", 
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"hvv11", "+", 
          RowBox[{"2", " ", "hvv12"}]}], ")"}]}], "-", 
       RowBox[{"avv1", " ", "hvw1"}], "-", 
       RowBox[{"avv2", " ", "hvw1"}], "+", 
       RowBox[{"aww1", " ", "hvw1"}], "+", 
       RowBox[{"aww2", " ", "hvw1"}], "-", 
       RowBox[{"avv1", " ", "hvw2"}], "+", 
       RowBox[{"aww1", " ", "hvw2"}], "-", 
       RowBox[{"awv11", " ", "hww"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", 
        RowBox[{"(", 
         RowBox[{"huv111", "+", "huv112", "+", "huv211"}], ")"}]}], "-", 
       RowBox[{"aww1", " ", "huw11"}], "-", 
       RowBox[{"aww2", " ", "huw11"}], "-", 
       RowBox[{"dbar112", " ", "huw11"}], "-", 
       RowBox[{"dbar212", " ", "huw12"}], "-", 
       RowBox[{"aww1", " ", "huw21"}], "+", 
       RowBox[{"auu1", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "+", 
       RowBox[{"avu11", " ", "hvw1"}], "+", 
       RowBox[{"avu12", " ", "hvw1"}], "-", 
       RowBox[{"dbarv12", " ", "hvw1"}], "+", 
       RowBox[{"avu11", " ", "hvw2"}], "+", 
       RowBox[{"awu111", " ", "hww"}], "+", 
       RowBox[{"2", " ", "awu112", " ", "hww"}], "-", 
       RowBox[{"dbarw112", " ", "hww"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", 
        RowBox[{"(", 
         RowBox[{"huv121", "+", "huv122", "+", "huv221"}], ")"}]}], "+", 
       RowBox[{"dbar112", " ", "huw11"}], "-", 
       RowBox[{"aww1", " ", "huw12"}], "-", 
       RowBox[{"aww2", " ", "huw12"}], "+", 
       RowBox[{"dbar212", " ", "huw12"}], "+", 
       RowBox[{"dbar112", " ", "huw21"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "-", 
       RowBox[{"aww1", " ", "huw22"}], "+", 
       RowBox[{"dbar212", " ", "huw22"}], "+", 
       RowBox[{"avu12", " ", "hvw1"}], "+", 
       RowBox[{"avu22", " ", "hvw1"}], "+", 
       RowBox[{"dbarv12", " ", "hvw1"}], "+", 
       RowBox[{"avu12", " ", "hvw2"}], "+", 
       RowBox[{"dbarv12", " ", "hvw2"}], "+", 
       RowBox[{"awu112", " ", "hww"}], "+", 
       RowBox[{"2", " ", "awu122", " ", "hww"}], "+", 
       RowBox[{"dbarw112", " ", "hww"}], "+", 
       RowBox[{"dbarw212", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "-", 
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"hvv11", "+", 
          RowBox[{"2", " ", "hvv12"}]}], ")"}]}], "+", 
       RowBox[{"avv1", " ", "hvw1"}], "+", 
       RowBox[{"avv2", " ", "hvw1"}], "-", 
       RowBox[{"aww1", " ", "hvw1"}], "-", 
       RowBox[{"aww2", " ", "hvw1"}], "+", 
       RowBox[{"avv1", " ", "hvw2"}], "-", 
       RowBox[{"aww1", " ", "hvw2"}], "+", 
       RowBox[{"awv11", " ", "hww"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, 3.5313807377752857`*^9, 
   3.531388441178335*^9, {3.531389046555541*^9, 3.531389070152651*^9}, 
   3.5315844347620087`*^9, 3.531883348592928*^9, 3.532266952692103*^9, 
   3.5368134957314873`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA2eq3", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix2", "[", 
            RowBox[{"H2full", ".", 
             RowBox[{"A2full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "2"}], "}"}], "]"}]}], ")"}]}], 
      ")"}]}], "//", "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA2eq3", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380736758799*^9}, {3.531389022215795*^9, 
  3.531389076319641*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "auu1", " ", "huu1222"}], "+", 
       RowBox[{"2", " ", "dbar212", " ", "huu1222"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "+", 
       RowBox[{"dbar112", " ", 
        RowBox[{"(", 
         RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "-", 
       RowBox[{"auu1", " ", "huu2122"}], "+", 
       RowBox[{"dbar212", " ", "huu2122"}], "+", 
       RowBox[{"avu22", " ", "huv112"}], "-", 
       RowBox[{"avu12", " ", "huv122"}], "+", 
       RowBox[{"dbarv12", " ", "huv122"}], "+", 
       RowBox[{"avu22", " ", "huv211"}], "+", 
       RowBox[{"avu12", " ", "huv212"}], "+", 
       RowBox[{"dbarv12", " ", "huv212"}], "-", 
       RowBox[{"avu12", " ", "huv221"}], "+", 
       RowBox[{"dbarv12", " ", "huv221"}], "-", 
       RowBox[{"avu11", " ", "huv222"}], "+", 
       RowBox[{"awu222", " ", "huw11"}], "-", 
       RowBox[{"awu122", " ", "huw12"}], "+", 
       RowBox[{"dbarw212", " ", "huw12"}], "+", 
       RowBox[{"2", " ", "awu122", " ", "huw21"}], "+", 
       RowBox[{"dbarw212", " ", "huw21"}], "-", 
       RowBox[{"2", " ", "awu112", " ", "huw22"}], "+", 
       RowBox[{"dbarw112", " ", "huw22"}]}], 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "+", 
       RowBox[{"dbar112", " ", "huv112"}], "-", 
       RowBox[{"auu1", " ", "huv122"}], "+", 
       RowBox[{"dbar212", " ", "huv122"}], "+", 
       RowBox[{"dbar112", " ", "huv211"}], "+", 
       RowBox[{"avv2", " ", 
        RowBox[{"(", 
         RowBox[{"huv112", "+", "huv211"}], ")"}]}], "-", 
       RowBox[{"auu1", " ", "huv212"}], "+", 
       RowBox[{"avv1", " ", "huv212"}], "-", 
       RowBox[{"auu1", " ", "huv221"}], "+", 
       RowBox[{"dbar212", " ", "huv221"}], "+", 
       RowBox[{"awv22", " ", "huw11"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw21"}], "-", 
       RowBox[{"2", " ", "avu12", " ", "hvv12"}], "+", 
       RowBox[{"2", " ", "dbarv12", " ", "hvv12"}], "-", 
       RowBox[{"avu11", " ", "hvv22"}], "-", 
       RowBox[{"awu122", " ", "hvw1"}], "+", 
       RowBox[{"dbarw212", " ", "hvw1"}], "-", 
       RowBox[{"2", " ", "awu112", " ", "hvw2"}], "+", 
       RowBox[{"dbarw112", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{"huv112", "+", "huv211", "+", "huv212"}], ")"}]}], "+", 
       RowBox[{"dbar112", " ", "huw11"}], "-", 
       RowBox[{"auu1", " ", "huw12"}], "+", 
       RowBox[{"dbar212", " ", "huw12"}], "-", 
       RowBox[{"auu1", " ", "huw21"}], "+", 
       RowBox[{"aww1", " ", "huw21"}], "+", 
       RowBox[{"dbar112", " ", "huw21"}], "+", 
       RowBox[{"aww2", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", "huw21"}], ")"}]}], "-", 
       RowBox[{"auu1", " ", "huw22"}], "+", 
       RowBox[{"dbar212", " ", "huw22"}], "-", 
       RowBox[{"avu12", " ", "hvw1"}], "+", 
       RowBox[{"dbarv12", " ", "hvw1"}], "-", 
       RowBox[{"avu11", " ", "hvw2"}], "-", 
       RowBox[{"avu12", " ", "hvw2"}], "+", 
       RowBox[{"dbarv12", " ", "hvw2"}], "-", 
       RowBox[{"2", " ", "awu112", " ", "hww"}], "-", 
       RowBox[{"awu122", " ", "hww"}], "+", 
       RowBox[{"dbarw112", " ", "hww"}], "+", 
       RowBox[{"dbarw212", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auu2"}], " ", "huu1122"}], "-", 
       RowBox[{"dbar112", " ", "huu1122"}], "-", 
       RowBox[{"auu2", " ", "huu1221"}], "-", 
       RowBox[{"dbar112", " ", "huu1221"}], "+", 
       RowBox[{"2", " ", "auu1", " ", "huu1222"}], "-", 
       RowBox[{"2", " ", "dbar212", " ", "huu1222"}], "-", 
       RowBox[{"auu2", " ", "huu2121"}], "-", 
       RowBox[{"dbar112", " ", "huu2121"}], "+", 
       RowBox[{"auu1", " ", "huu2122"}], "-", 
       RowBox[{"dbar212", " ", "huu2122"}], "-", 
       RowBox[{"avu22", " ", "huv112"}], "+", 
       RowBox[{"avu12", " ", "huv122"}], "-", 
       RowBox[{"dbarv12", " ", "huv122"}], "-", 
       RowBox[{"avu22", " ", "huv211"}], "-", 
       RowBox[{"avu12", " ", "huv212"}], "-", 
       RowBox[{"dbarv12", " ", "huv212"}], "+", 
       RowBox[{"avu12", " ", "huv221"}], "-", 
       RowBox[{"dbarv12", " ", "huv221"}], "+", 
       RowBox[{"avu11", " ", "huv222"}], "-", 
       RowBox[{"awu222", " ", "huw11"}], "+", 
       RowBox[{"awu122", " ", "huw12"}], "-", 
       RowBox[{"dbarw212", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "awu122", " ", "huw21"}], "-", 
       RowBox[{"dbarw212", " ", "huw21"}], "+", 
       RowBox[{"2", " ", "awu112", " ", "huw22"}], "-", 
       RowBox[{"dbarw112", " ", "huw22"}]}], "0", 
      RowBox[{
       RowBox[{"2", " ", "auv", " ", "huu1222"}], "+", 
       RowBox[{"auv", " ", "huu2122"}], "-", 
       RowBox[{"auu2", " ", "huv122"}], "+", 
       RowBox[{"avv2", " ", "huv122"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huv212"}], "-", 
       RowBox[{"auu2", " ", "huv221"}], "+", 
       RowBox[{"avv2", " ", "huv221"}], "+", 
       RowBox[{"avv1", " ", "huv222"}], "-", 
       RowBox[{"dbar212", " ", "huv222"}], "+", 
       RowBox[{"awv22", " ", "huw12"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "huw22"}], "-", 
       RowBox[{"2", " ", "avu22", " ", "hvv12"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvv22"}], "-", 
       RowBox[{"awu222", " ", "hvw1"}], "-", 
       RowBox[{"awu122", " ", "hvw2"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu122", "+", "dbarw212"}], ")"}], " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", "huv122"}], "+", 
       RowBox[{"avw", " ", "huv221"}], "+", 
       RowBox[{"avw", " ", "huv222"}], "-", 
       RowBox[{"auu2", " ", "huw12"}], "+", 
       RowBox[{"aww2", " ", "huw12"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huw21"}], "-", 
       RowBox[{"auu2", " ", "huw22"}], "+", 
       RowBox[{"aww1", " ", "huw22"}], "+", 
       RowBox[{"aww2", " ", "huw22"}], "-", 
       RowBox[{"dbar212", " ", "huw22"}], "-", 
       RowBox[{"avu22", " ", "hvw1"}], "-", 
       RowBox[{"avu22", " ", "hvw2"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvw2"}], "-", 
       RowBox[{"awu122", " ", "hww"}], "-", 
       RowBox[{"awu222", " ", "hww"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"awu122", "+", "dbarw212"}], ")"}], " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huu1122"}], "-", 
       RowBox[{"auv", " ", "huu1221"}], "-", 
       RowBox[{"auv", " ", "huu2121"}], "-", 
       RowBox[{"avv2", " ", "huv112"}], "-", 
       RowBox[{"dbar112", " ", "huv112"}], "+", 
       RowBox[{"auu1", " ", "huv122"}], "-", 
       RowBox[{"dbar212", " ", "huv122"}], "-", 
       RowBox[{"avv2", " ", "huv211"}], "-", 
       RowBox[{"dbar112", " ", "huv211"}], "+", 
       RowBox[{"auu1", " ", "huv212"}], "-", 
       RowBox[{"avv1", " ", "huv212"}], "+", 
       RowBox[{"auu1", " ", "huv221"}], "-", 
       RowBox[{"dbar212", " ", "huv221"}], "-", 
       RowBox[{"awv22", " ", "huw11"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw21"}], "+", 
       RowBox[{"2", " ", "avu12", " ", "hvv12"}], "-", 
       RowBox[{"2", " ", "dbarv12", " ", "hvv12"}], "+", 
       RowBox[{"avu11", " ", "hvv22"}], "+", 
       RowBox[{"awu122", " ", "hvw1"}], "-", 
       RowBox[{"dbarw212", " ", "hvw1"}], "+", 
       RowBox[{"2", " ", "awu112", " ", "hvw2"}], "-", 
       RowBox[{"dbarw112", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "huu1222"}], "+", "huu2122"}], ")"}]}], "-", 
       RowBox[{"avv2", " ", "huv122"}], "+", 
       RowBox[{"dbar112", " ", "huv212"}], "-", 
       RowBox[{"avv2", " ", "huv221"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huv122", "+", "huv212", "+", "huv221"}], ")"}]}], "-", 
       RowBox[{"avv1", " ", "huv222"}], "+", 
       RowBox[{"dbar212", " ", "huv222"}], "-", 
       RowBox[{"awv22", " ", "huw12"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "huw22"}], "+", 
       RowBox[{"2", " ", "avu22", " ", "hvv12"}], "+", 
       RowBox[{"avu12", " ", "hvv22"}], "+", 
       RowBox[{"dbarv12", " ", "hvv22"}], "+", 
       RowBox[{"awu222", " ", "hvw1"}], "+", 
       RowBox[{"2", " ", "awu122", " ", "hvw2"}], "+", 
       RowBox[{"dbarw212", " ", "hvw2"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", 
        RowBox[{"(", 
         RowBox[{"huw12", "+", "huw21", "+", "huw22"}], ")"}]}], "+", 
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "hvv12"}], "+", "hvv22"}], ")"}]}], "-", 
       RowBox[{"avv2", " ", "hvw1"}], "+", 
       RowBox[{"aww2", " ", "hvw1"}], "-", 
       RowBox[{"avv1", " ", "hvw2"}], "-", 
       RowBox[{"avv2", " ", "hvw2"}], "+", 
       RowBox[{"aww1", " ", "hvw2"}], "+", 
       RowBox[{"aww2", " ", "hvw2"}], "-", 
       RowBox[{"2", " ", "awv12", " ", "hww"}], "-", 
       RowBox[{"awv22", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", 
        RowBox[{"(", 
         RowBox[{"huv112", "+", "huv211", "+", "huv212"}], ")"}]}], "-", 
       RowBox[{"dbar112", " ", "huw11"}], "+", 
       RowBox[{"auu1", " ", "huw12"}], "-", 
       RowBox[{"dbar212", " ", "huw12"}], "+", 
       RowBox[{"auu1", " ", "huw21"}], "-", 
       RowBox[{"aww1", " ", "huw21"}], "-", 
       RowBox[{"dbar112", " ", "huw21"}], "-", 
       RowBox[{"aww2", " ", 
        RowBox[{"(", 
         RowBox[{"huw11", "+", "huw21"}], ")"}]}], "+", 
       RowBox[{"auu1", " ", "huw22"}], "-", 
       RowBox[{"dbar212", " ", "huw22"}], "+", 
       RowBox[{"avu12", " ", "hvw1"}], "-", 
       RowBox[{"dbarv12", " ", "hvw1"}], "+", 
       RowBox[{"avu11", " ", "hvw2"}], "+", 
       RowBox[{"avu12", " ", "hvw2"}], "-", 
       RowBox[{"dbarv12", " ", "hvw2"}], "+", 
       RowBox[{"2", " ", "awu112", " ", "hww"}], "+", 
       RowBox[{"awu122", " ", "hww"}], "-", 
       RowBox[{"dbarw112", " ", "hww"}], "-", 
       RowBox[{"dbarw212", " ", "hww"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", 
        RowBox[{"(", 
         RowBox[{"huv122", "+", "huv221", "+", "huv222"}], ")"}]}], "-", 
       RowBox[{"aww2", " ", "huw12"}], "+", 
       RowBox[{"dbar112", " ", "huw21"}], "-", 
       RowBox[{"aww1", " ", "huw22"}], "-", 
       RowBox[{"aww2", " ", "huw22"}], "+", 
       RowBox[{"dbar212", " ", "huw22"}], "+", 
       RowBox[{"auu2", " ", 
        RowBox[{"(", 
         RowBox[{"huw12", "+", "huw21", "+", "huw22"}], ")"}]}], "+", 
       RowBox[{"avu22", " ", "hvw1"}], "+", 
       RowBox[{"avu12", " ", "hvw2"}], "+", 
       RowBox[{"avu22", " ", "hvw2"}], "+", 
       RowBox[{"dbarv12", " ", "hvw2"}], "+", 
       RowBox[{"2", " ", "awu122", " ", "hww"}], "+", 
       RowBox[{"awu222", " ", "hww"}], "+", 
       RowBox[{"dbarw212", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", 
        RowBox[{"(", 
         RowBox[{"huw12", "+", "huw21", "+", "huw22"}], ")"}]}], "-", 
       RowBox[{"avw", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "hvv12"}], "+", "hvv22"}], ")"}]}], "+", 
       RowBox[{"avv2", " ", "hvw1"}], "-", 
       RowBox[{"aww2", " ", "hvw1"}], "+", 
       RowBox[{"avv1", " ", "hvw2"}], "+", 
       RowBox[{"avv2", " ", "hvw2"}], "-", 
       RowBox[{"aww1", " ", "hvw2"}], "-", 
       RowBox[{"aww2", " ", "hvw2"}], "+", 
       RowBox[{"2", " ", "awv12", " ", "hww"}], "+", 
       RowBox[{"awv22", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, 3.5313807377752857`*^9, 
   3.531388441178335*^9, 3.531389046555541*^9, 3.531389077123176*^9, 
   3.531584434854163*^9, 3.531883349062317*^9, 3.532266953440112*^9, 
   3.536813496107284*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA2eq4", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"Transpose", "[", "#", "]"}]}], "&"}], ")"}], "@", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SubMatrix2", "[", 
            RowBox[{"H2full", ".", 
             RowBox[{"A2full", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], "]"}], "&"}], "/@", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", 
           RowBox[{"2", ",", "2", ",", "2"}], "}"}], "]"}]}], ")"}]}], 
      ")"}]}], "//", "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA2eq4", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530417316330509*^9, 3.530417365072227*^9}, {
  3.5304174099503098`*^9, 3.53041741523061*^9}, {3.530417760065124*^9, 
  3.530417876186152*^9}, {3.530417946091257*^9, 3.530417953179631*^9}, {
  3.5304183914151077`*^9, 3.530418394737218*^9}, {3.530782191327942*^9, 
  3.530782201333601*^9}, {3.5307857658234043`*^9, 3.530785792664831*^9}, {
  3.5313806664931593`*^9, 3.531380736758799*^9}, {3.531389022215795*^9, 
  3.531389045887706*^9}, {3.531389080990287*^9, 3.5313890850578537`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"auu2", " ", "huu2122"}], "+", 
       RowBox[{"dbar112", " ", "huu2122"}], "-", 
       RowBox[{"auu1", " ", "huu2222"}], "+", 
       RowBox[{"dbar212", " ", "huu2222"}], "+", 
       RowBox[{"avu22", " ", "huv212"}], "-", 
       RowBox[{"avu12", " ", "huv222"}], "+", 
       RowBox[{"dbarv12", " ", "huv222"}], "+", 
       RowBox[{"awu222", " ", "huw21"}], "-", 
       RowBox[{"awu122", " ", "huw22"}], "+", 
       RowBox[{"dbarw212", " ", "huw22"}]}], 
      RowBox[{
       RowBox[{"auv", " ", "huu2122"}], "+", 
       RowBox[{"avv2", " ", "huv212"}], "+", 
       RowBox[{"dbar112", " ", "huv212"}], "-", 
       RowBox[{"auu1", " ", "huv222"}], "+", 
       RowBox[{"dbar212", " ", "huv222"}], "+", 
       RowBox[{"awv22", " ", "huw21"}], "-", 
       RowBox[{"avu12", " ", "hvv22"}], "+", 
       RowBox[{"dbarv12", " ", "hvv22"}], "-", 
       RowBox[{"awu122", " ", "hvw2"}], "+", 
       RowBox[{"dbarw212", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", "huv212"}], "+", 
       RowBox[{"aww2", " ", "huw21"}], "+", 
       RowBox[{"dbar112", " ", "huw21"}], "-", 
       RowBox[{"auu1", " ", "huw22"}], "+", 
       RowBox[{"dbar212", " ", "huw22"}], "-", 
       RowBox[{"avu12", " ", "hvw2"}], "+", 
       RowBox[{"dbarv12", " ", "hvw2"}], "-", 
       RowBox[{"awu122", " ", "hww"}], "+", 
       RowBox[{"dbarw212", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auu2"}], " ", "huu2122"}], "-", 
       RowBox[{"dbar112", " ", "huu2122"}], "+", 
       RowBox[{"auu1", " ", "huu2222"}], "-", 
       RowBox[{"dbar212", " ", "huu2222"}], "-", 
       RowBox[{"avu22", " ", "huv212"}], "+", 
       RowBox[{"avu12", " ", "huv222"}], "-", 
       RowBox[{"dbarv12", " ", "huv222"}], "-", 
       RowBox[{"awu222", " ", "huw21"}], "+", 
       RowBox[{"awu122", " ", "huw22"}], "-", 
       RowBox[{"dbarw212", " ", "huw22"}]}], "0", 
      RowBox[{
       RowBox[{"auv", " ", "huu2222"}], "-", 
       RowBox[{"auu2", " ", "huv222"}], "+", 
       RowBox[{"avv2", " ", "huv222"}], "+", 
       RowBox[{"awv22", " ", "huw22"}], "-", 
       RowBox[{"avu22", " ", "hvv22"}], "-", 
       RowBox[{"awu222", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{"avw", " ", "huv222"}], "-", 
       RowBox[{"auu2", " ", "huw22"}], "+", 
       RowBox[{"aww2", " ", "huw22"}], "-", 
       RowBox[{"avu22", " ", "hvw2"}], "-", 
       RowBox[{"awu222", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huu2122"}], "-", 
       RowBox[{"avv2", " ", "huv212"}], "-", 
       RowBox[{"dbar112", " ", "huv212"}], "+", 
       RowBox[{"auu1", " ", "huv222"}], "-", 
       RowBox[{"dbar212", " ", "huv222"}], "-", 
       RowBox[{"awv22", " ", "huw21"}], "+", 
       RowBox[{"avu12", " ", "hvv22"}], "-", 
       RowBox[{"dbarv12", " ", "hvv22"}], "+", 
       RowBox[{"awu122", " ", "hvw2"}], "-", 
       RowBox[{"dbarw212", " ", "hvw2"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huu2222"}], "+", 
       RowBox[{"auu2", " ", "huv222"}], "-", 
       RowBox[{"avv2", " ", "huv222"}], "-", 
       RowBox[{"awv22", " ", "huw22"}], "+", 
       RowBox[{"avu22", " ", "hvv22"}], "+", 
       RowBox[{"awu222", " ", "hvw2"}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "auv"}], " ", "huw22"}], "+", 
       RowBox[{"avw", " ", "hvv22"}], "-", 
       RowBox[{"avv2", " ", "hvw2"}], "+", 
       RowBox[{"aww2", " ", "hvw2"}], "-", 
       RowBox[{"awv22", " ", "hww"}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", "huv212"}], "-", 
       RowBox[{"aww2", " ", "huw21"}], "-", 
       RowBox[{"dbar112", " ", "huw21"}], "+", 
       RowBox[{"auu1", " ", "huw22"}], "-", 
       RowBox[{"dbar212", " ", "huw22"}], "+", 
       RowBox[{"avu12", " ", "hvw2"}], "-", 
       RowBox[{"dbarv12", " ", "hvw2"}], "+", 
       RowBox[{"awu122", " ", "hww"}], "-", 
       RowBox[{"dbarw212", " ", "hww"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "avw"}], " ", "huv222"}], "+", 
       RowBox[{"auu2", " ", "huw22"}], "-", 
       RowBox[{"aww2", " ", "huw22"}], "+", 
       RowBox[{"avu22", " ", "hvw2"}], "+", 
       RowBox[{"awu222", " ", "hww"}]}], 
      RowBox[{
       RowBox[{"auv", " ", "huw22"}], "-", 
       RowBox[{"avw", " ", "hvv22"}], "+", 
       RowBox[{"avv2", " ", "hvw2"}], "-", 
       RowBox[{"aww2", " ", "hvw2"}], "+", 
       RowBox[{"awv22", " ", "hww"}]}], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53041735676026*^9, 3.530417366867261*^9}, 
   3.530417415632969*^9, 3.530417723486598*^9, 3.5304177606772337`*^9, {
   3.530417806634363*^9, 3.530417878053254*^9}, 3.5304179537091312`*^9, 
   3.530418035254635*^9, 3.530418395355579*^9, 3.530423845203278*^9, 
   3.530782203182681*^9, {3.5307857674265213`*^9, 3.53078579311633*^9}, 
   3.531377856264373*^9, 3.531378877787074*^9, 3.5313807377752857`*^9, 
   3.531388441178335*^9, 3.531389046555541*^9, 3.531389085637966*^9, 
   3.5315844349381247`*^9, 3.531883349319755*^9, 3.532266953617918*^9, 
   3.5368134961928*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"HA2eqnLHS", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "3"}], "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "4"}], "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "3"}], "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "4"}], "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"3", ",", "4"}], "]"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"HA2eq1", ",", "HA2eq2", ",", "HA2eq3", ",", "HA2eq4"}], 
       "}"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.531389928351982*^9, 3.531390002124044*^9}, {
   3.531390036564857*^9, 3.531390046400659*^9}, 3.531390093435251*^9, {
   3.5315842939418097`*^9, 3.5315843452726593`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"HA2eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#", "\[Equal]", "0"}], ")"}], "&"}], "/@", "HA2eqnLHS"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.531389928351982*^9, 3.531390002124044*^9}, {
   3.531390036564857*^9, 3.531390046400659*^9}, 3.531390093435251*^9, {
   3.5315842939418097`*^9, 3.5315843536368523`*^9}, {3.531584468724373*^9, 
   3.5315844690140047`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Some examples with simple structure", "Subsection",
 CellChangeTimes->{{3.5368142946903133`*^9, 3.536814316391385*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[PartialD]", "t"], 
     RowBox[{"(", 
      RowBox[{"u", ",", "v", ",", "w"}], ")"}]}], " ", "=", " ", 
    RowBox[{"Ai", " ", 
     RowBox[{
      SubscriptBox["\[PartialD]", "i"], 
      RowBox[{"(", 
       RowBox[{"u", ",", "v", ",", "w"}], ")"}]}]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " -> every positive symmetric matrix is a symmetrizer of the 3rd order \
system and of a 2nd order reduction"
}], "Subsubsection",
 CellChangeTimes->{{3.530785600217465*^9, 3.5307856267391243`*^9}, {
   3.5307881681038637`*^9, 3.530788168266036*^9}, {3.531377903885188*^9, 
   3.531377932748588*^9}, {3.531389264930694*^9, 3.531389271340115*^9}, {
   3.531392296348091*^9, 3.531392297843218*^9}, {3.536814407527348*^9, 
   3.5368144378278227`*^9}, {3.5368144842456713`*^9, 
   3.5368146192119503`*^9}, {3.536814660432951*^9, 3.536814807260041*^9}, 
   3.5368148538876762`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A3trivialRule", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"auv", "\[Rule]", "0"}], ",", 
    RowBox[{"avu11", "\[Rule]", "0"}], ",", 
    RowBox[{"avu12", "\[Rule]", "0"}], ",", 
    RowBox[{"avu22", "\[Rule]", "0"}], ",", 
    RowBox[{"avv1", "\[Rule]", "auu1"}], ",", 
    RowBox[{"avv2", "\[Rule]", "auu2"}], ",", 
    RowBox[{"avw", "\[Rule]", "0"}], ",", 
    RowBox[{"awu111", "\[Rule]", "0"}], ",", 
    RowBox[{"awu112", "\[Rule]", "0"}], ",", 
    RowBox[{"awu122", "\[Rule]", "0"}], ",", 
    RowBox[{"awu222", "\[Rule]", "0"}], ",", 
    RowBox[{"awv11", "\[Rule]", "0"}], ",", 
    RowBox[{"awv12", "\[Rule]", "0"}], ",", 
    RowBox[{"awv22", "\[Rule]", "0"}], ",", 
    RowBox[{"aww1", "\[Rule]", "auu1"}], ",", 
    RowBox[{"aww2", "\[Rule]", "auu2"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.530784600389716*^9, 3.530784618175138*^9}, {
  3.5307849669794693`*^9, 3.530784972129037*^9}, {3.530785647320133*^9, 
  3.530785662259706*^9}, {3.5313779514305353`*^9, 3.531378031102415*^9}, {
  3.531378121690919*^9, 3.531378122596684*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"auv", "\[Rule]", "0"}], ",", 
   RowBox[{"avu11", "\[Rule]", "0"}], ",", 
   RowBox[{"avu12", "\[Rule]", "0"}], ",", 
   RowBox[{"avu22", "\[Rule]", "0"}], ",", 
   RowBox[{"avv1", "\[Rule]", "auu1"}], ",", 
   RowBox[{"avv2", "\[Rule]", "auu2"}], ",", 
   RowBox[{"avw", "\[Rule]", "0"}], ",", 
   RowBox[{"awu111", "\[Rule]", "0"}], ",", 
   RowBox[{"awu112", "\[Rule]", "0"}], ",", 
   RowBox[{"awu122", "\[Rule]", "0"}], ",", 
   RowBox[{"awu222", "\[Rule]", "0"}], ",", 
   RowBox[{"awv11", "\[Rule]", "0"}], ",", 
   RowBox[{"awv12", "\[Rule]", "0"}], ",", 
   RowBox[{"awv22", "\[Rule]", "0"}], ",", 
   RowBox[{"aww1", "\[Rule]", "auu1"}], ",", 
   RowBox[{"aww2", "\[Rule]", "auu2"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5307846189389887`*^9, 3.53078497289706*^9, 
  3.5307850730330763`*^9, 3.5307856803801813`*^9, 3.5307869012804728`*^9, 
  3.530787900729103*^9, 3.531378032787621*^9, 3.53137812320829*^9, 
  3.531378577191491*^9, 3.53137873553445*^9, 3.531380798994896*^9, 
  3.53138849186525*^9, 3.531389253021494*^9, 3.531389479583927*^9, 
  3.531390061282036*^9, 3.5315844351150227`*^9, 3.531883349345949*^9, 
  3.532266953785716*^9, 3.536813496264243*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"A3full", "[", "1", "]"}], ",", 
      RowBox[{"A3full", "[", "2", "]"}]}], "}"}], "/.", "A3trivialRule"}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.531378053402545*^9, 3.531378097878557*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"auu1", "auu2", "0", "0", "0", "0", "0"},
       {"0", "0", "auu1", "auu2", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "auu1", "auu2", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "auu1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"auu1", "auu2", "0", "0", "0", "0", "0"},
       {"0", "0", "auu1", "auu2", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "auu1", "auu2", "0"},
       {"0", "0", "0", "0", "0", "0", "auu2"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{{3.531378056578169*^9, 3.531378123844811*^9}, 
   3.531378578306027*^9, 3.53137873632972*^9, 3.531380799495706*^9, 
   3.5313884933061333`*^9, 3.5313892537554617`*^9, 3.531389480477092*^9, 
   3.531390061905974*^9, 3.531584435194203*^9, 3.531883349387258*^9, 
   3.532266953907523*^9, 3.536813496275694*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HA3eqn", "/.", "A3trivialRule"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531390066507474*^9, 3.5313900676223087`*^9}, {
  3.53139010148297*^9, 3.531390104064451*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", 
   "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{3.53139007233596*^9, 3.531390104586298*^9, 
  3.5315844352700377`*^9, 3.531883349449538*^9, 3.532266953933235*^9, 
  3.536813496338141*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqn", "/.", "A3trivialRule"}], "//", "Simplify"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.531390066507474*^9, 3.5313900676223087`*^9}, {
  3.53139010148297*^9, 3.531390127997665*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{"%", ",", 
    RowBox[{"{", 
     RowBox[{
     "dbar112", ",", "dbar212", ",", "dbarv12", ",", "dbarw112", ",", 
      "dbarw212"}], "}"}]}], "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531389321368189*^9, 3.5313893301997547`*^9}, 
   3.53138936730554*^9, {3.531389658407477*^9, 3.531389659921006*^9}, {
   3.531390142962134*^9, 3.531390143071656*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"dbarw112", "\[Rule]", "0"}], ",", 
    RowBox[{"dbar112", "\[Rule]", 
     RowBox[{"-", "auu2"}]}], ",", 
    RowBox[{"dbar212", "\[Rule]", "auu1"}], ",", 
    RowBox[{"dbarv12", "\[Rule]", "0"}], ",", 
    RowBox[{"dbarw212", "\[Rule]", "0"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.531389369655778*^9, 3.531389409573051*^9, {3.531389485938827*^9, 
   3.531389495652087*^9}, 3.5313896654302397`*^9, {3.5313901360190477`*^9, 
   3.5313901451039124`*^9}, 3.531584435430819*^9, 3.5318833509097424`*^9, 
   3.53226695543686*^9, 3.536813497808958*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"A2full", "[", "1", "]"}], ",", 
       RowBox[{"A2full", "[", "2", "]"}]}], "}"}], "/.", 
     RowBox[{"%", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "//", "Simplify"}], ")"}]}]], "Input",\

 CellChangeTimes->{{3.531389423276579*^9, 3.5313894672652483`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"auu1", "0", "auu2", "0", "auv", "0", "0"},
       {"0", "auu1", "0", "auu2", "0", "auv", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu11", "avu12", "avu12", "avu22", "avv1", "avv2", "avw"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"awu111", "awu112", "awu112", "awu122", "awv11", "awv12", "aww1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"auu1", "0", "auu2", "0", "auv", "0", "0"},
       {"0", "auu1", "0", "auu2", "0", "auv", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu11", "avu12", "avu12", "avu22", "avv1", "avv2", "avw"},
       {"awu112", "awu122", "awu122", "awu222", "awv12", "awv22", "aww2"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.531389456309956*^9, 3.531389498329265*^9, 
  3.531389671215057*^9, 3.5313901486060266`*^9, 3.53158443551833*^9, 
  3.531883350942566*^9, 3.5322669555185223`*^9, 3.5368134979236383`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Systems where the identity is a symmetrizer have a 2nd order reduction with \
the same symmetrizer\
\>", "Subsubsection",
 CellChangeTimes->{{3.530785600217465*^9, 3.5307856267391243`*^9}, {
  3.5307881681038637`*^9, 3.530788168266036*^9}, {3.531377903885188*^9, 
  3.531377932748588*^9}, {3.531389264930694*^9, 3.531389271340115*^9}, {
  3.531389553389319*^9, 3.5313895625397053`*^9}, {3.531392273677305*^9, 
  3.531392284547287*^9}, {3.536814856614463*^9, 3.536814911687739*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"H3IdentityRule", "=", "\[IndentingNewLine]", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"huu1111", "\[Rule]", "1"}], ",", 
    RowBox[{"huu1112", "\[Rule]", "0"}], ",", 
    RowBox[{"huu1121", "\[Rule]", "0"}], ",", 
    RowBox[{"huu1122", "\[Rule]", "0"}], ",", 
    RowBox[{"huu1212", "\[Rule]", "1"}], ",", 
    RowBox[{"huu1221", "\[Rule]", "0"}], ",", 
    RowBox[{"huu1222", "\[Rule]", "0"}], ",", 
    RowBox[{"huu2121", "\[Rule]", "1"}], ",", 
    RowBox[{"huu2122", "\[Rule]", "0"}], ",", 
    RowBox[{"huu2222", "\[Rule]", "1"}], ",", 
    RowBox[{"huv111", "\[Rule]", "0"}], ",", 
    RowBox[{"huv112", "\[Rule]", "0"}], ",", 
    RowBox[{"huv121", "\[Rule]", "0"}], ",", 
    RowBox[{"huv122", "\[Rule]", "0"}], ",", 
    RowBox[{"huv211", "\[Rule]", "0"}], ",", 
    RowBox[{"huv212", "\[Rule]", "0"}], ",", 
    RowBox[{"huv221", "\[Rule]", "0"}], ",", 
    RowBox[{"huv222", "\[Rule]", "0"}], ",", 
    RowBox[{"huw11", "\[Rule]", "0"}], ",", 
    RowBox[{"huw12", "\[Rule]", "0"}], ",", 
    RowBox[{"huw21", "\[Rule]", "0"}], ",", 
    RowBox[{"huw22", "\[Rule]", "0"}], ",", 
    RowBox[{"hvv11", "\[Rule]", "1"}], ",", 
    RowBox[{"hvv12", "\[Rule]", "0"}], ",", 
    RowBox[{"hvv22", "\[Rule]", "1"}], ",", 
    RowBox[{"hvw1", "\[Rule]", "0"}], ",", 
    RowBox[{"hvw2", "\[Rule]", "0"}], ",", 
    RowBox[{"hww", "\[Rule]", "1"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.531391748103087*^9, 3.531391847909731*^9}, {
  3.531391892970339*^9, 3.531391893041172*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"huu1111", "\[Rule]", "1"}], ",", 
   RowBox[{"huu1112", "\[Rule]", "0"}], ",", 
   RowBox[{"huu1121", "\[Rule]", "0"}], ",", 
   RowBox[{"huu1122", "\[Rule]", "0"}], ",", 
   RowBox[{"huu1212", "\[Rule]", "1"}], ",", 
   RowBox[{"huu1221", "\[Rule]", "0"}], ",", 
   RowBox[{"huu1222", "\[Rule]", "0"}], ",", 
   RowBox[{"huu2121", "\[Rule]", "1"}], ",", 
   RowBox[{"huu2122", "\[Rule]", "0"}], ",", 
   RowBox[{"huu2222", "\[Rule]", "1"}], ",", 
   RowBox[{"huv111", "\[Rule]", "0"}], ",", 
   RowBox[{"huv112", "\[Rule]", "0"}], ",", 
   RowBox[{"huv121", "\[Rule]", "0"}], ",", 
   RowBox[{"huv122", "\[Rule]", "0"}], ",", 
   RowBox[{"huv211", "\[Rule]", "0"}], ",", 
   RowBox[{"huv212", "\[Rule]", "0"}], ",", 
   RowBox[{"huv221", "\[Rule]", "0"}], ",", 
   RowBox[{"huv222", "\[Rule]", "0"}], ",", 
   RowBox[{"huw11", "\[Rule]", "0"}], ",", 
   RowBox[{"huw12", "\[Rule]", "0"}], ",", 
   RowBox[{"huw21", "\[Rule]", "0"}], ",", 
   RowBox[{"huw22", "\[Rule]", "0"}], ",", 
   RowBox[{"hvv11", "\[Rule]", "1"}], ",", 
   RowBox[{"hvv12", "\[Rule]", "0"}], ",", 
   RowBox[{"hvv22", "\[Rule]", "1"}], ",", 
   RowBox[{"hvw1", "\[Rule]", "0"}], ",", 
   RowBox[{"hvw2", "\[Rule]", "0"}], ",", 
   RowBox[{"hww", "\[Rule]", "1"}]}], "}"}]], "Output",
 CellChangeTimes->{3.53139184919013*^9, 3.531391893605187*^9, 
  3.531584435651781*^9, 3.531883350953999*^9, 3.532266955532509*^9, 
  3.536813497939355*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"H3full", "/.", "H3IdentityRule"}], "//", "Simplify"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.531389737823616*^9, 3.5313897534706707`*^9}, {
  3.531391871152727*^9, 3.53139188301033*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0"},
     {"0", "0", "0", "0", "0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.531389753853943*^9, 3.53138976384208*^9}, 
   3.531389821119239*^9, 3.531389862385174*^9, {3.531390297199142*^9, 
   3.531390306314384*^9}, {3.531390358207114*^9, 3.531390387519532*^9}, 
   3.531391359890298*^9, {3.531391883562839*^9, 3.531391894489244*^9}, 
   3.5315844357400513`*^9, 3.531883350964517*^9, 3.532266955543235*^9, 
   3.536813497951211*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A3IdentityHRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"HA3eqn", "/.", "H3IdentityRule"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "auu1", ",", "auu2", ",", "auv", ",", "avu11", ",", "avu12", ",", 
        "avu22", ",", "avv1", ",", "avv2", ",", "avw", ",", "awu111", ",", 
        "awu112", ",", "awu122", ",", "awu222", ",", "awv11", ",", "awv12", 
        ",", "awv22", ",", "aww1", ",", "aww2"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.5313885235014973`*^9, 3.53138853636182*^9}, {
  3.531389599076659*^9, 3.531389636396515*^9}, {3.531389706064877*^9, 
  3.5313897281550713`*^9}, {3.531389760424778*^9, 3.5313897625395308`*^9}, {
  3.5313898170124474`*^9, 3.531389857081437*^9}, {3.531389887800576*^9, 
  3.5313898983688803`*^9}, {3.531390165728941*^9, 3.531390204326788*^9}, {
  3.531390243035984*^9, 3.531390304498335*^9}, {3.531390352794302*^9, 
  3.531390381934579*^9}, {3.5313919135678673`*^9, 3.531392005534446*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "::", "\<\"svars\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Equations may not give \
solutions for all \\\\\\\\\\\\\\\"solve\\\\\\\\\\\\\\\" \
variables.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Solve/svars\\\", \
ButtonNote -> \\\"Solve::svars\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.531392007267084*^9, 3.531584435823824*^9, 
  3.531883351200075*^9, 3.532266955788892*^9, 3.5368134981471977`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"auv", "\[Rule]", "avu22"}], ",", 
   RowBox[{"avu11", "\[Rule]", "avu22"}], ",", 
   RowBox[{"avu12", "\[Rule]", "0"}], ",", 
   RowBox[{"avw", "\[Rule]", "awv22"}], ",", 
   RowBox[{"awu111", "\[Rule]", "0"}], ",", 
   RowBox[{"awu112", "\[Rule]", "0"}], ",", 
   RowBox[{"awu122", "\[Rule]", "0"}], ",", 
   RowBox[{"awu222", "\[Rule]", "0"}], ",", 
   RowBox[{"awv11", "\[Rule]", "awv22"}], ",", 
   RowBox[{"awv12", "\[Rule]", "0"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.531388516089315*^9, 3.531388536973666*^9}, 
   3.531389256459861*^9, 3.531389482141028*^9, 3.5313896044920273`*^9, {
   3.531389708854413*^9, 3.531389732887973*^9}, 3.5313897630160522`*^9, {
   3.531389818475211*^9, 3.531389857900429*^9}, 3.531389889063157*^9, {
   3.531390170375773*^9, 3.531390204938753*^9}, {3.5313902496548758`*^9, 
   3.531390305217454*^9}, {3.531390343429689*^9, 3.5313903836814117`*^9}, 
   3.5313913075482273`*^9, 3.5313919490801888`*^9, 3.531392007273617*^9, 
   3.531584435825838*^9, 3.531883351201625*^9, 3.5322669557914047`*^9, 
   3.536813498151012*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"A3full", "[", "1", "]"}], ",", 
      RowBox[{"A3full", "[", "2", "]"}]}], "}"}], "/.", "A3IdentityHRule"}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.531378053402545*^9, 3.531378097878557*^9}, 
   3.531389589811212*^9, 3.531392019244096*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"auu1", "auu2", "0", "0", "avu22", "0", "0"},
       {"0", "0", "auu1", "auu2", "0", "avu22", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu22", "0", "0", "avu22", "avv1", "avv2", "awv22"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "awv22", "0", "aww1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"auu1", "auu2", "0", "0", "avu22", "0", "0"},
       {"0", "0", "auu1", "auu2", "0", "avu22", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu22", "0", "0", "avu22", "avv1", "avv2", "awv22"},
       {"0", "0", "0", "0", "0", "awv22", "aww2"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{{3.531378056578169*^9, 3.531378123844811*^9}, 
   3.531378578306027*^9, 3.53137873632972*^9, 3.531380799495706*^9, 
   3.5313884933061333`*^9, 3.5313892537554617`*^9, 3.531389480477092*^9, 
   3.53138959051232*^9, 3.5313896814554453`*^9, 3.531390158248357*^9, 
   3.5313903389236298`*^9, 3.531391306253524*^9, 3.5313920198767033`*^9, 
   3.531584435836627*^9, 3.531883351266436*^9, 3.532266955814685*^9, 
   3.536813498256707*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA3eqn", "/.", "H3IdentityRule"}], "/.", "A3IdentityHRule"}], "//",
   "Simplify"}]], "Input",
 CellChangeTimes->{{3.531389879693048*^9, 3.531389883367556*^9}, {
  3.5313902144731703`*^9, 3.531390219349098*^9}, {3.531392050712934*^9, 
  3.531392055583558*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", 
   "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{{3.531389883770955*^9, 3.531389889513297*^9}, {
   3.5313902229300222`*^9, 3.5313903057558117`*^9}, 3.531390355452582*^9, 
   3.531390385505269*^9, 3.53139135714296*^9, 3.531392056338511*^9, 
   3.531584435847659*^9, 3.5318833512792797`*^9, 3.5322669558359833`*^9, 
   3.5368134982845297`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqn", "/.", "H3IdentityRule"}], "/.", "A3IdentityHRule"}], "//",
   "Simplify"}]], "Input",
 CellChangeTimes->{{3.531390503659141*^9, 3.531390511560816*^9}, {
  3.531391369105501*^9, 3.531391406296199*^9}, {3.531392069146266*^9, 
  3.531392072115657*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"auu2", "+", "dbar112"}], "\[Equal]", "0"}], ",", 
   RowBox[{"auu1", "\[Equal]", "dbar212"}], ",", 
   RowBox[{
    RowBox[{"auu2", "+", "dbar112"}], "\[Equal]", "0"}], ",", 
   RowBox[{"auu1", "\[Equal]", "dbar212"}], ",", "True", ",", 
   RowBox[{"dbarv12", "\[Equal]", "0"}], ",", 
   RowBox[{"dbarv12", "\[Equal]", "0"}], ",", "True", ",", "True", ",", 
   "True", ",", 
   RowBox[{"dbarv12", "\[Equal]", "0"}], ",", 
   RowBox[{"dbarv12", "\[Equal]", "0"}], ",", "True", ",", "True", ",", 
   "True", ",", "True", ",", "True", ",", "True", ",", 
   RowBox[{"dbarw112", "\[Equal]", "0"}], ",", 
   RowBox[{"dbarw112", "\[Equal]", "0"}], ",", 
   RowBox[{"dbarw212", "\[Equal]", "0"}], ",", 
   RowBox[{
    RowBox[{"dbarw112", "+", "dbarw212"}], "\[Equal]", "0"}], ",", 
   RowBox[{"dbarw212", "\[Equal]", "0"}], ",", 
   RowBox[{
    RowBox[{"dbarw112", "+", "dbarw212"}], "\[Equal]", "0"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.531392072453308*^9, 3.531584435926001*^9, 
  3.531883351292165*^9, 3.5322669558697157`*^9, 3.5368134983267183`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{
    "dbar112", ",", "dbar212", ",", "dbarv12", ",", "dbarw112", ",", 
     "dbarw212"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.531389321368189*^9, 3.5313893301997547`*^9}, 
   3.53138936730554*^9, {3.531390522862513*^9, 3.531390523001339*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"dbar112", "\[Rule]", 
     RowBox[{"-", "auu2"}]}], ",", 
    RowBox[{"dbar212", "\[Rule]", "auu1"}], ",", 
    RowBox[{"dbarv12", "\[Rule]", "0"}], ",", 
    RowBox[{"dbarw112", "\[Rule]", "0"}], ",", 
    RowBox[{"dbarw212", "\[Rule]", "0"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.531390523950736*^9, 3.5313914095054197`*^9, 
  3.531392075613881*^9, 3.5315844359349527`*^9, 3.5318833513029346`*^9, 
  3.532266955892487*^9, 3.5368134983468657`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"HA2eqn", "/.", "H3IdentityRule"}], "/.", "A3IdentityHRule"}], "/.", 
   RowBox[{"%", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531390503659141*^9, 3.531390511560816*^9}, {
  3.531390543714901*^9, 3.531390545889379*^9}, {3.5313920847902317`*^9, 
  3.5313920874969873`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", 
   "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", 
   "True", ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{3.531390519484342*^9, 3.5313905541603413`*^9, 
  3.531391419503748*^9, 3.531392088335011*^9, 3.531584435949012*^9, 
  3.531883351368259*^9, 3.5322669559982843`*^9, 3.536813498453191*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"A2full", "[", "1", "]"}], ",", 
         RowBox[{"A2full", "[", "2", "]"}]}], "}"}], "/.", "H3IdentityRule"}],
       "/.", "A3IdentityHRule"}], "/.", 
     RowBox[{"%%", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "//", "Simplify"}], ")"}]}]], "Input",\

 CellChangeTimes->{{3.531389423276579*^9, 3.5313894672652483`*^9}, {
  3.531391452444964*^9, 3.53139145678471*^9}, {3.531392094592067*^9, 
  3.53139209674769*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"auu1", "0", "auu2", "0", "avu22", "0", "0"},
       {"0", "auu1", "0", "auu2", "0", "avu22", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu22", "0", "0", "avu22", "avv1", "avv2", "awv22"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "awv22", "0", "aww1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"auu1", "0", "auu2", "0", "avu22", "0", "0"},
       {"0", "auu1", "0", "auu2", "0", "avu22", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"avu22", "0", "0", "avu22", "avv1", "avv2", "awv22"},
       {"0", "0", "0", "0", "0", "awv22", "aww2"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.531389456309956*^9, 3.531389498329265*^9, 
  3.531391457930211*^9, 3.531392097786117*^9, 3.531584436029283*^9, 
  3.531883351382702*^9, 3.532266956030685*^9, 3.536813498481695*^9}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["analysis of the equations", "Subsection"]], \
"Subsubsection",
 CellChangeTimes->{{3.531885154985629*^9, 3.531885162563593*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["the 2nd order equations that do not contain dbar are \
the following", "Subsubsection"]], "Text",
 CellChangeTimes->{{3.5318851072173777`*^9, 3.53188514006299*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"And", "[", 
        RowBox[{
         RowBox[{"FreeQ", "[", 
          RowBox[{"#", ",", "dbar112"}], "]"}], ",", 
         RowBox[{"FreeQ", "[", 
          RowBox[{"#", ",", "dbar212"}], "]"}], ",", 
         RowBox[{"FreeQ", "[", 
          RowBox[{"#", ",", "dbarv12"}], "]"}], ",", 
         RowBox[{"FreeQ", "[", 
          RowBox[{"#", ",", "dbarw112"}], "]"}], ",", 
         RowBox[{"FreeQ", "[", 
          RowBox[{"#", ",", "dbarw212"}], "]"}]}], "]"}], ",", "#", ",", 
       "0"}], "]"}], "&"}], "/@", "HA2eqnLHS"}], "//", "Simplify"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.531583992210363*^9, 3.531584049633134*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {
       RowBox[{
        RowBox[{"auv", " ", "huu1111"}], "-", 
        RowBox[{"auu1", " ", "huv111"}], "+", 
        RowBox[{"avv1", " ", "huv111"}], "+", 
        RowBox[{"awv11", " ", "huw11"}], "-", 
        RowBox[{"avu11", " ", "hvv11"}], "-", 
        RowBox[{"awu111", " ", "hvw1"}]}]},
      {"0"},
      {"0"},
      {
       RowBox[{
        RowBox[{"auv", " ", "huu2222"}], "-", 
        RowBox[{"auu2", " ", "huv222"}], "+", 
        RowBox[{"avv2", " ", "huv222"}], "+", 
        RowBox[{"awv22", " ", "huw22"}], "-", 
        RowBox[{"avu22", " ", "hvv22"}], "-", 
        RowBox[{"awu222", " ", "hvw2"}]}]},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {
       RowBox[{
        RowBox[{"avw", " ", "huv111"}], "-", 
        RowBox[{"auu1", " ", "huw11"}], "+", 
        RowBox[{"aww1", " ", "huw11"}], "-", 
        RowBox[{"avu11", " ", "hvw1"}], "-", 
        RowBox[{"awu111", " ", "hww"}]}]},
      {
       RowBox[{
        RowBox[{"avw", " ", "huv222"}], "-", 
        RowBox[{"auu2", " ", "huw22"}], "+", 
        RowBox[{"aww2", " ", "huw22"}], "-", 
        RowBox[{"avu22", " ", "hvw2"}], "-", 
        RowBox[{"awu222", " ", "hww"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "auv"}], " ", "huw11"}], "+", 
        RowBox[{"avw", " ", "hvv11"}], "-", 
        RowBox[{"avv1", " ", "hvw1"}], "+", 
        RowBox[{"aww1", " ", "hvw1"}], "-", 
        RowBox[{"awv11", " ", "hww"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "auv"}], " ", 
         RowBox[{"(", 
          RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "+", 
        RowBox[{"avw", " ", 
         RowBox[{"(", 
          RowBox[{"hvv11", "+", 
           RowBox[{"2", " ", "hvv12"}]}], ")"}]}], "-", 
        RowBox[{"avv1", " ", "hvw1"}], "-", 
        RowBox[{"avv2", " ", "hvw1"}], "+", 
        RowBox[{"aww1", " ", "hvw1"}], "+", 
        RowBox[{"aww2", " ", "hvw1"}], "-", 
        RowBox[{"avv1", " ", "hvw2"}], "+", 
        RowBox[{"aww1", " ", "hvw2"}], "-", 
        RowBox[{"awv11", " ", "hww"}], "-", 
        RowBox[{"2", " ", "awv12", " ", "hww"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "auv"}], " ", "huw22"}], "+", 
        RowBox[{"avw", " ", "hvv22"}], "-", 
        RowBox[{"avv2", " ", "hvw2"}], "+", 
        RowBox[{"aww2", " ", "hvw2"}], "-", 
        RowBox[{"awv22", " ", "hww"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "auv"}], " ", 
         RowBox[{"(", 
          RowBox[{"huw12", "+", "huw21", "+", "huw22"}], ")"}]}], "+", 
        RowBox[{"avw", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "hvv12"}], "+", "hvv22"}], ")"}]}], "-", 
        RowBox[{"avv2", " ", "hvw1"}], "+", 
        RowBox[{"aww2", " ", "hvw1"}], "-", 
        RowBox[{"avv1", " ", "hvw2"}], "-", 
        RowBox[{"avv2", " ", "hvw2"}], "+", 
        RowBox[{"aww1", " ", "hvw2"}], "+", 
        RowBox[{"aww2", " ", "hvw2"}], "-", 
        RowBox[{"2", " ", "awv12", " ", "hww"}], "-", 
        RowBox[{"awv22", " ", "hww"}]}]},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.5315840500347967`*^9, {3.531584452287307*^9, 3.531584477345963*^9}, 
   3.5318833699575577`*^9, 3.531886311268219*^9, 3.531908831573962*^9, 
   3.5320989470689163`*^9, 3.5322669682682257`*^9, 3.536813521015258*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["they are satisfied by the assumption that the 3rd \
order equations are", "Subsubsection"]], "Text",
 CellChangeTimes->{{3.531885180411929*^9, 3.531885195931095*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"HA2eqnLHS", "[", 
       RowBox[{"[", "5", "]"}], "]"}], "-", 
      RowBox[{"HA3eqnLHS", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"HA2eqnLHS", "[", 
       RowBox[{"[", "8", "]"}], "]"}], "-", 
      RowBox[{"HA3eqnLHS", "[", 
       RowBox[{"[", "5", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"HA2eqnLHS", "[", 
       RowBox[{"[", "13", "]"}], "]"}], "-", 
      RowBox[{"HA3eqnLHS", "[", 
       RowBox[{"[", "7", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"HA2eqnLHS", "[", 
       RowBox[{"[", "14", "]"}], "]"}], "-", 
      RowBox[{"HA3eqnLHS", "[", 
       RowBox[{"[", "11", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"HA2eqnLHS", "[", 
       RowBox[{"[", "15", "]"}], "]"}], "-", 
      RowBox[{"HA3eqnLHS", "[", 
       RowBox[{"[", "13", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"HA2eqnLHS", "[", 
       RowBox[{"[", "16", "]"}], "]"}], "-", 
      RowBox[{
       RowBox[{"1", "/", "5"}], 
       RowBox[{"HA3eqnLHS", "[", 
        RowBox[{"[", "14", "]"}], "]"}]}], "-", 
      RowBox[{
       RowBox[{"2", "/", "5"}], 
       RowBox[{"HA3eqnLHS", "[", 
        RowBox[{"[", "15", "]"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"2", "/", "5"}], " ", 
       RowBox[{"HA3eqnLHS", "[", 
        RowBox[{"[", "16", "]"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"HA2eqnLHS", "[", 
       RowBox[{"[", "17", "]"}], "]"}], "-", 
      RowBox[{"HA3eqnLHS", "[", 
       RowBox[{"[", "17", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"HA2eqnLHS", "[", 
       RowBox[{"[", "18", "]"}], "]"}], "+", 
      RowBox[{
       RowBox[{"2", "/", "5"}], " ", 
       RowBox[{"HA3eqnLHS", "[", 
        RowBox[{"[", "14", "]"}], "]"}]}], "-", 
      RowBox[{
       RowBox[{"1", "/", "5"}], " ", 
       RowBox[{"HA3eqnLHS", "[", 
        RowBox[{"[", "16", "]"}], "]"}]}], "-", " ", 
      RowBox[{
       RowBox[{"2", "/", "5"}], " ", 
       RowBox[{"HA3eqnLHS", "[", 
        RowBox[{"[", "18", "]"}], "]"}]}]}]}], "\[IndentingNewLine]", "}"}], "//",
    "Expand"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531583893574994*^9, 3.531583917346242*^9}, {
  3.531583948362638*^9, 3.531583948407078*^9}, {3.531584100178606*^9, 
  3.531584141028388*^9}, {3.531584490192382*^9, 3.531584529405919*^9}, {
  3.531584562222189*^9, 3.531584588146859*^9}, {3.531584632175281*^9, 
  3.5315846353192463`*^9}, {3.5315846765250607`*^9, 3.53158476326757*^9}, {
  3.531584936056831*^9, 3.53158508033039*^9}, {3.531585208221246*^9, 
  3.531585302209985*^9}, {3.531585484854726*^9, 3.531585546859685*^9}, {
  3.5315856549661207`*^9, 3.531585793146854*^9}, {3.531585870638954*^9, 
  3.531585896742779*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
   "}"}]], "Output",
 CellChangeTimes->{{3.531583912317556*^9, 3.5315839177808933`*^9}, 
   3.531583949017805*^9, 3.53158451843451*^9, {3.531584568286416*^9, 
   3.531584588685524*^9}, 3.531584635835314*^9, {3.53158467716306*^9, 
   3.5315847203959093`*^9}, 3.531584766758396*^9, {3.531584973298293*^9, 
   3.531584992485723*^9}, {3.5315850300646257`*^9, 3.531585081246457*^9}, {
   3.531585212707*^9, 3.5315852200356207`*^9}, {3.531585258315322*^9, 
   3.531585302716209*^9}, {3.531585537046476*^9, 3.53158554774041*^9}, 
   3.531585658849793*^9, 3.531585696026161*^9, {3.531585743907793*^9, 
   3.531585793503518*^9}, {3.5315858918527107`*^9, 3.531585897296111*^9}, 
   3.5318833715107203`*^9, 3.531886312148292*^9, 3.531908832129098*^9, 
   3.532098947748913*^9, 3.532266968360169*^9, 3.536813521091848*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["from the remaining 16 equations at least 7 are \
linearly dependent up to terms that vanish by assumption, we define \
HA3eqnLHSmod as the remaining 9 equations", "Subsubsection"]], "Text",
 CellChangeTimes->{{3.531885260772431*^9, 3.531885338958579*^9}, {
  3.531909729360116*^9, 3.531909735048737*^9}, {3.53190992126579*^9, 
  3.5319099345311747`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{
        "dbar112", ",", "dbar212", ",", "dbarv12", ",", "dbarw112", ",", 
         "dbarw212"}], "}"}]}], "]"}], "&"}], "/@", "HA2eqnLHS"}], "//", 
   "Simplify"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.531883448331305*^9, 3.531883549827363*^9}, 
   3.536815031442458*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"huu1111", "huu1112", "huv111", "huw11", "0"},
     {
      RowBox[{"huu1112", "+", 
       RowBox[{"2", " ", "huu1121"}]}], 
      RowBox[{"huu1122", "+", "huu1212", "+", "huu1221"}], 
      RowBox[{"huv112", "+", "huv121", "+", "huv211"}], 
      RowBox[{"huw12", "+", "huw21"}], "huw11"},
     {
      RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], 
      RowBox[{
       RowBox[{"2", " ", "huu1222"}], "+", "huu2122"}], 
      RowBox[{"huv122", "+", "huv212", "+", "huv221"}], "huw22", 
      RowBox[{"huw12", "+", "huw21"}]},
     {"huu2122", "huu2222", "huv222", "0", "huw22"},
     {"0", "0", "0", "0", "0"},
     {
      RowBox[{"-", "huv111"}], 
      RowBox[{"-", "huv121"}], 
      RowBox[{"-", "hvv11"}], 
      RowBox[{"-", "hvw1"}], "0"},
     {"huv111", "huv121", "hvv11", "hvw1", "0"},
     {"0", "0", "0", "0", "0"},
     {
      RowBox[{"huv112", "+", "huv211"}], 
      RowBox[{"huv122", "+", "huv221"}], 
      RowBox[{"2", " ", "hvv12"}], "hvw2", "hvw1"},
     {
      RowBox[{
       RowBox[{"-", "huv112"}], "-", "huv211"}], 
      RowBox[{
       RowBox[{"-", "huv122"}], "-", "huv221"}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", "hvv12"}], 
      RowBox[{"-", "hvw2"}], 
      RowBox[{"-", "hvw1"}]},
     {"huv212", "huv222", "hvv22", "0", "hvw2"},
     {
      RowBox[{"-", "huv212"}], 
      RowBox[{"-", "huv222"}], 
      RowBox[{"-", "hvv22"}], "0", 
      RowBox[{"-", "hvw2"}]},
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"},
     {"huw11", "huw12", "hvw1", "hww", "0"},
     {
      RowBox[{"-", "huw11"}], 
      RowBox[{"-", "huw12"}], 
      RowBox[{"-", "hvw1"}], 
      RowBox[{"-", "hww"}], "0"},
     {"huw21", "huw22", "hvw2", "0", "hww"},
     {
      RowBox[{"huw11", "+", "huw21"}], 
      RowBox[{"huw12", "+", "huw22"}], 
      RowBox[{"hvw1", "+", "hvw2"}], "hww", "hww"},
     {
      RowBox[{"-", "huw21"}], 
      RowBox[{"-", "huw22"}], 
      RowBox[{"-", "hvw2"}], "0", 
      RowBox[{"-", "hww"}]},
     {
      RowBox[{
       RowBox[{"-", "huw11"}], "-", "huw21"}], 
      RowBox[{
       RowBox[{"-", "huw12"}], "-", "huw22"}], 
      RowBox[{
       RowBox[{"-", "hvw1"}], "-", "hvw2"}], 
      RowBox[{"-", "hww"}], 
      RowBox[{"-", "hww"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53188348299719*^9, 3.531883550587881*^9}, 
   3.531886313391275*^9, 3.5319088327304287`*^9, 3.531909545319414*^9, 
   3.532098948744973*^9, 3.5322669684427834`*^9, 3.5368135211598043`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "6", "]"}], "]"}], "+", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "7", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "+", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531883621835136*^9, 3.53188363973055*^9}, {
  3.531884020857983*^9, 3.531884037653709*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531883635855747*^9, 3.531883640229457*^9}, 
   3.531884038473357*^9, 3.531886313551602*^9, 3.5319088328333282`*^9, 
   3.531909545353096*^9, 3.532098949121503*^9, 3.532266968455325*^9, 
   3.536813521219549*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "9", "]"}], "]"}], "+", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "10", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "4", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "5", "]"}], "]"}], "+", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "6", "]"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531883621835136*^9, 3.53188363973055*^9}, {
  3.531884020857983*^9, 3.531884069282646*^9}, {3.531884439553864*^9, 
  3.531884470521793*^9}, {3.5318845935405197`*^9, 3.5318846056511517`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531883635855747*^9, 3.531883640229457*^9}, 
   3.531884038473357*^9, 3.531884069836295*^9, {3.53188444879018*^9, 
   3.531884471144108*^9}, 3.531884606312415*^9, 3.53188631364685*^9, 
   3.531908832916459*^9, 3.531909545365362*^9, 3.532098949471209*^9, 
   3.532266968466106*^9, 3.536813521231292*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "11", "]"}], "]"}], "+", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "12", "]"}], "]"}], "+", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "5", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "6", "]"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.5318846233470182`*^9, 3.53188465515167*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.531884630504964*^9, 3.531884655821087*^9}, 
   3.531886313660591*^9, 3.531908833004964*^9, 3.531909545373399*^9, 
   3.532098949653255*^9, 3.532266968532427*^9, 3.536813521243939*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "19", "]"}], "]"}], "+", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "20", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "8", "]"}], "]"}], "+", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "7", "]"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531884664102149*^9, 3.531884666880898*^9}, {
  3.53188470290415*^9, 3.531884749457638*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.531884667465476*^9, 3.531884705974094*^9, 
  3.531884750383131*^9, 3.531886313669304*^9, 3.531908833017642*^9, 
  3.531909545498253*^9, 3.5320989499113903`*^9, 3.532266968542501*^9, 
  3.536813521297222*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "21", "]"}], "]"}], "+", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "23", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "10", "]"}], "]"}], "+", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "11", "]"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531884757787979*^9, 3.531884765889442*^9}, {
  3.531884804977394*^9, 3.53188481014447*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.531884766506988*^9, 3.5318848107244062`*^9, 
  3.5318863137570667`*^9, 3.5319088330311193`*^9, 3.531909545510846*^9, 
  3.532098950141502*^9, 3.532266968555738*^9, 3.5368135213101397`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "22", "]"}], "]"}], "+", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "24", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "12", "]"}], "]"}], "+", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "10", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "11", "]"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531884817957946*^9, 3.531884840279215*^9}, {
  3.531884871969692*^9, 3.5318849056501637`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.5318848411487217`*^9, {3.5318848739091473`*^9, 3.531884906288035*^9}, 
   3.5318863137681513`*^9, 3.531908833042742*^9, 3.5319095455223713`*^9, 
   3.532098950782332*^9, 3.532266968565243*^9, 3.5368135213213263`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "19", "]"}], "]"}], "+", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "21", "]"}], "]"}], "-", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", "22", "]"}], "]"}], "-", 
   RowBox[{"HA3eqnLHS", "[", 
    RowBox[{"[", "7", "]"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.531909701891814*^9, 3.531909717150866*^9}, {
  3.531909795971016*^9, 3.531909803144977*^9}, {3.531909834828124*^9, 
  3.5319098440985813`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.5319097176987677`*^9, 3.531909803888674*^9, 
  3.531909844861443*^9, 3.532098951008355*^9, 3.532266968631769*^9, 
  3.536813521331922*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HA2eqnLHSmod", "=", 
   RowBox[{"HA2eqnLHS", "[", 
    RowBox[{"[", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "4", ",", "6", ",", "9", ",", "11", ",", 
       "19", ",", "21"}], "}"}], "]"}], "]"}]}], ";", 
  RowBox[{"HA2eqnLHSmod", "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.5318849963093452`*^9, 3.5318850648324747`*^9}, {
  3.531909848643557*^9, 3.531909848907498*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huu1111"}], "-", 
        RowBox[{"auu1", " ", "huu1112"}], "+", 
        RowBox[{"dbar212", " ", "huu1112"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "huv111"}], "-", 
        RowBox[{"avu11", " ", "huv121"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "huw11"}], "-", 
        RowBox[{"awu111", " ", "huw12"}]}]},
      {
       RowBox[{
        RowBox[{"auu2", " ", 
         RowBox[{"(", 
          RowBox[{"huu1112", "+", 
           RowBox[{"2", " ", "huu1121"}]}], ")"}]}], "+", 
        RowBox[{"dbar112", " ", 
         RowBox[{"(", 
          RowBox[{"huu1112", "+", 
           RowBox[{"2", " ", "huu1121"}]}], ")"}]}], "-", 
        RowBox[{"auu1", " ", "huu1122"}], "+", 
        RowBox[{"dbar212", " ", "huu1122"}], "-", 
        RowBox[{"auu1", " ", "huu1212"}], "+", 
        RowBox[{"dbar212", " ", "huu1212"}], "-", 
        RowBox[{"auu1", " ", "huu1221"}], "+", 
        RowBox[{"dbar212", " ", "huu1221"}], "+", 
        RowBox[{"avu22", " ", "huv111"}], "+", 
        RowBox[{"avu12", " ", "huv112"}], "+", 
        RowBox[{"dbarv12", " ", "huv112"}], "-", 
        RowBox[{"avu12", " ", "huv121"}], "+", 
        RowBox[{"dbarv12", " ", "huv121"}], "-", 
        RowBox[{"avu11", " ", "huv122"}], "+", 
        RowBox[{"avu12", " ", "huv211"}], "+", 
        RowBox[{"dbarv12", " ", "huv211"}], "-", 
        RowBox[{"avu11", " ", "huv221"}], "+", 
        RowBox[{"2", " ", "awu122", " ", "huw11"}], "+", 
        RowBox[{"dbarw212", " ", "huw11"}], "-", 
        RowBox[{"2", " ", "awu112", " ", "huw12"}], "+", 
        RowBox[{"dbarw112", " ", "huw12"}], "+", 
        RowBox[{"awu112", " ", "huw21"}], "+", 
        RowBox[{"dbarw112", " ", "huw21"}], "-", 
        RowBox[{"awu111", " ", "huw22"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "auu1", " ", "huu1222"}], "+", 
        RowBox[{"2", " ", "dbar212", " ", "huu1222"}], "+", 
        RowBox[{"auu2", " ", 
         RowBox[{"(", 
          RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "+", 
        RowBox[{"dbar112", " ", 
         RowBox[{"(", 
          RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "-", 
        RowBox[{"auu1", " ", "huu2122"}], "+", 
        RowBox[{"dbar212", " ", "huu2122"}], "+", 
        RowBox[{"avu22", " ", "huv112"}], "-", 
        RowBox[{"avu12", " ", "huv122"}], "+", 
        RowBox[{"dbarv12", " ", "huv122"}], "+", 
        RowBox[{"avu22", " ", "huv211"}], "+", 
        RowBox[{"avu12", " ", "huv212"}], "+", 
        RowBox[{"dbarv12", " ", "huv212"}], "-", 
        RowBox[{"avu12", " ", "huv221"}], "+", 
        RowBox[{"dbarv12", " ", "huv221"}], "-", 
        RowBox[{"avu11", " ", "huv222"}], "+", 
        RowBox[{"awu222", " ", "huw11"}], "-", 
        RowBox[{"awu122", " ", "huw12"}], "+", 
        RowBox[{"dbarw212", " ", "huw12"}], "+", 
        RowBox[{"2", " ", "awu122", " ", "huw21"}], "+", 
        RowBox[{"dbarw212", " ", "huw21"}], "-", 
        RowBox[{"2", " ", "awu112", " ", "huw22"}], "+", 
        RowBox[{"dbarw112", " ", "huw22"}]}]},
      {
       RowBox[{
        RowBox[{"auu2", " ", "huu2122"}], "+", 
        RowBox[{"dbar112", " ", "huu2122"}], "-", 
        RowBox[{"auu1", " ", "huu2222"}], "+", 
        RowBox[{"dbar212", " ", "huu2222"}], "+", 
        RowBox[{"avu22", " ", "huv212"}], "-", 
        RowBox[{"avu12", " ", "huv222"}], "+", 
        RowBox[{"dbarv12", " ", "huv222"}], "+", 
        RowBox[{"awu222", " ", "huw21"}], "-", 
        RowBox[{"awu122", " ", "huw22"}], "+", 
        RowBox[{"dbarw212", " ", "huw22"}]}]},
      {
       RowBox[{
        RowBox[{"auv", " ", "huu1112"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huv111"}], "+", 
        RowBox[{"avv1", " ", "huv121"}], "-", 
        RowBox[{"dbar212", " ", "huv121"}], "+", 
        RowBox[{"awv11", " ", "huw12"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvv11"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "hvw1"}]}]},
      {
       RowBox[{
        RowBox[{"auv", " ", 
         RowBox[{"(", 
          RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "+", 
        RowBox[{"dbar112", " ", "huv112"}], "-", 
        RowBox[{"auu1", " ", "huv122"}], "+", 
        RowBox[{"dbar212", " ", "huv122"}], "+", 
        RowBox[{"dbar112", " ", "huv211"}], "+", 
        RowBox[{"avv2", " ", 
         RowBox[{"(", 
          RowBox[{"huv112", "+", "huv211"}], ")"}]}], "-", 
        RowBox[{"auu1", " ", "huv212"}], "+", 
        RowBox[{"avv1", " ", "huv212"}], "-", 
        RowBox[{"auu1", " ", "huv221"}], "+", 
        RowBox[{"dbar212", " ", "huv221"}], "+", 
        RowBox[{"awv22", " ", "huw11"}], "+", 
        RowBox[{"2", " ", "awv12", " ", "huw21"}], "-", 
        RowBox[{"2", " ", "avu12", " ", "hvv12"}], "+", 
        RowBox[{"2", " ", "dbarv12", " ", "hvv12"}], "-", 
        RowBox[{"avu11", " ", "hvv22"}], "-", 
        RowBox[{"awu122", " ", "hvw1"}], "+", 
        RowBox[{"dbarw212", " ", "hvw1"}], "-", 
        RowBox[{"2", " ", "awu112", " ", "hvw2"}], "+", 
        RowBox[{"dbarw112", " ", "hvw2"}]}]},
      {
       RowBox[{
        RowBox[{"auv", " ", "huu2122"}], "+", 
        RowBox[{"avv2", " ", "huv212"}], "+", 
        RowBox[{"dbar112", " ", "huv212"}], "-", 
        RowBox[{"auu1", " ", "huv222"}], "+", 
        RowBox[{"dbar212", " ", "huv222"}], "+", 
        RowBox[{"awv22", " ", "huw21"}], "-", 
        RowBox[{"avu12", " ", "hvv22"}], "+", 
        RowBox[{"dbarv12", " ", "hvv22"}], "-", 
        RowBox[{"awu122", " ", "hvw2"}], "+", 
        RowBox[{"dbarw212", " ", "hvw2"}]}]},
      {
       RowBox[{
        RowBox[{"avw", " ", 
         RowBox[{"(", 
          RowBox[{"huv111", "+", "huv112", "+", "huv211"}], ")"}]}], "+", 
        RowBox[{"aww1", " ", "huw11"}], "+", 
        RowBox[{"aww2", " ", "huw11"}], "+", 
        RowBox[{"dbar112", " ", "huw11"}], "+", 
        RowBox[{"dbar212", " ", "huw12"}], "+", 
        RowBox[{"aww1", " ", "huw21"}], "-", 
        RowBox[{"auu1", " ", 
         RowBox[{"(", 
          RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "-", 
        RowBox[{"avu11", " ", "hvw1"}], "-", 
        RowBox[{"avu12", " ", "hvw1"}], "+", 
        RowBox[{"dbarv12", " ", "hvw1"}], "-", 
        RowBox[{"avu11", " ", "hvw2"}], "-", 
        RowBox[{"awu111", " ", "hww"}], "-", 
        RowBox[{"2", " ", "awu112", " ", "hww"}], "+", 
        RowBox[{"dbarw112", " ", "hww"}]}]},
      {
       RowBox[{
        RowBox[{"avw", " ", "huv212"}], "+", 
        RowBox[{"aww2", " ", "huw21"}], "+", 
        RowBox[{"dbar112", " ", "huw21"}], "-", 
        RowBox[{"auu1", " ", "huw22"}], "+", 
        RowBox[{"dbar212", " ", "huw22"}], "-", 
        RowBox[{"avu12", " ", "hvw2"}], "+", 
        RowBox[{"dbarv12", " ", "hvw2"}], "-", 
        RowBox[{"awu122", " ", "hww"}], "+", 
        RowBox[{"dbarw212", " ", "hww"}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.5318850560756607`*^9, 3.531885065351829*^9}, 
   3.531886313791041*^9, 3.53190883314074*^9, 3.531909545540101*^9, 
   3.531909849506609*^9, {3.531911523787636*^9, 3.531911551803306*^9}, 
   3.5319117227226553`*^9, 3.531913541419009*^9, 3.5319136784596367`*^9, 
   3.532098951230653*^9, 3.53226696865005*^9, 3.536813521391553*^9}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Construction of a counter example where the 3rd order system is symmetric \
hyperbolic, but has no reduction to 2nd order with the same energy\
\>", "Subsection",
 CellChangeTimes->{{3.536815061193336*^9, 3.536815108501747*^9}}],

Cell[CellGroupData[{

Cell["reordering of the second oder conservation equations", "Subsubsection",
 CellChangeTimes->{{3.5334859023183002`*^9, 3.5334859208475533`*^9}, {
  3.5368154240435534`*^9, 3.536815425996909*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{
        "dbar112", ",", "dbar212", ",", "dbarv12", ",", "dbarw112", ",", 
         "dbarw212"}], "}"}]}], "]"}], "&"}], "/@", "HA2eqnLHSmod"}], "//", 
   "Simplify"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.531885385742811*^9, 3.5318853928266153`*^9}, {
  3.531885426484198*^9, 3.531885438580501*^9}, {3.53190968551772*^9, 
  3.531909697749107*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"huu1111", "huu1112", "huv111", "huw11", "0"},
     {
      RowBox[{"huu1112", "+", 
       RowBox[{"2", " ", "huu1121"}]}], 
      RowBox[{"huu1122", "+", "huu1212", "+", "huu1221"}], 
      RowBox[{"huv112", "+", "huv121", "+", "huv211"}], 
      RowBox[{"huw12", "+", "huw21"}], "huw11"},
     {
      RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], 
      RowBox[{
       RowBox[{"2", " ", "huu1222"}], "+", "huu2122"}], 
      RowBox[{"huv122", "+", "huv212", "+", "huv221"}], "huw22", 
      RowBox[{"huw12", "+", "huw21"}]},
     {"huu2122", "huu2222", "huv222", "0", "huw22"},
     {
      RowBox[{"-", "huv111"}], 
      RowBox[{"-", "huv121"}], 
      RowBox[{"-", "hvv11"}], 
      RowBox[{"-", "hvw1"}], "0"},
     {
      RowBox[{"huv112", "+", "huv211"}], 
      RowBox[{"huv122", "+", "huv221"}], 
      RowBox[{"2", " ", "hvv12"}], "hvw2", "hvw1"},
     {"huv212", "huv222", "hvv22", "0", "hvw2"},
     {"huw11", "huw12", "hvw1", "hww", "0"},
     {"huw21", "huw22", "hvw2", "0", "hww"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.53188539324864*^9, 3.53188543910242*^9, {3.5318863056422997`*^9, 
   3.531886314391261*^9}, 3.531908839124658*^9, 3.5319095465443583`*^9, 
   3.5319098520315332`*^9, {3.5319115258042603`*^9, 3.531911552631466*^9}, 
   3.53191172378926*^9, 3.531913542220351*^9, 3.5319136790425377`*^9, 
   3.532098913401907*^9, 3.5320989515357428`*^9, 3.532266990307707*^9, 
   3.536813521406698*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HA2eqnLHSmod", "=", 
   RowBox[{
    RowBox[{"DiagonalMatrix", "[", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}], ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
       ",", "1", ",", "1"}], "}"}], "]"}], ".", 
    RowBox[{"HA2eqnLHSmod", "[", 
     RowBox[{"[", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "5", ",", "8", ",", "9", ",", "4", ",", "2", ",", "3", ",", 
        "6", ",", "7"}], "}"}], "]"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"HA2eqnLHSmod", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.5319114292767477`*^9, 3.5319115462338657`*^9}, {
  3.531911716757288*^9, 3.5319117183063717`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huu1111"}], "-", 
        RowBox[{"auu1", " ", "huu1112"}], "+", 
        RowBox[{"dbar212", " ", "huu1112"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "huv111"}], "-", 
        RowBox[{"avu11", " ", "huv121"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "huw11"}], "-", 
        RowBox[{"awu111", " ", "huw12"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "auv"}], " ", "huu1112"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"auu2", "+", "dbar112"}], ")"}], " ", "huv111"}], "-", 
        RowBox[{"avv1", " ", "huv121"}], "+", 
        RowBox[{"dbar212", " ", "huv121"}], "-", 
        RowBox[{"awv11", " ", "huw12"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"avu12", "+", "dbarv12"}], ")"}], " ", "hvv11"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"awu112", "+", "dbarw112"}], ")"}], " ", "hvw1"}]}]},
      {
       RowBox[{
        RowBox[{"avw", " ", 
         RowBox[{"(", 
          RowBox[{"huv111", "+", "huv112", "+", "huv211"}], ")"}]}], "+", 
        RowBox[{"aww1", " ", "huw11"}], "+", 
        RowBox[{"aww2", " ", "huw11"}], "+", 
        RowBox[{"dbar112", " ", "huw11"}], "+", 
        RowBox[{"dbar212", " ", "huw12"}], "+", 
        RowBox[{"aww1", " ", "huw21"}], "-", 
        RowBox[{"auu1", " ", 
         RowBox[{"(", 
          RowBox[{"huw11", "+", "huw12", "+", "huw21"}], ")"}]}], "-", 
        RowBox[{"avu11", " ", "hvw1"}], "-", 
        RowBox[{"avu12", " ", "hvw1"}], "+", 
        RowBox[{"dbarv12", " ", "hvw1"}], "-", 
        RowBox[{"avu11", " ", "hvw2"}], "-", 
        RowBox[{"awu111", " ", "hww"}], "-", 
        RowBox[{"2", " ", "awu112", " ", "hww"}], "+", 
        RowBox[{"dbarw112", " ", "hww"}]}]},
      {
       RowBox[{
        RowBox[{"avw", " ", "huv212"}], "+", 
        RowBox[{"aww2", " ", "huw21"}], "+", 
        RowBox[{"dbar112", " ", "huw21"}], "-", 
        RowBox[{"auu1", " ", "huw22"}], "+", 
        RowBox[{"dbar212", " ", "huw22"}], "-", 
        RowBox[{"avu12", " ", "hvw2"}], "+", 
        RowBox[{"dbarv12", " ", "hvw2"}], "-", 
        RowBox[{"awu122", " ", "hww"}], "+", 
        RowBox[{"dbarw212", " ", "hww"}]}]},
      {
       RowBox[{
        RowBox[{"auu2", " ", "huu2122"}], "+", 
        RowBox[{"dbar112", " ", "huu2122"}], "-", 
        RowBox[{"auu1", " ", "huu2222"}], "+", 
        RowBox[{"dbar212", " ", "huu2222"}], "+", 
        RowBox[{"avu22", " ", "huv212"}], "-", 
        RowBox[{"avu12", " ", "huv222"}], "+", 
        RowBox[{"dbarv12", " ", "huv222"}], "+", 
        RowBox[{"awu222", " ", "huw21"}], "-", 
        RowBox[{"awu122", " ", "huw22"}], "+", 
        RowBox[{"dbarw212", " ", "huw22"}]}]},
      {
       RowBox[{
        RowBox[{"auu2", " ", 
         RowBox[{"(", 
          RowBox[{"huu1112", "+", 
           RowBox[{"2", " ", "huu1121"}]}], ")"}]}], "+", 
        RowBox[{"dbar112", " ", 
         RowBox[{"(", 
          RowBox[{"huu1112", "+", 
           RowBox[{"2", " ", "huu1121"}]}], ")"}]}], "-", 
        RowBox[{"auu1", " ", "huu1122"}], "+", 
        RowBox[{"dbar212", " ", "huu1122"}], "-", 
        RowBox[{"auu1", " ", "huu1212"}], "+", 
        RowBox[{"dbar212", " ", "huu1212"}], "-", 
        RowBox[{"auu1", " ", "huu1221"}], "+", 
        RowBox[{"dbar212", " ", "huu1221"}], "+", 
        RowBox[{"avu22", " ", "huv111"}], "+", 
        RowBox[{"avu12", " ", "huv112"}], "+", 
        RowBox[{"dbarv12", " ", "huv112"}], "-", 
        RowBox[{"avu12", " ", "huv121"}], "+", 
        RowBox[{"dbarv12", " ", "huv121"}], "-", 
        RowBox[{"avu11", " ", "huv122"}], "+", 
        RowBox[{"avu12", " ", "huv211"}], "+", 
        RowBox[{"dbarv12", " ", "huv211"}], "-", 
        RowBox[{"avu11", " ", "huv221"}], "+", 
        RowBox[{"2", " ", "awu122", " ", "huw11"}], "+", 
        RowBox[{"dbarw212", " ", "huw11"}], "-", 
        RowBox[{"2", " ", "awu112", " ", "huw12"}], "+", 
        RowBox[{"dbarw112", " ", "huw12"}], "+", 
        RowBox[{"awu112", " ", "huw21"}], "+", 
        RowBox[{"dbarw112", " ", "huw21"}], "-", 
        RowBox[{"awu111", " ", "huw22"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "auu1", " ", "huu1222"}], "+", 
        RowBox[{"2", " ", "dbar212", " ", "huu1222"}], "+", 
        RowBox[{"auu2", " ", 
         RowBox[{"(", 
          RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "+", 
        RowBox[{"dbar112", " ", 
         RowBox[{"(", 
          RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "-", 
        RowBox[{"auu1", " ", "huu2122"}], "+", 
        RowBox[{"dbar212", " ", "huu2122"}], "+", 
        RowBox[{"avu22", " ", "huv112"}], "-", 
        RowBox[{"avu12", " ", "huv122"}], "+", 
        RowBox[{"dbarv12", " ", "huv122"}], "+", 
        RowBox[{"avu22", " ", "huv211"}], "+", 
        RowBox[{"avu12", " ", "huv212"}], "+", 
        RowBox[{"dbarv12", " ", "huv212"}], "-", 
        RowBox[{"avu12", " ", "huv221"}], "+", 
        RowBox[{"dbarv12", " ", "huv221"}], "-", 
        RowBox[{"avu11", " ", "huv222"}], "+", 
        RowBox[{"awu222", " ", "huw11"}], "-", 
        RowBox[{"awu122", " ", "huw12"}], "+", 
        RowBox[{"dbarw212", " ", "huw12"}], "+", 
        RowBox[{"2", " ", "awu122", " ", "huw21"}], "+", 
        RowBox[{"dbarw212", " ", "huw21"}], "-", 
        RowBox[{"2", " ", "awu112", " ", "huw22"}], "+", 
        RowBox[{"dbarw112", " ", "huw22"}]}]},
      {
       RowBox[{
        RowBox[{"auv", " ", 
         RowBox[{"(", 
          RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], ")"}]}], "+", 
        RowBox[{"dbar112", " ", "huv112"}], "-", 
        RowBox[{"auu1", " ", "huv122"}], "+", 
        RowBox[{"dbar212", " ", "huv122"}], "+", 
        RowBox[{"dbar112", " ", "huv211"}], "+", 
        RowBox[{"avv2", " ", 
         RowBox[{"(", 
          RowBox[{"huv112", "+", "huv211"}], ")"}]}], "-", 
        RowBox[{"auu1", " ", "huv212"}], "+", 
        RowBox[{"avv1", " ", "huv212"}], "-", 
        RowBox[{"auu1", " ", "huv221"}], "+", 
        RowBox[{"dbar212", " ", "huv221"}], "+", 
        RowBox[{"awv22", " ", "huw11"}], "+", 
        RowBox[{"2", " ", "awv12", " ", "huw21"}], "-", 
        RowBox[{"2", " ", "avu12", " ", "hvv12"}], "+", 
        RowBox[{"2", " ", "dbarv12", " ", "hvv12"}], "-", 
        RowBox[{"avu11", " ", "hvv22"}], "-", 
        RowBox[{"awu122", " ", "hvw1"}], "+", 
        RowBox[{"dbarw212", " ", "hvw1"}], "-", 
        RowBox[{"2", " ", "awu112", " ", "hvw2"}], "+", 
        RowBox[{"dbarw112", " ", "hvw2"}]}]},
      {
       RowBox[{
        RowBox[{"auv", " ", "huu2122"}], "+", 
        RowBox[{"avv2", " ", "huv212"}], "+", 
        RowBox[{"dbar112", " ", "huv212"}], "-", 
        RowBox[{"auu1", " ", "huv222"}], "+", 
        RowBox[{"dbar212", " ", "huv222"}], "+", 
        RowBox[{"awv22", " ", "huw21"}], "-", 
        RowBox[{"avu12", " ", "hvv22"}], "+", 
        RowBox[{"dbarv12", " ", "hvv22"}], "-", 
        RowBox[{"awu122", " ", "hvw2"}], "+", 
        RowBox[{"dbarw212", " ", "hvw2"}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.531911518781213*^9, 3.531911553169475*^9}, 
   3.531911732200225*^9, {3.531913537851018*^9, 3.5319135432990417`*^9}, 
   3.531913679715398*^9, {3.532098925452285*^9, 3.5320989524392567`*^9}, 
   3.532266996750757*^9, 3.5368135214853487`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{
        "dbar112", ",", "dbarv12", ",", "dbarw112", ",", "dbarw212", ",", 
         "dbar212"}], "}"}]}], "]"}], "&"}], "/@", "HA2eqnLHSmod"}], "//", 
   "Simplify"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.531885385742811*^9, 3.5318853928266153`*^9}, {
  3.531885426484198*^9, 3.531885438580501*^9}, {3.53190968551772*^9, 
  3.531909697749107*^9}, {3.531911586451055*^9, 3.531911588413415*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"huu1111", "huv111", "huw11", "0", "huu1112"},
     {"huv111", "hvv11", "hvw1", "0", "huv121"},
     {"huw11", "hvw1", "hww", "0", "huw12"},
     {"huw21", "hvw2", "0", "hww", "huw22"},
     {"huu2122", "huv222", "0", "huw22", "huu2222"},
     {
      RowBox[{"huu1112", "+", 
       RowBox[{"2", " ", "huu1121"}]}], 
      RowBox[{"huv112", "+", "huv121", "+", "huv211"}], 
      RowBox[{"huw12", "+", "huw21"}], "huw11", 
      RowBox[{"huu1122", "+", "huu1212", "+", "huu1221"}]},
     {
      RowBox[{"huu1122", "+", "huu1221", "+", "huu2121"}], 
      RowBox[{"huv122", "+", "huv212", "+", "huv221"}], "huw22", 
      RowBox[{"huw12", "+", "huw21"}], 
      RowBox[{
       RowBox[{"2", " ", "huu1222"}], "+", "huu2122"}]},
     {
      RowBox[{"huv112", "+", "huv211"}], 
      RowBox[{"2", " ", "hvv12"}], "hvw2", "hvw1", 
      RowBox[{"huv122", "+", "huv221"}]},
     {"huv212", "hvv22", "0", "hvw2", "huv222"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.53188539324864*^9, 3.53188543910242*^9, {3.5318863056422997`*^9, 
   3.531886314391261*^9}, 3.531908839124658*^9, 3.5319095465443583`*^9, 
   3.5319098520315332`*^9, {3.5319115258042603`*^9, 3.5319115890744867`*^9}, 
   3.5319117330606413`*^9, 3.531911903208976*^9, 3.531911953751313*^9, {
   3.531911984591832*^9, 3.531912010549432*^9}, {3.531912312477268*^9, 
   3.531912336533711*^9}, {3.531913529892885*^9, 3.531913544215674*^9}, 
   3.5319136803848457`*^9, {3.532098927351997*^9, 3.532098952733016*^9}, 
   3.532267001672575*^9, 3.5322672593970118`*^9, {3.5322673418105507`*^9, 
   3.532267369195251*^9}, 3.533309648293222*^9, 3.533309745290607*^9, 
   3.533394834679187*^9, 3.533394864915102*^9, 3.533482719388496*^9, 
   3.5368135215457697`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Define the rule singularRule. It has the effect that a subset of the second \
order conservation equations interpreted as linear equations on the dbar \
becomes singular (the motivation is that it becomes more likely to find a \
counter example since there may be no solution for the dbar)\
\>", "Subsubsection",
 CellChangeTimes->{{3.5334859346547728`*^9, 3.533485967461709*^9}, {
  3.5368151591972837`*^9, 3.536815214355616*^9}, {3.536815438495121*^9, 
  3.536815554592318*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"singularRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Det", "[", 
        RowBox[{"%", "[", 
         RowBox[{"[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], 
          "]"}], "]"}], "]"}], "\[Equal]", "0"}], ",", "huu2222"}], "]"}], 
    "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.532098972102736*^9, 3.53209899375858*^9}, {
  3.5334827072835627`*^9, 3.533482713996503*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"huu2222", "\[Rule]", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "huu1112"}], " ", "huw21", " ", "huw22", " ", 
       SuperscriptBox["hvw1", "2"]}], "+", 
      RowBox[{"huu1111", " ", 
       SuperscriptBox["huw22", "2"], " ", 
       SuperscriptBox["hvw1", "2"]}], "-", 
      RowBox[{
      "huu1111", " ", "huw12", " ", "huw22", " ", "hvw1", " ", "hvw2"}], "+", 
      
      RowBox[{
       SuperscriptBox["huv111", "2"], " ", 
       SuperscriptBox["huw22", "2"], " ", "hww"}], "+", 
      RowBox[{
      "huu1112", " ", "huw21", " ", "huw22", " ", "hvv11", " ", "hww"}], "-", 
      
      RowBox[{"huu1111", " ", 
       SuperscriptBox["huw22", "2"], " ", "hvv11", " ", "hww"}], "+", 
      RowBox[{
      "huu1111", " ", "huv222", " ", "huw12", " ", "hvw1", " ", "hww"}], "+", 
      
      RowBox[{"huu1112", " ", "huu2122", " ", 
       SuperscriptBox["hvw1", "2"], " ", "hww"}], "+", 
      RowBox[{
      "huu1111", " ", "huv121", " ", "huw22", " ", "hvw2", " ", "hww"}], "-", 
      
      RowBox[{"huu1111", " ", "huv121", " ", "huv222", " ", 
       SuperscriptBox["hww", "2"]}], "-", 
      RowBox[{"huu1112", " ", "huu2122", " ", "hvv11", " ", 
       SuperscriptBox["hww", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["huw11", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["huw22", "2"], " ", "hvv11"}], "-", 
         RowBox[{"huv121", " ", "huw22", " ", "hvw2"}], "+", 
         RowBox[{"huv121", " ", "huv222", " ", "hww"}]}], ")"}]}], "+", 
      RowBox[{"huv111", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"huw12", " ", "hvw1", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"huw21", " ", "huw22"}], "-", 
            RowBox[{"huu2122", " ", "hww"}]}], ")"}]}], "+", 
         RowBox[{"hww", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "huv121"}], " ", "huw21", " ", "huw22"}], "-", 
            RowBox[{"huu1112", " ", "huw22", " ", "hvw2"}], "+", 
            RowBox[{"huu2122", " ", "huv121", " ", "hww"}], "+", 
            RowBox[{"huu1112", " ", "huv222", " ", "hww"}]}], ")"}]}]}], 
        ")"}]}], "+", 
      RowBox[{"huw11", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"hvw1", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"huv121", " ", "huw21", " ", "huw22"}], "-", 
            RowBox[{"2", " ", "huv111", " ", 
             SuperscriptBox["huw22", "2"]}], "+", 
            RowBox[{"huu1112", " ", "huw22", " ", "hvw2"}], "-", 
            RowBox[{"huu2122", " ", "huv121", " ", "hww"}], "-", 
            RowBox[{"huu1112", " ", "huv222", " ", "hww"}]}], ")"}]}], "+", 
         RowBox[{"huw12", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "huw21"}], " ", "huw22", " ", "hvv11"}], "+", 
            RowBox[{"huv111", " ", "huw22", " ", "hvw2"}], "-", 
            RowBox[{"huv111", " ", "huv222", " ", "hww"}], "+", 
            RowBox[{"huu2122", " ", "hvv11", " ", "hww"}]}], ")"}]}]}], 
        ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"hww", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["huw11", "2"], " ", "hvv11"}], "-", 
        RowBox[{"2", " ", "huv111", " ", "huw11", " ", "hvw1"}], "+", 
        RowBox[{
         SuperscriptBox["huv111", "2"], " ", "hww"}], "+", 
        RowBox[{"huu1111", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["hvw1", "2"], "-", 
           RowBox[{"hvv11", " ", "hww"}]}], ")"}]}]}], ")"}]}], ")"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.532099028431301*^9, {3.532267343098833*^9, 3.532267370487463*^9}, 
   3.533309650764027*^9, 3.533309745686878*^9, {3.533394835377338*^9, 
   3.533394865260805*^9}, 3.5334827204516487`*^9, 3.5368135218520107`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
We search numerically for a positive definite matrix that satisfies \
singularRule and use continuity of eigenvalues to define an exact one \
(symmetrizerRule)\
\>", "Subsubsection",
 CellChangeTimes->{{3.533485975351488*^9, 3.533486006348774*^9}, {
  3.5368152373744907`*^9, 3.536815379708922*^9}, {3.53681557350741*^9, 
  3.536815665281254*^9}, {3.536815713729343*^9, 3.53681574512904*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindMinimum", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Det", "[", 
       RowBox[{"H3full", "/.", "singularRule"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"singularRule", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], "\[Equal]", 
      RowBox[{"singularRule", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu1111", ",", "1."}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu1212", ",", "1."}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu2222", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu2121", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"hvv11", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"hvv22", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"hww", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu2122", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu1112", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huv121", ",", 
     RowBox[{"000", "/", "10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huv112", ",", 
     RowBox[{"0", "/", "10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huv212", ",", 
     RowBox[{"0", "/", "10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huv211", ",", 
     RowBox[{"0", "/", "10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huv122", ",", 
     RowBox[{"0", "/", "10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huv221", ",", 
     RowBox[{"1", "/", "10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huv222", ",", 
     RowBox[{"1", "/", "10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huv111", ",", 
     RowBox[{"1", "/", "10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huw11", ",", 
     RowBox[{"1", "/", "20"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huw22", ",", 
     RowBox[{"1", "/", "20"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huw12", ",", 
     RowBox[{"1", "/", "20"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huw21", ",", 
     RowBox[{"1", "/", "20"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"hvw1", ",", 
     RowBox[{"1", "/", "40"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"hvw2", ",", 
     RowBox[{"1", "/", "40"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu1121", ",", 
     RowBox[{"1", "/", "80"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu1122", ",", 
     RowBox[{"1", "/", "80"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu1221", ",", 
     RowBox[{"1", "/", "80"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"huu1222", ",", 
     RowBox[{"1", "/", "80"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"hvv12", ",", 
     RowBox[{"1", "/", "160"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.533396145909443*^9, 3.533396430946567*^9}, {
   3.533396550937881*^9, 3.533396582570965*^9}, 3.53348134822165*^9, {
   3.5334813908565273`*^9, 3.5334814005700893`*^9}, {3.533481440401579*^9, 
   3.5334814475139236`*^9}, {3.5334816471494427`*^9, 3.5334817397191277`*^9}, 
   3.533481798663525*^9, {3.533482757744606*^9, 3.533482834781356*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FindMinimum", "::", "\<\"eit\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"The algorithm does not \
converge to the tolerance of \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(4.806217383937354`*^-6\\), \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" in \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(500\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" iterations. The best estimated \
solution, with feasibility residual, KKT residual or complementary residual \
of \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({0.03414212250577392`, \
0.2944077648685751`, 0}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\", is \
returned.\\\\\\\"\\\", \\\"MT\\\"]\\) \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\
\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMinimum\\\", ButtonNote -> \
\\\"FindMinimum::eit\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.533396220280652*^9, 3.533396330055771*^9, {3.5333963728813257`*^9, 
   3.533396438424918*^9}, 3.533396565442484*^9, 3.5333966251686287`*^9, 
   3.533481365389027*^9, 3.53348140184094*^9, 3.5334814951304493`*^9, {
   3.5334816489456377`*^9, 3.533481733048893*^9}, 3.5334817883374023`*^9, 
   3.533481848286992*^9, 3.5334827992785053`*^9, 3.533482887068624*^9, 
   3.536813569575288*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.10208803385613818`"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"huu1111", "\[Rule]", "1.0627355530646532`"}], ",", 
     RowBox[{"huu1212", "\[Rule]", "1.0729444248860476`"}], ",", 
     RowBox[{"huu2222", "\[Rule]", "0.17556248519836753`"}], ",", 
     RowBox[{"huu2121", "\[Rule]", "1.062221595414519`"}], ",", 
     RowBox[{"hvv11", "\[Rule]", "0.9847718718531385`"}], ",", 
     RowBox[{"hvv22", "\[Rule]", "1.1217218865544683`"}], ",", 
     RowBox[{"hww", "\[Rule]", "1.0667549327122963`"}], ",", 
     RowBox[{"huu2122", "\[Rule]", 
      RowBox[{"-", "0.1422516827839349`"}]}], ",", 
     RowBox[{"huu1112", "\[Rule]", 
      RowBox[{"-", "0.3350771068891932`"}]}], ",", 
     RowBox[{"huv121", "\[Rule]", "0.5191539003677762`"}], ",", 
     RowBox[{"huv112", "\[Rule]", "0.0015437220389220396`"}], ",", 
     RowBox[{"huv212", "\[Rule]", 
      RowBox[{"-", "0.059139252841299485`"}]}], ",", 
     RowBox[{"huv211", "\[Rule]", 
      RowBox[{"-", "0.04271294539169998`"}]}], ",", 
     RowBox[{"huv122", "\[Rule]", "0.005445107769060622`"}], ",", 
     RowBox[{"huv221", "\[Rule]", "0.037746799624241226`"}], ",", 
     RowBox[{"huv222", "\[Rule]", "0.2432332512365139`"}], ",", 
     RowBox[{"huv111", "\[Rule]", "0.1284208854206546`"}], ",", 
     RowBox[{"huw11", "\[Rule]", "0.059493563617280296`"}], ",", 
     RowBox[{"huw22", "\[Rule]", "0.14624732541514474`"}], ",", 
     RowBox[{"huw12", "\[Rule]", "0.04812886116927554`"}], ",", 
     RowBox[{"huw21", "\[Rule]", "0.032465533896424925`"}], ",", 
     RowBox[{"hvw1", "\[Rule]", "0.051929054591859335`"}], ",", 
     RowBox[{"hvw2", "\[Rule]", "0.09035092842471482`"}], ",", 
     RowBox[{"huu1121", "\[Rule]", "0.01025280602358292`"}], ",", 
     RowBox[{"huu1122", "\[Rule]", "0.009241638221559125`"}], ",", 
     RowBox[{"huu1221", "\[Rule]", "0.0034709829197715446`"}], ",", 
     RowBox[{"huu1222", "\[Rule]", "0.03274354853002267`"}], ",", 
     RowBox[{"hvv12", "\[Rule]", "0.05287834853692285`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.533396220288451*^9, 3.5333963300731783`*^9, {3.5333963728931847`*^9, 
   3.533396438563818*^9}, 3.533396566489586*^9, 3.533396625250039*^9, 
   3.5334813679690533`*^9, 3.533481401946877*^9, 3.5334814951469707`*^9, {
   3.533481649113603*^9, 3.533481733065714*^9}, 3.533481788357234*^9, 
   3.5334818483081627`*^9, 3.533482800707378*^9, 3.533482887090706*^9, 
   3.536813569579755*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Det", "[", 
   RowBox[{"H3full", "/.", "singularRule"}], "]"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"huu1111", "\[Rule]", "0.7328938379164931`"}], ",", 
    RowBox[{"huu1212", "\[Rule]", "1.1028480545078017`"}], ",", 
    RowBox[{"huu2222", "\[Rule]", "0.6928146761304774`"}], ",", 
    RowBox[{"huu2121", "\[Rule]", "1.096321362262422`"}], ",", 
    RowBox[{"hvv11", "\[Rule]", "0.6608702146990999`"}], ",", 
    RowBox[{"hvv22", "\[Rule]", "1.118747851570258`"}], ",", 
    RowBox[{"hww", "\[Rule]", "0.48791918879785856`"}], ",", 
    RowBox[{"huu2122", "\[Rule]", 
     RowBox[{"-", "0.21412464476934626`"}]}], ",", 
    RowBox[{"huu1112", "\[Rule]", 
     RowBox[{"-", "0.27541121703589966`"}]}], ",", 
    RowBox[{"huv121", "\[Rule]", "0.36861369646100395`"}], ",", 
    RowBox[{"huv112", "\[Rule]", 
     RowBox[{"-", "0.0009070671477712299`"}]}], ",", 
    RowBox[{"huv212", "\[Rule]", 
     RowBox[{"-", "0.03985006687060873`"}]}], ",", 
    RowBox[{"huv211", "\[Rule]", 
     RowBox[{"-", "0.012911309059521536`"}]}], ",", 
    RowBox[{"huv122", "\[Rule]", "0.0006992989567701417`"}], ",", 
    RowBox[{"huv221", "\[Rule]", "0.02982811285095508`"}], ",", 
    RowBox[{"huv222", "\[Rule]", "0.3126253245972096`"}], ",", 
    RowBox[{"huv111", "\[Rule]", "0.4157418887101994`"}], ",", 
    RowBox[{"huw11", "\[Rule]", "0.1200432487002978`"}], ",", 
    RowBox[{"huw22", "\[Rule]", "0.15775662721121889`"}], ",", 
    RowBox[{"huw12", "\[Rule]", "0.0583711582529319`"}], ",", 
    RowBox[{"huw21", "\[Rule]", "0.0751225681827995`"}], ",", 
    RowBox[{"hvw1", "\[Rule]", 
     RowBox[{"-", "0.011027663067640907`"}]}], ",", 
    RowBox[{"hvw2", "\[Rule]", 
     RowBox[{"-", "0.007562408583393798`"}]}], ",", 
    RowBox[{"huu1121", "\[Rule]", "0.012416275537854595`"}], ",", 
    RowBox[{"huu1122", "\[Rule]", "0.03433223682888384`"}], ",", 
    RowBox[{"huu1221", "\[Rule]", "0.009719443320273798`"}], ",", 
    RowBox[{"huu1222", "\[Rule]", "0.028566962083999243`"}], ",", 
    RowBox[{"hvv12", "\[Rule]", "0.019583529049130056`"}]}], "}"}]}]], "Input",\

 CellChangeTimes->{{3.5334818628685102`*^9, 3.533481870167161*^9}, 
   3.5334829036235857`*^9}],

Cell[BoxData["0.02494548245604404`"], "Output",
 CellChangeTimes->{3.53348187118126*^9, 3.5334829051677647`*^9, 
  3.536813570232657*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"symmetrizerRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"huu1111", "\[Rule]", "1"}], ",", 
     RowBox[{"huu1212", "\[Rule]", "1"}], ",", 
     RowBox[{"huu2121", "\[Rule]", "1"}], ",", 
     RowBox[{"hvv11", "\[Rule]", "1"}], ",", 
     RowBox[{"hvv22", "\[Rule]", "1"}], ",", 
     RowBox[{"hww", "\[Rule]", "1"}], ",", 
     RowBox[{"huu2122", "\[Rule]", "0"}], ",", 
     RowBox[{"huu1112", "\[Rule]", "0"}], ",", 
     RowBox[{"huv121", "\[Rule]", 
      RowBox[{"1", "/", "3"}]}], ",", 
     RowBox[{"huv112", "\[Rule]", "0"}], ",", 
     RowBox[{"huv212", "\[Rule]", "0"}], ",", 
     RowBox[{"huv211", "\[Rule]", "0"}], ",", 
     RowBox[{"huv122", "\[Rule]", "0"}], ",", 
     RowBox[{"huv221", "\[Rule]", "0"}], ",", 
     RowBox[{"huv222", "\[Rule]", 
      RowBox[{"1", "/", "3"}]}], ",", 
     RowBox[{"huv111", "\[Rule]", 
      RowBox[{"1", "/", "2"}]}], ",", 
     RowBox[{"huw11", "\[Rule]", "0"}], ",", 
     RowBox[{"huw22", "\[Rule]", "0"}], ",", 
     RowBox[{"huw12", "\[Rule]", "0"}], ",", 
     RowBox[{"huw21", "\[Rule]", "0"}], ",", 
     RowBox[{"hvw1", "\[Rule]", "0"}], ",", 
     RowBox[{"hvw2", "\[Rule]", "0"}], ",", 
     RowBox[{"huu1121", "\[Rule]", "0"}], ",", 
     RowBox[{"huu1122", "\[Rule]", "0"}], ",", 
     RowBox[{"huu1221", "\[Rule]", "0"}], ",", 
     RowBox[{"huu1222", "\[Rule]", "0"}], ",", 
     RowBox[{"hvv12", "\[Rule]", 
      RowBox[{"1", "/", "10"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.533482936681402*^9, 3.533482951482459*^9}, {
  3.533483077825532*^9, 3.533483078165251*^9}, {3.533483142297312*^9, 
  3.533483355050809*^9}, {3.533483400199728*^9, 3.533483456775928*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Det", "[", 
   RowBox[{"H3full", "/.", "singularRule"}], "]"}], "/.", 
  "symmetrizerRule"}]], "Input",
 CellChangeTimes->{{3.5334818628685102`*^9, 3.5334820658225527`*^9}, {
   3.533482309206421*^9, 3.533482311021536*^9}, {3.533482431728958*^9, 
   3.533482470411972*^9}, 3.533482914894949*^9, {3.533482947352859*^9, 
   3.533482955956249*^9}}],

Cell[BoxData[
 FractionBox["539", "24300"]], "Output",
 CellChangeTimes->{{3.533481976584079*^9, 3.533482066483838*^9}, 
   3.533482312082411*^9, {3.533482449972487*^9, 3.5334824715455923`*^9}, 
   3.533482916018252*^9, 3.5334829567083893`*^9, 3.533483079735297*^9, {
   3.533483157932218*^9, 3.5334832598782263`*^9}, {3.533483297344431*^9, 
   3.533483356182976*^9}, {3.533483402962639*^9, 3.533483457895809*^9}, 
   3.536813570505516*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Eigenvalues", "[", 
   RowBox[{
    RowBox[{"H3full", "/.", "singularRule"}], "/.", "symmetrizerRule"}], 
   "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.5334818628685102`*^9, 3.533482104470866*^9}, {
   3.5334823161242437`*^9, 3.533482317187892*^9}, {3.533482478840055*^9, 
   3.5334824837369623`*^9}, 3.533482920354348*^9, {3.5334829604222593`*^9, 
   3.5334829659483757`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.6103549328130264`", ",", "1.1120565481669722`", ",", "1.`", ",", "1.`", 
   ",", "1.`", ",", "0.39432588702586413`", ",", "0.03141078014228528`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.533481976584079*^9, 3.533482104877225*^9}, 
   3.5334823179534407`*^9, 3.533482484945561*^9, 3.5334829227148333`*^9, {
   3.5334829613710327`*^9, 3.533482966642984*^9}, 3.5334830806114883`*^9, {
   3.5334831587712793`*^9, 3.533483260347534*^9}, {3.533483297903536*^9, 
   3.5334833568299627`*^9}, {3.533483404022089*^9, 3.533483458441169*^9}, 
   3.536813570659099*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"singularRule", "/.", "symmetrizerRule"}]], "Input",
 CellChangeTimes->{{3.533482123096549*^9, 3.533482132470458*^9}, {
   3.53348232751513*^9, 3.533482329111981*^9}, 3.5334824906140823`*^9, {
   3.533482977005501*^9, 3.5334829821679296`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"huu2222", "\[Rule]", 
   FractionBox["4", "27"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.533482132940263*^9, 3.533482330266087*^9, 3.533482491816946*^9, 
   3.5334829829281473`*^9, 3.533483082762713*^9, {3.533483159691272*^9, 
   3.533483261637754*^9}, {3.533483299298224*^9, 3.5334833575335407`*^9}, {
   3.533483441919026*^9, 3.53348345888236*^9}, 3.536813570751762*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"H3full", "//.", 
   RowBox[{"Join", "[", 
    RowBox[{"symmetrizerRule", ",", "singularRule"}], "]"}]}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.533396180182753*^9, 3.533396183899107*^9}, 
   3.533482195264481*^9, {3.5334823664419928`*^9, 3.5334823753307943`*^9}, 
   3.533482510815494*^9, {3.533483002180997*^9, 3.533483018723659*^9}, {
   3.5334831003064213`*^9, 3.5334831061206427`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", 
      FractionBox["1", "2"], "0", "0"},
     {"0", "1", "0", "0", 
      FractionBox["1", "3"], "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", 
      FractionBox["4", "27"], "0", 
      FractionBox["1", "3"], "0"},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "3"], "0", "0", "1", 
      FractionBox["1", "10"], "0"},
     {"0", "0", "0", 
      FractionBox["1", "3"], 
      FractionBox["1", "10"], "1", "0"},
     {"0", "0", "0", "0", "0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.5333961843841963`*^9, 3.533482196212976*^9, 3.533482376104876*^9, 
   3.533482511471018*^9, 3.53348301929873*^9, {3.533483084824518*^9, 
   3.5334831067402153`*^9}, {3.533483161322185*^9, 3.5334832624501247`*^9}, {
   3.533483300286191*^9, 3.533483358322342*^9}, {3.533483442540289*^9, 
   3.533483461093108*^9}, 3.536813570766078*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Eigenvalues", "[", "%", "]"}], "//", "ToRadicals"}], "//", 
    "Simplify"}], "//", "N"}], "//", "Chop"}]], "Input",
 CellChangeTimes->{{3.532099434850031*^9, 3.532099451217484*^9}, {
  3.533309408763163*^9, 3.5333094219292107`*^9}, {3.533309482741638*^9, 
  3.533309483314896*^9}, {3.5334825155983458`*^9, 3.533482516628137*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.6103549328130264`", ",", "1.1120565481669726`", ",", "1.`", ",", "1.`", 
   ",", "1.`", ",", "0.39432588702586385`", ",", "0.03141078014228543`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.532099436644268*^9, 3.532099459564686*^9}, 
   3.532267396462597*^9, {3.532267851206828*^9, 3.53226791049329*^9}, 
   3.532268000252639*^9, {3.532268031183105*^9, 3.532268045787595*^9}, 
   3.533308752509651*^9, 3.533308823831189*^9, {3.533309412458077*^9, 
   3.533309427183977*^9}, {3.533309474723675*^9, 3.533309485805291*^9}, 
   3.533309544471377*^9, 3.533482217468174*^9, 3.533482385952958*^9, 
   3.5334825171350737`*^9, 3.533483024856309*^9, 3.533483112625719*^9, {
   3.533483162388604*^9, 3.533483263701646*^9}, {3.533483301263612*^9, 
   3.533483344134513*^9}, 3.5334833842162*^9, {3.533483443261141*^9, 
   3.533483462240713*^9}, 3.536813598278104*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
For the constructed positive matrix we construct a 3rd order system which has \
this matrix as a symmetrizer (rule3rdOrderSystem)\
\>", "Subsubsection",
 CellChangeTimes->{{3.5334860628083878`*^9, 3.533486076921988*^9}, {
  3.5368156847879267`*^9, 3.536815698446476*^9}, {3.536815754848081*^9, 
  3.536815786777309*^9}, {3.536815964426771*^9, 3.536815965397541*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rule3rdOrderSystem", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"HA3eqnLHSmod", "//.", 
          RowBox[{"Join", "[", 
           RowBox[{"symmetrizerRule", ",", "singularRule"}], "]"}]}], ")"}], 
        "\[Equal]", "0"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "avu12", ",", "awu112", ",", "awu122", ",", "awu111", ",", "auv", ",",
          "avu11", ",", "avu22", ",", "avw", ",", "awu222", ",", "awv11", ",",
          "awv12", ",", "awv22", ",", "auu1", ",", "auu2", ",", "avv1", ",", 
         "avv2", ",", "aww1", ",", "aww2"}], "}"}]}], "]"}], ")"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.532099327182288*^9, 3.5320993299243507`*^9}, {
   3.532099499074106*^9, 3.5320996189817*^9}, {3.532099651208515*^9, 
   3.532099673307708*^9}, {3.532267447327477*^9, 3.532267500110507*^9}, 
   3.532267930504118*^9, 3.532268010015202*^9, 3.53226805692327*^9, 
   3.533309224135911*^9, {3.533309304166778*^9, 3.533309311275193*^9}, 
   3.533482238069684*^9, 3.53348239031231*^9, 3.533482523335569*^9, 
   3.5334830370352983`*^9, 3.533483115626333*^9, {3.536815922701913*^9, 
   3.536815943145562*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "::", "\<\"svars\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Equations may not give \
solutions for all \\\\\\\\\\\\\\\"solve\\\\\\\\\\\\\\\" \
variables.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Solve/svars\\\", \
ButtonNote -> \\\"Solve::svars\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.532099677222691*^9, {3.5322674886043043`*^9, 3.532267500842896*^9}, 
   3.5322676146857853`*^9, 3.532267656058687*^9, 3.5322679322868843`*^9, {
   3.532268010738551*^9, 3.532268057679778*^9}, 3.533308754105463*^9, 
   3.5333088245443373`*^9, {3.533309225181478*^9, 3.533309253997355*^9}, 
   3.5333093126377697`*^9, 3.533482238892693*^9, 3.5334823911142282`*^9, 
   3.533482524573763*^9, 3.533483039122539*^9, 3.533483116955166*^9, {
   3.533483163383731*^9, 3.533483264754908*^9}, {3.533483302418345*^9, 
   3.533483345201501*^9}, 3.533483387478821*^9, {3.533483444148485*^9, 
   3.533483463168589*^9}, 3.533483788559525*^9, 3.536813598406405*^9, 
   3.536815944054934*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"avu12", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"8575", " ", 
       RowBox[{"(", 
        RowBox[{"auu2", "-", "avv2"}], ")"}]}], "22152"]}]}], ",", 
   RowBox[{"awu112", "\[Rule]", 
    FractionBox["awv22", "9"]}], ",", 
   RowBox[{"awu122", "\[Rule]", "0"}], ",", 
   RowBox[{"awu111", "\[Rule]", 
    FractionBox["awv22", "2"]}], ",", 
   RowBox[{"auv", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"12951", " ", 
       RowBox[{"(", 
        RowBox[{"auu2", "-", "avv2"}], ")"}]}], "7384"]}]}], ",", 
   RowBox[{"avu11", "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["2855", "923"]}], " ", 
     RowBox[{"(", 
      RowBox[{"auu2", "-", "avv2"}], ")"}]}]}], ",", 
   RowBox[{"avu22", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"1095", " ", 
       RowBox[{"(", 
        RowBox[{"auu2", "-", "avv2"}], ")"}]}], "1846"]}]}], ",", 
   RowBox[{"avw", "\[Rule]", "awv22"}], ",", 
   RowBox[{"awu222", "\[Rule]", 
    FractionBox["awv22", "3"]}], ",", 
   RowBox[{"awv11", "\[Rule]", "awv22"}], ",", 
   RowBox[{"awv12", "\[Rule]", 
    FractionBox["awv22", "10"]}], ",", 
   RowBox[{"auu1", "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{"9889", " ", "auu2"}], "3692"], "+", "avv1", "-", 
     FractionBox[
      RowBox[{"9889", " ", "avv2"}], "3692"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.532099522426188*^9, 3.532099557793192*^9}, {
   3.532099609660424*^9, 3.532099628236821*^9}, 3.532099733428344*^9, {
   3.532267489611341*^9, 3.532267501635565*^9}, 3.532267614748547*^9, 
   3.532267656184589*^9, 3.532267932347096*^9, {3.53226801081022*^9, 
   3.5322680577433434`*^9}, 3.5333087541845503`*^9, 3.533308824607628*^9, {
   3.533309225244687*^9, 3.533309254009446*^9}, 3.533309312667061*^9, 
   3.5334822389041853`*^9, 3.533482391185925*^9, 3.533482524750041*^9, 
   3.533483039131001*^9, 3.533483117085795*^9, {3.5334831634493637`*^9, 
   3.533483264821917*^9}, {3.533483302481913*^9, 3.5334833452652617`*^9}, 
   3.5334833875443373`*^9, {3.533483444207036*^9, 3.533483463245998*^9}, 
   3.533483788572275*^9, 3.536813598442452*^9, 3.536815944065488*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HA3eqnLHSmod", "//.", 
   RowBox[{"Join", "[", 
    RowBox[{
    "rule3rdOrderSystem", ",", "symmetrizerRule", ",", "singularRule"}], 
    "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.53226759024079*^9, 3.5322676111730003`*^9}, {
   3.5322676457879477`*^9, 3.532267665892131*^9}, {3.5322679426757402`*^9, 
   3.532267951756291*^9}, 3.532268064518701*^9, {3.533309234587962*^9, 
   3.533309247816701*^9}, {3.533309319058815*^9, 3.5333093259151773`*^9}, 
   3.533482252656999*^9, 3.5334823987099*^9, 3.53348253059177*^9, {
   3.5334830467742577`*^9, 3.5334830485584173`*^9}, {3.533483121935709*^9, 
   3.533483124560211*^9}, {3.5334837918600683`*^9, 3.5334837963470697`*^9}, {
   3.53681595865946*^9, 3.536815959518671*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.533309248504014*^9, 3.533309254842017*^9}, 
   3.5333093267515783`*^9, 3.533482253419875*^9, 3.533482399638033*^9, 
   3.533482531524639*^9, 3.5334830494577093`*^9, 3.533483125264061*^9, {
   3.533483164496814*^9, 3.533483265595261*^9}, {3.533483305568077*^9, 
   3.533483346239902*^9}, 3.533483388806284*^9, {3.533483445088785*^9, 
   3.53348346386372*^9}, 3.533483796939288*^9, 3.536813598501173*^9, 
   3.536815960035234*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Having a 3rd order system with corresponding 3rd order symmetrizer we show \
that there is no dbar such that the corresponding 2nd order conservation \
equations are satisfied\
\>", "Subsubsection",
 CellChangeTimes->{{3.5334860929577713`*^9, 3.533486112816*^9}, {
  3.536815800561222*^9, 3.536815848597576*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HA2eqnLHSmod", "//.", 
   RowBox[{"Join", "[", 
    RowBox[{
    "rule3rdOrderSystem", ",", "symmetrizerRule", ",", "singularRule"}], 
    "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.53226759024079*^9, 3.5322676111730003`*^9}, {
   3.5322676457879477`*^9, 3.532267665892131*^9}, {3.5322679426757402`*^9, 
   3.53226796346786*^9}, 3.5322680709330807`*^9, {3.533309331060848*^9, 
   3.533309336023878*^9}, 3.5334822591422997`*^9, 3.533482404813407*^9, 
   3.5334825373341618`*^9, {3.533483053804571*^9, 3.533483056668309*^9}, {
   3.533483129831163*^9, 3.533483133532127*^9}, {3.533483772451107*^9, 
   3.533483778647622*^9}, 3.536815974052561*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"81409", " ", "auu2"}], "44304"], "-", 
    FractionBox[
     RowBox[{"37105", " ", "avv2"}], "44304"], "+", "dbar112", "+", 
    FractionBox["dbarv12", "2"]}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["avv1", "3"]}], "-", 
    FractionBox[
     RowBox[{"8575", " ", 
      RowBox[{"(", 
       RowBox[{"auu2", "-", "avv2"}], ")"}]}], "22152"], "+", 
    FractionBox[
     RowBox[{"auu2", "+", "dbar112"}], "2"], "+", 
    FractionBox["dbar212", "3"], "+", "dbarv12"}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"2", " ", "awv22"}], "9"]}], "+", "dbarw112"}], ",", "dbarw212",
    ",", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "53387"}], " ", "auu2"}], "-", 
     RowBox[{"29536", " ", "avv1"}], "+", 
     RowBox[{"53387", " ", "avv2"}], "+", 
     RowBox[{"29536", " ", "dbar212"}], "+", 
     RowBox[{"66456", " ", "dbarv12"}]}], "199368"], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"14549", " ", "auu2"}], "5112"]}], "-", "avv1", "+", 
    FractionBox[
     RowBox[{"14549", " ", "avv2"}], "5112"], "+", "dbar212", "+", 
    FractionBox["dbarv12", "3"]}], ",", 
   RowBox[{"auu2", "+", 
    FractionBox[
     RowBox[{"2855", " ", 
      RowBox[{"(", 
       RowBox[{"auu2", "-", "avv2"}], ")"}]}], "2769"], "+", "dbar112"}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"17", " ", 
      RowBox[{"(", 
       RowBox[{"auu2", "-", "avv2"}], ")"}]}], "12"], "+", 
    FractionBox["dbarv12", "5"]}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"11203", " ", "auu2"}], "22152"]}], "-", 
    FractionBox["avv1", "3"], "+", 
    FractionBox[
     RowBox[{"11203", " ", "avv2"}], "22152"], "+", 
    FractionBox["dbar212", "3"], "+", "dbarv12"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.532267631681418*^9, 3.5322676677157993`*^9}, {
   3.532267954023237*^9, 3.532267964911484*^9}, 3.5322680719157953`*^9, 
   3.533308833955543*^9, 3.533309255932233*^9, 3.5333093369821167`*^9, 
   3.533482260120309*^9, 3.5334824057436047`*^9, 3.533482538139888*^9, 
   3.5334830570988398`*^9, 3.5334831343635597`*^9, {3.533483165256963*^9, 
   3.533483266282837*^9}, {3.533483306436224*^9, 3.53348334693447*^9}, 
   3.533483389470392*^9, {3.5334834458209553`*^9, 3.533483464666596*^9}, 
   3.533483797841786*^9, 3.536813598617837*^9, 3.5368159753325243`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"%", "\[Equal]", "0"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "dbar112", ",", "dbar212", ",", "dbarv12", ",", "dbarw112", ",", 
      "dbarw212"}], "}"}]}], "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.532267687407078*^9, 3.532267717698737*^9}}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{
  3.532267718326625*^9, 3.532267968745078*^9, 3.532268075699835*^9, 
   3.533308839380272*^9, {3.533308946232985*^9, 3.533308954918447*^9}, {
   3.533309261609807*^9, 3.533309273283252*^9}, 3.5333093399680767`*^9, 
   3.5334822624572783`*^9, 3.533482407584445*^9, 3.533482540263225*^9, 
   3.533483058760283*^9, 3.533483135945541*^9, {3.533483166097003*^9, 
   3.533483267251198*^9}, {3.53348330726513*^9, 3.533483347702565*^9}, 
   3.5334833903047733`*^9, {3.533483446472583*^9, 3.533483465378991*^9}, 
   3.5334837988929787`*^9, 3.5368135986371813`*^9, 3.536815976326692*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Summary: a concrete combination of principal part matrix and symmetrizer\
\>", "Subsubsection",
 CellChangeTimes->{{3.533486131741867*^9, 3.5334861518847647`*^9}, {
  3.536816132567307*^9, 3.536816135952436*^9}}],

Cell[CellGroupData[{

Cell[BoxData["rule3rdOrderSystem"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"avu12", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"8575", " ", 
       RowBox[{"(", 
        RowBox[{"auu2", "-", "avv2"}], ")"}]}], "22152"]}]}], ",", 
   RowBox[{"awu112", "\[Rule]", 
    FractionBox["awv22", "9"]}], ",", 
   RowBox[{"awu122", "\[Rule]", "0"}], ",", 
   RowBox[{"awu111", "\[Rule]", 
    FractionBox["awv22", "2"]}], ",", 
   RowBox[{"auv", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"12951", " ", 
       RowBox[{"(", 
        RowBox[{"auu2", "-", "avv2"}], ")"}]}], "7384"]}]}], ",", 
   RowBox[{"avu11", "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["2855", "923"]}], " ", 
     RowBox[{"(", 
      RowBox[{"auu2", "-", "avv2"}], ")"}]}]}], ",", 
   RowBox[{"avu22", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"1095", " ", 
       RowBox[{"(", 
        RowBox[{"auu2", "-", "avv2"}], ")"}]}], "1846"]}]}], ",", 
   RowBox[{"avw", "\[Rule]", "awv22"}], ",", 
   RowBox[{"awu222", "\[Rule]", 
    FractionBox["awv22", "3"]}], ",", 
   RowBox[{"awv11", "\[Rule]", "awv22"}], ",", 
   RowBox[{"awv12", "\[Rule]", 
    FractionBox["awv22", "10"]}], ",", 
   RowBox[{"auu1", "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{"9889", " ", "auu2"}], "3692"], "+", "avv1", "-", 
     FractionBox[
      RowBox[{"9889", " ", "avv2"}], "3692"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.536816007224909*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"A3full", "[", "1", "]"}], ",", 
       RowBox[{"A3full", "[", "2", "]"}]}], "}"}], "//.", 
     "rule3rdOrderSystem"}], "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"avv2", "\[Rule]", 
       RowBox[{"auu2", "/", "2"}]}], ",", 
      RowBox[{"avv1", "\[Rule]", "1"}], ",", 
      RowBox[{"auu2", "\[Rule]", "1"}], ",", 
      RowBox[{"awv22", "\[Rule]", "1"}], ",", 
      RowBox[{"aww1", "\[Rule]", "1"}], ",", 
      RowBox[{"aww2", "\[Rule]", "1"}]}], "}"}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.5334834951591263`*^9, 3.533483544719837*^9}, {
   3.533483813056918*^9, 3.533483871419271*^9}, {3.5334855352437468`*^9, 
   3.533485535445004*^9}, 3.536816013043536*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        FractionBox["17273", "7384"], "1", "0", "0", 
        RowBox[{"-", 
         FractionBox["12951", "14768"]}], "0", "0"},
       {"0", "0", 
        FractionBox["17273", "7384"], "1", "0", 
        RowBox[{"-", 
         FractionBox["12951", "14768"]}], "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {
        RowBox[{"-", 
         FractionBox["2855", "1846"]}], 
        RowBox[{"-", 
         FractionBox["8575", "44304"]}], 
        RowBox[{"-", 
         FractionBox["8575", "44304"]}], 
        RowBox[{"-", 
         FractionBox["1095", "3692"]}], "1", 
        FractionBox["1", "2"], "1"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {
        FractionBox["1", "2"], 
        FractionBox["1", "9"], 
        FractionBox["1", "9"], "0", "1", 
        FractionBox["1", "10"], "1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {
        FractionBox["17273", "7384"], "1", "0", "0", 
        RowBox[{"-", 
         FractionBox["12951", "14768"]}], "0", "0"},
       {"0", "0", 
        FractionBox["17273", "7384"], "1", "0", 
        RowBox[{"-", 
         FractionBox["12951", "14768"]}], "0"},
       {"0", "0", "0", "0", "0", "0", "0"},
       {
        RowBox[{"-", 
         FractionBox["2855", "1846"]}], 
        RowBox[{"-", 
         FractionBox["8575", "44304"]}], 
        RowBox[{"-", 
         FractionBox["8575", "44304"]}], 
        RowBox[{"-", 
         FractionBox["1095", "3692"]}], "1", 
        FractionBox["1", "2"], "1"},
       {
        FractionBox["1", "9"], "0", "0", 
        FractionBox["1", "3"], 
        FractionBox["1", "10"], "1", "1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{{3.533483517270412*^9, 3.533483545930702*^9}, {
   3.5334838042112494`*^9, 3.533483873933134*^9}, 3.533485536238022*^9, 
   3.533486169082241*^9, 3.536813598684949*^9, 3.536816014024291*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"H3full", "//.", 
   RowBox[{"Join", "[", 
    RowBox[{"symmetrizerRule", ",", "singularRule"}], "]"}]}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.533486196815298*^9, 3.533486207019403*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", 
      FractionBox["1", "2"], "0", "0"},
     {"0", "1", "0", "0", 
      FractionBox["1", "3"], "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", 
      FractionBox["4", "27"], "0", 
      FractionBox["1", "3"], "0"},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "3"], "0", "0", "1", 
      FractionBox["1", "10"], "0"},
     {"0", "0", "0", 
      FractionBox["1", "3"], 
      FractionBox["1", "10"], "1", "0"},
     {"0", "0", "0", "0", "0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5334862084104223`*^9, 3.536813598711667*^9, 
  3.5368160150901623`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eigenvalues", "[", 
  RowBox[{"%", "//", "N"}], "]"}]], "Input",
 CellChangeTimes->{{3.533486213395156*^9, 3.5334862207919073`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.610354932813026`", ",", "1.1120565481669722`", ",", 
   "1.0000000000000002`", ",", "1.0000000000000002`", ",", "1.`", ",", 
   "0.39432588702586446`", ",", "0.03141078014228528`"}], "}"}]], "Output",
 CellChangeTimes->{3.5334862212371607`*^9, 3.5368135988889503`*^9, 
  3.5368160163128233`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HA3eqnLHSmod", "//.", 
   RowBox[{"Join", "[", 
    RowBox[{"rule3rdOrderSystem", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"avv2", "\[Rule]", 
        RowBox[{"auu2", "/", "2"}]}], ",", 
       RowBox[{"avv1", "\[Rule]", "1"}], ",", 
       RowBox[{"auu2", "\[Rule]", "1"}], ",", 
       RowBox[{"awv22", "\[Rule]", "1"}], ",", 
       RowBox[{"aww1", "\[Rule]", "1"}], ",", 
       RowBox[{"aww2", "\[Rule]", "1"}]}], "}"}], ",", "symmetrizerRule", ",",
      "singularRule"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.53226759024079*^9, 3.5322676111730003`*^9}, {
   3.5322676457879477`*^9, 3.532267665892131*^9}, {3.5322679426757402`*^9, 
   3.532267951756291*^9}, 3.532268064518701*^9, {3.533309234587962*^9, 
   3.533309247816701*^9}, {3.533309319058815*^9, 3.5333093259151773`*^9}, 
   3.533482252656999*^9, 3.5334823987099*^9, 3.53348253059177*^9, {
   3.5334830467742577`*^9, 3.5334830485584173`*^9}, {3.533483121935709*^9, 
   3.533483124560211*^9}, {3.5334837918600683`*^9, 3.5334837963470697`*^9}, 
   3.5334854676750803`*^9, {3.533485500605894*^9, 3.533485503514021*^9}, {
   3.53348554244617*^9, 3.5334855426520147`*^9}, {3.536816030609881*^9, 
   3.536816034350925*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.533309248504014*^9, 3.533309254842017*^9}, 
   3.5333093267515783`*^9, 3.533482253419875*^9, 3.533482399638033*^9, 
   3.533482531524639*^9, 3.5334830494577093`*^9, 3.533483125264061*^9, {
   3.533483164496814*^9, 3.533483265595261*^9}, {3.533483305568077*^9, 
   3.533483346239902*^9}, 3.533483388806284*^9, {3.533483445088785*^9, 
   3.53348346386372*^9}, 3.533483796939288*^9, 3.533485468733262*^9, 
   3.5334855046277323`*^9, 3.5334855443203793`*^9, 3.533486169415951*^9, 
   3.533486224732236*^9, 3.536813598906864*^9, 3.536816036634457*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HA2eqnLHSmod", "//.", 
   RowBox[{"Join", "[", 
    RowBox[{"rule3rdOrderSystem", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"avv2", "\[Rule]", 
        RowBox[{"2", "auu2"}]}], ",", 
       RowBox[{"avv1", "\[Rule]", "1"}], ",", 
       RowBox[{"auu2", "\[Rule]", "1"}], ",", 
       RowBox[{"awv22", "\[Rule]", "1"}], ",", 
       RowBox[{"aww1", "\[Rule]", "1"}], ",", 
       RowBox[{"aww2", "\[Rule]", "1"}]}], "}"}], ",", "symmetrizerRule", ",",
      "singularRule"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.53226759024079*^9, 3.5322676111730003`*^9}, {
   3.5322676457879477`*^9, 3.532267665892131*^9}, {3.5322679426757402`*^9, 
   3.532267951756291*^9}, 3.532268064518701*^9, {3.533309234587962*^9, 
   3.533309247816701*^9}, {3.533309319058815*^9, 3.5333093259151773`*^9}, 
   3.533482252656999*^9, 3.5334823987099*^9, 3.53348253059177*^9, {
   3.5334830467742577`*^9, 3.5334830485584173`*^9}, {3.533483121935709*^9, 
   3.533483124560211*^9}, {3.5334837918600683`*^9, 3.5334837963470697`*^9}, 
   3.5334854676750803`*^9, {3.533485500605894*^9, 3.5334855110598373`*^9}, {
   3.5334855508658047`*^9, 3.533485726322751*^9}, {3.533485781619954*^9, 
   3.533485787070623*^9}, {3.536816048217292*^9, 3.536816050917407*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["7199", "44304"], "+", "dbar112", "+", 
    FractionBox["dbarv12", "2"]}], ",", 
   RowBox[{
    FractionBox["4089", "7384"], "+", 
    FractionBox["dbar112", "2"], "+", 
    FractionBox["dbar212", "3"], "+", "dbarv12"}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "9"]}], "+", "dbarw112"}], ",", "dbarw212", ",", 
   RowBox[{
    FractionBox["23851", "199368"], "+", 
    FractionBox[
     RowBox[{"4", " ", "dbar212"}], "27"], "+", 
    FractionBox["dbarv12", "3"]}], ",", 
   RowBox[{
    FractionBox["9437", "5112"], "+", "dbar212", "+", 
    FractionBox["dbarv12", "3"]}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["86", "2769"]}], "+", "dbar112"}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["17", "12"]}], "+", 
    FractionBox["dbarv12", "5"]}], ",", 
   RowBox[{
    FractionBox["1273", "7384"], "+", 
    FractionBox["dbar212", "3"], "+", "dbarv12"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.533309248504014*^9, 3.533309254842017*^9}, 
   3.5333093267515783`*^9, 3.533482253419875*^9, 3.533482399638033*^9, 
   3.533482531524639*^9, 3.5334830494577093`*^9, 3.533483125264061*^9, {
   3.533483164496814*^9, 3.533483265595261*^9}, {3.533483305568077*^9, 
   3.533483346239902*^9}, 3.533483388806284*^9, {3.533483445088785*^9, 
   3.53348346386372*^9}, 3.533483796939288*^9, 3.533485468733262*^9, {
   3.5334855046277323`*^9, 3.533485511748402*^9}, 3.533485551630089*^9, {
   3.533485592563182*^9, 3.533485727322219*^9}, 3.533485787805994*^9, 
   3.533486169535089*^9, 3.533486225579308*^9, 3.536813598984151*^9, 
   3.536816052023446*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{"%", "\[Equal]", "0"}], "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.532267687407078*^9, 3.532267717698737*^9}, 
   3.533486164697404*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{
  3.532267718326625*^9, 3.532267968745078*^9, 3.532268075699835*^9, 
   3.533308839380272*^9, {3.533308946232985*^9, 3.533308954918447*^9}, {
   3.533309261609807*^9, 3.533309273283252*^9}, 3.5333093399680767`*^9, 
   3.5334822624572783`*^9, 3.533482407584445*^9, 3.533482540263225*^9, 
   3.533483058760283*^9, 3.533483135945541*^9, {3.533483166097003*^9, 
   3.533483267251198*^9}, {3.53348330726513*^9, 3.533483347702565*^9}, 
   3.5334833903047733`*^9, {3.533483446472583*^9, 3.533483465378991*^9}, 
   3.5334837988929787`*^9, 3.533485522368125*^9, 3.5334855526611843`*^9, {
   3.5334855932073*^9, 3.53348570289126*^9}, 3.5334857893618803`*^9, 
   3.5334861696542788`*^9, 3.5334862267404957`*^9, 3.53681359904556*^9, 
   3.536816054703068*^9}]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1278, 906},
WindowMargins->{{0, Automatic}, {0, Automatic}},
ShowSelection->True,
FrontEndVersion->"7.0 for Linux x86 (64-bit) (November 11, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 144, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[714, 27, 248, 3, 38, "Subsubsection"],
Cell[CellGroupData[{
Cell[987, 34, 265, 5, 39, "Subsection"],
Cell[1255, 41, 16420, 448, 2871, "Input"],
Cell[CellGroupData[{
Cell[17700, 493, 2806, 68, 121, "Input"],
Cell[20509, 563, 2143, 49, 124, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[22701, 618, 293, 4, 25, "Subsubsection"],
Cell[22997, 624, 8598, 247, 1547, "Input"],
Cell[CellGroupData[{
Cell[31620, 875, 3793, 106, 231, "Input"],
Cell[35416, 983, 490, 12, 24, "Print"],
Cell[35909, 997, 490, 12, 24, "Print"],
Cell[36402, 1011, 490, 12, 24, "Print"],
Cell[36895, 1025, 490, 12, 24, "Print"],
Cell[37388, 1039, 489, 12, 24, "Print"],
Cell[37880, 1053, 490, 12, 24, "Print"],
Cell[38373, 1067, 490, 12, 24, "Print"],
Cell[38866, 1081, 490, 12, 24, "Print"],
Cell[39359, 1095, 489, 12, 24, "Print"],
Cell[39851, 1109, 490, 12, 24, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40378, 1126, 2588, 64, 121, "Input"],
Cell[42969, 1192, 1438, 27, 139, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44444, 1224, 283, 6, 32, "Input"],
Cell[44730, 1232, 382, 7, 31, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[45161, 1245, 465, 6, 45, "Subsubsection"],
Cell[45629, 1253, 756, 22, 32, "Input"],
Cell[CellGroupData[{
Cell[46410, 1279, 1817, 50, 77, "Input"],
Cell[48230, 1331, 4532, 135, 92, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52799, 1471, 1859, 51, 77, "Input"],
Cell[54661, 1524, 4566, 136, 92, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59264, 1665, 1859, 51, 77, "Input"],
Cell[61126, 1718, 4566, 136, 92, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[65741, 1860, 389, 5, 25, "Subsubsection"],
Cell[CellGroupData[{
Cell[66155, 1869, 1620, 40, 99, "Input"],
Cell[67778, 1911, 2721, 67, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[70536, 1983, 1764, 42, 99, "Input"],
Cell[72303, 2027, 6627, 158, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78967, 2190, 1716, 41, 99, "Input"],
Cell[80686, 2233, 10071, 225, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90794, 2463, 1719, 41, 99, "Input"],
Cell[92516, 2506, 9950, 223, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[102503, 2734, 1669, 41, 99, "Input"],
Cell[104175, 2777, 6506, 150, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110718, 2932, 1673, 41, 99, "Input"],
Cell[112394, 2975, 2773, 68, 75, "Output"]
}, Open  ]],
Cell[115182, 3046, 884, 24, 32, "Input"],
Cell[116069, 3072, 376, 10, 32, "Input"],
Cell[CellGroupData[{
Cell[116470, 3086, 748, 16, 55, "Input"],
Cell[117221, 3104, 12366, 342, 322, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[129624, 3451, 128, 2, 32, "Input"],
Cell[129755, 3455, 167, 2, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[129959, 3462, 748, 15, 32, "Input"],
Cell[130710, 3479, 388, 6, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[131135, 3490, 937, 25, 32, "Input"],
Cell[132075, 3517, 387, 5, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132499, 3527, 1034, 26, 32, "Input"],
Cell[133536, 3555, 436, 6, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[134009, 3566, 845, 18, 32, "Input"],
Cell[134857, 3586, 385, 5, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[135279, 3596, 924, 20, 32, "Input"],
Cell[136206, 3618, 491, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[136734, 3630, 996, 22, 32, "Input"],
Cell[137733, 3654, 537, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[138307, 3666, 1213, 25, 32, "Input"],
Cell[139523, 3693, 608, 8, 31, "Output"]
}, Open  ]],
Cell[140146, 3704, 386, 10, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[140569, 3719, 241, 3, 25, "Subsubsection"],
Cell[140813, 3724, 6147, 168, 891, "Input"],
Cell[CellGroupData[{
Cell[146985, 3896, 1311, 35, 55, "Input"],
Cell[148299, 3933, 426, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148762, 3945, 1309, 35, 55, "Input"],
Cell[150074, 3982, 433, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150544, 3994, 1311, 35, 55, "Input"],
Cell[151858, 4031, 408, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[152303, 4043, 1308, 35, 55, "Input"],
Cell[153614, 4080, 212, 4, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[153863, 4089, 1309, 35, 55, "Input"],
Cell[155175, 4126, 403, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155615, 4138, 1309, 35, 55, "Input"],
Cell[156927, 4175, 401, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157365, 4187, 1337, 38, 55, "Input"],
Cell[158705, 4227, 2889, 68, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161631, 4300, 441, 13, 32, "Input"],
Cell[162075, 4315, 2222, 56, 124, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[164346, 4377, 243, 3, 25, "Subsubsection"],
Cell[164592, 4382, 2994, 77, 451, "Input"],
Cell[CellGroupData[{
Cell[167611, 4463, 1057, 33, 77, "Input"],
Cell[168671, 4498, 652, 14, 24, "Print"],
Cell[169326, 4514, 652, 14, 24, "Print"],
Cell[169981, 4530, 654, 14, 24, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[170672, 4549, 838, 23, 32, "Input"],
Cell[171513, 4574, 716, 16, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[172266, 4595, 840, 23, 32, "Input"],
Cell[173109, 4620, 1535, 41, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[174681, 4666, 840, 23, 32, "Input"],
Cell[175524, 4691, 2049, 57, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[177610, 4753, 837, 23, 32, "Input"],
Cell[178450, 4778, 1511, 41, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[179998, 4824, 838, 23, 32, "Input"],
Cell[180839, 4849, 720, 16, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[181596, 4870, 1101, 32, 55, "Input"],
Cell[182700, 4904, 1491, 28, 139, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184228, 4937, 281, 6, 32, "Input"],
Cell[184512, 4945, 428, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184977, 4957, 439, 8, 32, "Input"],
Cell[185419, 4967, 451, 8, 31, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[185919, 4981, 288, 5, 51, "Subsection"],
Cell[186210, 4988, 832, 25, 32, "Input"],
Cell[CellGroupData[{
Cell[187067, 5017, 1179, 34, 55, "Input"],
Cell[188249, 5053, 1919, 49, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[190205, 5107, 1221, 35, 55, "Input"],
Cell[191429, 5144, 1944, 49, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[193410, 5198, 1221, 35, 55, "Input"],
Cell[194634, 5235, 1971, 49, 52, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[196654, 5290, 239, 3, 25, "Subsubsection"],
Cell[CellGroupData[{
Cell[196918, 5297, 1478, 36, 77, "Input"],
Cell[198399, 5335, 5933, 153, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[204369, 5493, 1478, 36, 77, "Input"],
Cell[205850, 5531, 13174, 307, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[219061, 5843, 1478, 36, 77, "Input"],
Cell[220542, 5881, 13087, 302, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[233666, 6188, 1526, 36, 77, "Input"],
Cell[235195, 6226, 5651, 136, 91, "Output"]
}, Open  ]],
Cell[240861, 6365, 1173, 32, 32, "Input"],
Cell[242037, 6399, 432, 11, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[242506, 6415, 125, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[242656, 6420, 976, 23, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[243657, 6447, 1079, 23, 55, "Input"],
Cell[244739, 6472, 1227, 25, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[246003, 6502, 314, 9, 32, "Input"],
Cell[246320, 6513, 2164, 51, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[248521, 6569, 214, 4, 32, "Input"],
Cell[248738, 6575, 461, 9, 31, "Output"]
}, Open  ]],
Cell[249214, 6587, 236, 6, 32, "Input"],
Cell[CellGroupData[{
Cell[249475, 6597, 428, 10, 32, "Input"],
Cell[249906, 6609, 629, 14, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[250572, 6628, 397, 12, 32, "Input"],
Cell[250972, 6642, 2144, 49, 124, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[253165, 6697, 491, 8, 23, "Subsubsection"],
Cell[CellGroupData[{
Cell[253681, 6709, 1511, 33, 99, "Input"],
Cell[255195, 6744, 1466, 33, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[256698, 6782, 252, 6, 32, "Input"],
Cell[256953, 6790, 1224, 28, 139, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[258214, 6823, 1079, 20, 77, "Input"],
Cell[259296, 6845, 600, 11, 24, "Message"],
Cell[259899, 6858, 1115, 21, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261051, 6884, 364, 10, 32, "Input"],
Cell[261418, 6896, 2335, 53, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[263790, 6954, 307, 7, 32, "Input"],
Cell[264100, 6963, 615, 11, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[264752, 6979, 305, 7, 32, "Input"],
Cell[265060, 6988, 1121, 25, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[266218, 7018, 342, 8, 32, "Input"],
Cell[266563, 7028, 529, 12, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[267129, 7045, 386, 9, 32, "Input"],
Cell[267518, 7056, 590, 10, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[268145, 7071, 591, 17, 32, "Input"],
Cell[268739, 7090, 2087, 49, 124, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[270887, 7146, 152, 2, 25, "Subsubsection"],
Cell[CellGroupData[{
Cell[271064, 7152, 188, 2, 31, "Text"],
Cell[CellGroupData[{
Cell[271277, 7158, 765, 21, 55, "Input"],
Cell[272045, 7181, 4062, 119, 413, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[276156, 7306, 190, 2, 28, "Text"],
Cell[CellGroupData[{
Cell[276371, 7312, 2943, 74, 209, "Input"],
Cell[279317, 7388, 929, 15, 31, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[280295, 7409, 378, 5, 28, "Text"],
Cell[CellGroupData[{
Cell[280698, 7418, 445, 13, 32, "Input"],
Cell[281146, 7433, 3132, 90, 411, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[284315, 7528, 462, 12, 32, "Input"],
Cell[284780, 7542, 262, 4, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[285079, 7551, 634, 15, 32, "Input"],
Cell[285716, 7568, 352, 5, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[286105, 7578, 417, 11, 32, "Input"],
Cell[286525, 7591, 234, 3, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[286796, 7599, 464, 12, 32, "Input"],
Cell[287263, 7613, 257, 4, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[287557, 7622, 466, 12, 32, "Input"],
Cell[288026, 7636, 238, 3, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[288301, 7644, 542, 14, 32, "Input"],
Cell[288846, 7660, 269, 4, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[289152, 7669, 517, 13, 32, "Input"],
Cell[289672, 7684, 188, 3, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[289897, 7692, 449, 11, 32, "Input"],
Cell[290349, 7705, 8237, 193, 177, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[298647, 7905, 238, 4, 51, "Subsection"],
Cell[CellGroupData[{
Cell[298910, 7913, 198, 2, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[299133, 7919, 521, 14, 32, "Input"],
Cell[299657, 7935, 1974, 48, 171, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[301668, 7988, 705, 18, 55, "Input"],
Cell[302376, 8008, 8174, 193, 177, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[310587, 8206, 567, 14, 32, "Input"],
Cell[311157, 8222, 2255, 49, 171, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[313461, 8277, 490, 8, 41, "Subsubsection"],
Cell[CellGroupData[{
Cell[313976, 8289, 569, 16, 32, "Input"],
Cell[314548, 8307, 3940, 99, 165, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[318537, 8412, 402, 7, 23, "Subsubsection"],
Cell[CellGroupData[{
Cell[318964, 8423, 3130, 94, 99, "Input"],
Cell[322097, 8519, 1419, 25, 65, "Message"],
Cell[323519, 8546, 2483, 45, 92, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[326039, 8596, 2207, 43, 187, "Input"],
Cell[328249, 8641, 137, 2, 31, "Output"]
}, Open  ]],
Cell[328401, 8646, 1693, 38, 77, "Input"],
Cell[CellGroupData[{
Cell[330119, 8688, 380, 8, 32, "Input"],
Cell[330502, 8698, 440, 7, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[330979, 8710, 421, 9, 32, "Input"],
Cell[331403, 8721, 605, 11, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[332045, 8737, 266, 4, 32, "Input"],
Cell[332314, 8743, 416, 8, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[332767, 8756, 442, 9, 32, "Input"],
Cell[333212, 8767, 1433, 37, 184, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[334682, 8809, 404, 9, 32, "Input"],
Cell[335089, 8820, 900, 15, 31, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[336038, 8841, 376, 6, 23, "Subsubsection"],
Cell[CellGroupData[{
Cell[336439, 8851, 1294, 27, 77, "Input"],
Cell[337736, 8880, 1164, 20, 24, "Message"],
Cell[338903, 8902, 2203, 54, 83, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[341143, 8961, 773, 14, 32, "Input"],
Cell[341919, 8977, 631, 11, 31, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[342599, 8994, 322, 6, 23, "Subsubsection"],
Cell[CellGroupData[{
Cell[342946, 9004, 698, 13, 32, "Input"],
Cell[343647, 9019, 2437, 65, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[346121, 9089, 337, 9, 32, "Input"],
Cell[346461, 9100, 643, 10, 31, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[347153, 9116, 222, 4, 23, "Subsubsection"],
Cell[CellGroupData[{
Cell[347400, 9124, 44, 0, 32, "Input"],
Cell[347447, 9126, 1454, 44, 83, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[348938, 9175, 818, 21, 32, "Input"],
Cell[349759, 9198, 3094, 86, 160, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[352890, 9289, 240, 6, 32, "Input"],
Cell[353133, 9297, 1166, 33, 184, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[354336, 9335, 156, 3, 32, "Input"],
Cell[354495, 9340, 340, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[354872, 9352, 1253, 24, 55, "Input"],
Cell[356128, 9378, 749, 12, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[356914, 9395, 1297, 24, 55, "Input"],
Cell[358214, 9421, 1652, 40, 85, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[359903, 9466, 212, 5, 32, "Input"],
Cell[360118, 9473, 813, 13, 31, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
